import{S as bS,i as wS,s as vS,e as s,k as p,w as _,t as o,M as xS,c as a,d as t,m as c,a as r,x as b,h as i,b as d,G as e,g as f,y as w,q as v,o as x,B as k,v as kS,L as z}from"../../chunks/vendor-hf-doc-builder.js";import{T as _S}from"../../chunks/Tip-hf-doc-builder.js";import{D as $}from"../../chunks/Docstring-hf-doc-builder.js";import{C as A}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as C}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as I}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function PS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline, AutoModelForTokenClassification, AutoTokenizer

# Sentiment analysis pipeline
analyzer = pipeline("sentiment-analysis")

# Question answering pipeline, specifying the checkpoint identifier
oracle = pipeline(
    "question-answering", model="distilbert-base-cased-distilled-squad", tokenizer="bert-base-cased"
)

# Named entity recognition pipeline, passing in a specific model and tokenizer
model = AutoModelForTokenClassification.from_pretrained("dbmdz/bert-large-cased-finetuned-conll03-english")
tokenizer = AutoTokenizer.from_pretrained("bert-base-cased")
recognizer = pipeline("ner", model=model, tokenizer=tokenizer)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline, AutoModelForTokenClassification, AutoTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Sentiment analysis pipeline</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>analyzer = pipeline(<span class="hljs-string">&quot;sentiment-analysis&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Question answering pipeline, specifying the checkpoint identifier</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>oracle = pipeline(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;question-answering&quot;</span>, model=<span class="hljs-string">&quot;distilbert-base-cased-distilled-squad&quot;</span>, tokenizer=<span class="hljs-string">&quot;bert-base-cased&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Named entity recognition pipeline, passing in a specific model and tokenizer</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;dbmdz/bert-large-cased-finetuned-conll03-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;bert-base-cased&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>recognizer = pipeline(<span class="hljs-string">&quot;ner&quot;</span>, model=model, tokenizer=tokenizer)`}}),{c(){u=s("p"),T=o("Examples:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Examples:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function yS(j){let u,T,P,h,y;return{c(){u=s("p"),T=o(`However, this is not automatically a win for performance. It can be either a 10x speedup or 5x slowdown depending
on hardware, data and the actual model being used.`),P=p(),h=s("p"),y=o("Example where it\u2019s mostly a speedup:")},l(l){u=a(l,"P",{});var g=r(u);T=i(g,`However, this is not automatically a win for performance. It can be either a 10x speedup or 5x slowdown depending
on hardware, data and the actual model being used.`),g.forEach(t),P=c(l),h=a(l,"P",{});var Qe=r(h);y=i(Qe,"Example where it\u2019s mostly a speedup:"),Qe.forEach(t)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),f(l,h,g),e(h,y)},d(l){l&&t(u),l&&t(P),l&&t(h)}}}function TS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

classifier = pipeline(model="superb/wav2vec2-base-superb-ks")
classifier("https://huggingface.co/datasets/Narsil/asr_dummy/resolve/main/1.flac")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier = pipeline(model=<span class="hljs-string">&quot;superb/wav2vec2-base-superb-ks&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/asr_dummy/resolve/main/1.flac&quot;</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.997</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;_unknown_&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.002</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;left&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.0</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;yes&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.0</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;down&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.0</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;stop&#x27;</span>}]`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function $S(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

transcriber = pipeline(model="openai/whisper-base")
transcriber("https://huggingface.co/datasets/Narsil/asr_dummy/resolve/main/1.flac")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>transcriber = pipeline(model=<span class="hljs-string">&quot;openai/whisper-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>transcriber(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/asr_dummy/resolve/main/1.flac&quot;</span>)
{<span class="hljs-string">&#x27;text&#x27;</span>: <span class="hljs-string">&#x27; He hoped there would be stew for dinner, turnips and carrots and bruised potatoes and fat mutton pieces to be ladled out in thick, peppered flour fat and sauce.&#x27;</span>}`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function jS(j){let u,T,P,h,y;return h=new A({props:{code:`conversation = Conversation("Going to the movies tonight - any suggestions?")

# Steps usually performed by the model when generating a response:
# 1. Mark the user input as processed (moved to the history)
conversation.mark_processed()
# 2. Append a mode response
conversation.append_response("The Big lebowski.")

conversation.add_user_input("Is it good?")`,highlighted:`conversation = Conversation(<span class="hljs-string">&quot;Going to the movies tonight - any suggestions?&quot;</span>)

<span class="hljs-comment"># Steps usually performed by the model when generating a response:</span>
<span class="hljs-comment"># 1. Mark the user input as processed (moved to the history)</span>
conversation.mark_processed()
<span class="hljs-comment"># 2. Append a mode response</span>
conversation.append_response(<span class="hljs-string">&quot;The Big lebowski.&quot;</span>)

conversation.add_user_input(<span class="hljs-string">&quot;Is it good?&quot;</span>)`}}),{c(){u=s("p"),T=o("Usage:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Usage:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function ES(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline, Conversation

chatbot = pipeline(model="microsoft/DialoGPT-medium")
conversation = Conversation("Going to the movies tonight - any suggestions?")
conversation = chatbot(conversation)
conversation.generated_responses[-1]

conversation.add_user_input("Is it an action movie?")
conversation = chatbot(conversation)
conversation.generated_responses[-1]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline, Conversation

<span class="hljs-meta">&gt;&gt;&gt; </span>chatbot = pipeline(model=<span class="hljs-string">&quot;microsoft/DialoGPT-medium&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation = Conversation(<span class="hljs-string">&quot;Going to the movies tonight - any suggestions?&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation = chatbot(conversation)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation.generated_responses[-<span class="hljs-number">1</span>]
<span class="hljs-string">&#x27;The Big Lebowski&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>conversation.add_user_input(<span class="hljs-string">&quot;Is it an action movie?&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation = chatbot(conversation)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation.generated_responses[-<span class="hljs-number">1</span>]
<span class="hljs-string">&quot;It&#x27;s a comedy.&quot;</span>`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function qS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

depth_estimator = pipeline(task="depth-estimation", model="Intel/dpt-large")
output = depth_estimator("http://images.cocodataset.org/val2017/000000039769.jpg")
# This is a tensor with the values being the depth expressed in meters for each pixel
output["predicted_depth"].shape`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>depth_estimator = pipeline(task=<span class="hljs-string">&quot;depth-estimation&quot;</span>, model=<span class="hljs-string">&quot;Intel/dpt-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>output = depth_estimator(<span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># This is a tensor with the values being the depth expressed in meters for each pixel</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>output[<span class="hljs-string">&quot;predicted_depth&quot;</span>].shape
torch.Size([<span class="hljs-number">1</span>, <span class="hljs-number">384</span>, <span class="hljs-number">384</span>])`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function AS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

document_qa = pipeline(model="impira/layoutlm-document-qa")
document_qa(
    image="https://huggingface.co/spaces/impira/docquery/resolve/2359223c1837a7587402bda0f2643382a6eefeab/invoice.png",
    question="What is the invoice number?",
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>document_qa = pipeline(model=<span class="hljs-string">&quot;impira/layoutlm-document-qa&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>document_qa(
<span class="hljs-meta">... </span>    image=<span class="hljs-string">&quot;https://huggingface.co/spaces/impira/docquery/resolve/2359223c1837a7587402bda0f2643382a6eefeab/invoice.png&quot;</span>,
<span class="hljs-meta">... </span>    question=<span class="hljs-string">&quot;What is the invoice number?&quot;</span>,
<span class="hljs-meta">... </span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.425</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;us-001&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">16</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">16</span>}]`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function DS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

extractor = pipeline(model="bert-base-uncased", task="feature-extraction")
result = extractor("This is a simple test.", return_tensors=True)
result.shape  # This is a tensor of shape [1, sequence_lenth, hidden_dimension] representing the input string.`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>extractor = pipeline(model=<span class="hljs-string">&quot;bert-base-uncased&quot;</span>, task=<span class="hljs-string">&quot;feature-extraction&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>result = extractor(<span class="hljs-string">&quot;This is a simple test.&quot;</span>, return_tensors=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>result.shape  <span class="hljs-comment"># This is a tensor of shape [1, sequence_lenth, hidden_dimension] representing the input string.</span>
torch.Size([<span class="hljs-number">1</span>, <span class="hljs-number">8</span>, <span class="hljs-number">768</span>])`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function CS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

fill_masker = pipeline(model="bert-base-uncased")
fill_masker("This is a simple [MASK].")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>fill_masker = pipeline(model=<span class="hljs-string">&quot;bert-base-uncased&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>fill_masker(<span class="hljs-string">&quot;This is a simple [MASK].&quot;</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.042</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">3291</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;problem&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple problem.&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.031</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">3160</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;question&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple question.&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.03</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">8522</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;equation&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple equation.&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.027</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">2028</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;one&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple one.&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.024</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">3627</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;rule&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple rule.&#x27;</span>}]`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function IS(j){let u,T,P,h,y;return{c(){u=s("p"),T=o(`This pipeline only works for inputs with exactly one token masked. Experimental: We added support for multiple
masks. The returned values are raw model output, and correspond to disjoint probabilities where one might expect
joint probabilities (See `),P=s("a"),h=o("discussion"),y=o(")."),this.h()},l(l){u=a(l,"P",{});var g=r(u);T=i(g,`This pipeline only works for inputs with exactly one token masked. Experimental: We added support for multiple
masks. The returned values are raw model output, and correspond to disjoint probabilities where one might expect
joint probabilities (See `),P=a(g,"A",{href:!0,rel:!0});var Qe=r(P);h=i(Qe,"discussion"),Qe.forEach(t),y=i(g,")."),g.forEach(t),this.h()},h(){d(P,"href","https://github.com/huggingface/transformers/pull/10222"),d(P,"rel","nofollow")},m(l,g){f(l,u,g),e(u,T),e(u,P),e(P,h),e(u,y)},d(l){l&&t(u)}}}function zS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

classifier = pipeline(model="microsoft/beit-base-patch16-224-pt22k-ft22k")
classifier("https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier = pipeline(model=<span class="hljs-string">&quot;microsoft/beit-base-patch16-224-pt22k-ft22k&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.442</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;macaw&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.088</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;popinjay&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.075</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;parrot&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.073</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;parodist, lampooner&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.046</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;poll, poll_parrot&#x27;</span>}]`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function SS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

segmenter = pipeline(model="facebook/detr-resnet-50-panoptic")
segments = segmenter("https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png")
len(segments)

segments[0]["label"]

segments[1]["label"]

type(segments[0]["mask"])  # This is a black and white mask showing where is the bird on the original image.

segments[0]["mask"].size`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>segmenter = pipeline(model=<span class="hljs-string">&quot;facebook/detr-resnet-50-panoptic&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>segments = segmenter(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">len</span>(segments)
<span class="hljs-number">2</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>segments[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;label&quot;</span>]
<span class="hljs-string">&#x27;bird&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>segments[<span class="hljs-number">1</span>][<span class="hljs-string">&quot;label&quot;</span>]
<span class="hljs-string">&#x27;bird&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">type</span>(segments[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;mask&quot;</span>])  <span class="hljs-comment"># This is a black and white mask showing where is the bird on the original image.</span>
&lt;<span class="hljs-keyword">class</span> <span class="hljs-string">&#x27;PIL.Image.Image&#x27;</span>&gt;

<span class="hljs-meta">&gt;&gt;&gt; </span>segments[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;mask&quot;</span>].size
(<span class="hljs-number">768</span>, <span class="hljs-number">512</span>)`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function MS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

captioner = pipeline(model="ydshieh/vit-gpt2-coco-en")
captioner("https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>captioner = pipeline(model=<span class="hljs-string">&quot;ydshieh/vit-gpt2-coco-en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>captioner(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>)
[{<span class="hljs-string">&#x27;generated_text&#x27;</span>: <span class="hljs-string">&#x27;two birds are standing next to each other &#x27;</span>}]`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function FS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

token_classifier = pipeline(model="Jean-Baptiste/camembert-ner", aggregation_strategy="simple")
sentence = "Je m'appelle jean-baptiste et je vis \xE0 montr\xE9al"
tokens = token_classifier(sentence)
tokens

token = tokens[0]
# Start and end provide an easy way to highlight words in the original text.
sentence[token["start"] : token["end"]]

# Some models use the same idea to do part of speech.
syntaxer = pipeline(model="vblagoje/bert-english-uncased-finetuned-pos", aggregation_strategy="simple")
syntaxer("My name is Sarah and I live in London")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>token_classifier = pipeline(model=<span class="hljs-string">&quot;Jean-Baptiste/camembert-ner&quot;</span>, aggregation_strategy=<span class="hljs-string">&quot;simple&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sentence = <span class="hljs-string">&quot;Je m&#x27;appelle jean-baptiste et je vis \xE0 montr\xE9al&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tokens = token_classifier(sentence)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokens
[{<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PER&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9931</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;jean-baptiste&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">12</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">26</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.998</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;montr\xE9al&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">38</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">47</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>token = tokens[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Start and end provide an easy way to highlight words in the original text.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>sentence[token[<span class="hljs-string">&quot;start&quot;</span>] : token[<span class="hljs-string">&quot;end&quot;</span>]]
<span class="hljs-string">&#x27; jean-baptiste&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Some models use the same idea to do part of speech.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>syntaxer = pipeline(model=<span class="hljs-string">&quot;vblagoje/bert-english-uncased-finetuned-pos&quot;</span>, aggregation_strategy=<span class="hljs-string">&quot;simple&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>syntaxer(<span class="hljs-string">&quot;My name is Sarah and I live in London&quot;</span>)
[{<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PRON&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;my&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">0</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">2</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;NOUN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.997</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;name&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">3</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">7</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;AUX&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.994</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;is&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">8</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">10</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PROPN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;sarah&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">11</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">16</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;CCONJ&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;and&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">17</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">20</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PRON&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;i&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">21</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">22</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;VERB&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.998</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;live&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">23</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">27</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;ADP&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;in&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">28</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">30</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PROPN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;london&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">31</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">37</span>}]`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function LS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

detector = pipeline(model="facebook/detr-resnet-50")
detector("https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png")

# x, y  are expressed relative to the top left hand corner.`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>detector = pipeline(model=<span class="hljs-string">&quot;facebook/detr-resnet-50&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>detector(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.997</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;bird&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">69</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">171</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">396</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">507</span>}}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;bird&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">398</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">105</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">767</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">507</span>}}]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># x, y  are expressed relative to the top left hand corner.</span>`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function OS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

oracle = pipeline(model="deepset/roberta-base-squad2")
oracle(question="Where do I live?", context="My name is Wolfgang and I live in Berlin")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle = pipeline(model=<span class="hljs-string">&quot;deepset/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;Where do I live?&quot;</span>, context=<span class="hljs-string">&quot;My name is Wolfgang and I live in Berlin&quot;</span>)
{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9191</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">34</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">40</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;Berlin&#x27;</span>}`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function NS(j){let u,T,P,h,y;return h=new A({props:{code:`# use bart in pytorch
summarizer = pipeline("summarization")
summarizer("An apple a day, keeps the doctor away", min_length=5, max_length=20)

# use t5 in tf
summarizer = pipeline("summarization", model="t5-base", tokenizer="t5-base", framework="tf")
summarizer("An apple a day, keeps the doctor away", min_length=5, max_length=20)`,highlighted:`<span class="hljs-comment"># use bart in pytorch</span>
summarizer = pipeline(<span class="hljs-string">&quot;summarization&quot;</span>)
summarizer(<span class="hljs-string">&quot;An apple a day, keeps the doctor away&quot;</span>, min_length=<span class="hljs-number">5</span>, max_length=<span class="hljs-number">20</span>)

<span class="hljs-comment"># use t5 in tf</span>
summarizer = pipeline(<span class="hljs-string">&quot;summarization&quot;</span>, model=<span class="hljs-string">&quot;t5-base&quot;</span>, tokenizer=<span class="hljs-string">&quot;t5-base&quot;</span>, framework=<span class="hljs-string">&quot;tf&quot;</span>)
summarizer(<span class="hljs-string">&quot;An apple a day, keeps the doctor away&quot;</span>, min_length=<span class="hljs-number">5</span>, max_length=<span class="hljs-number">20</span>)`}}),{c(){u=s("p"),T=o("Usage:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Usage:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function US(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

oracle = pipeline(model="google/tapas-base-finetuned-wtq")
table = {
    "Repository": ["Transformers", "Datasets", "Tokenizers"],
    "Stars": ["36542", "4512", "3934"],
    "Contributors": ["651", "77", "34"],
    "Programming language": ["Python", "Python", "Rust, Python and NodeJS"],
}
oracle(query="How many stars does the transformers repository have?", table=table)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle = pipeline(model=<span class="hljs-string">&quot;google/tapas-base-finetuned-wtq&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>table = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Repository&quot;</span>: [<span class="hljs-string">&quot;Transformers&quot;</span>, <span class="hljs-string">&quot;Datasets&quot;</span>, <span class="hljs-string">&quot;Tokenizers&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Stars&quot;</span>: [<span class="hljs-string">&quot;36542&quot;</span>, <span class="hljs-string">&quot;4512&quot;</span>, <span class="hljs-string">&quot;3934&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Contributors&quot;</span>: [<span class="hljs-string">&quot;651&quot;</span>, <span class="hljs-string">&quot;77&quot;</span>, <span class="hljs-string">&quot;34&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Programming language&quot;</span>: [<span class="hljs-string">&quot;Python&quot;</span>, <span class="hljs-string">&quot;Python&quot;</span>, <span class="hljs-string">&quot;Rust, Python and NodeJS&quot;</span>],
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(query=<span class="hljs-string">&quot;How many stars does the transformers repository have?&quot;</span>, table=table)
{<span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;AVERAGE &gt; 36542&#x27;</span>, <span class="hljs-string">&#x27;coordinates&#x27;</span>: [(<span class="hljs-number">0</span>, <span class="hljs-number">1</span>)], <span class="hljs-string">&#x27;cells&#x27;</span>: [<span class="hljs-string">&#x27;36542&#x27;</span>], <span class="hljs-string">&#x27;aggregator&#x27;</span>: <span class="hljs-string">&#x27;AVERAGE&#x27;</span>}`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function GS(j){let u,T,P,h,y;return h=new A({props:{code:`data = {
    "actors": ["brad pitt", "leonardo di caprio", "george clooney"],
    "age": ["56", "45", "59"],
    "number of movies": ["87", "53", "69"],
    "date of birth": ["7 february 1967", "10 june 1996", "28 november 1967"],
}`,highlighted:`data = {
    <span class="hljs-string">&quot;actors&quot;</span>: [<span class="hljs-string">&quot;brad pitt&quot;</span>, <span class="hljs-string">&quot;leonardo di caprio&quot;</span>, <span class="hljs-string">&quot;george clooney&quot;</span>],
    <span class="hljs-string">&quot;age&quot;</span>: [<span class="hljs-string">&quot;56&quot;</span>, <span class="hljs-string">&quot;45&quot;</span>, <span class="hljs-string">&quot;59&quot;</span>],
    <span class="hljs-string">&quot;number of movies&quot;</span>: [<span class="hljs-string">&quot;87&quot;</span>, <span class="hljs-string">&quot;53&quot;</span>, <span class="hljs-string">&quot;69&quot;</span>],
    <span class="hljs-string">&quot;date of birth&quot;</span>: [<span class="hljs-string">&quot;7 february 1967&quot;</span>, <span class="hljs-string">&quot;10 june 1996&quot;</span>, <span class="hljs-string">&quot;28 november 1967&quot;</span>],
}`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function RS(j){let u,T,P,h,y;return h=new A({props:{code:`import pandas as pd

table = pd.DataFrame.from_dict(data)`,highlighted:`<span class="hljs-keyword">import</span> pandas <span class="hljs-keyword">as</span> pd

table = pd.DataFrame.from_dict(data)`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function QS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

classifier = pipeline(model="distilbert-base-uncased-finetuned-sst-2-english")
classifier("This movie is disgustingly good !")

classifier("Director tried too much.")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier = pipeline(model=<span class="hljs-string">&quot;distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(<span class="hljs-string">&quot;This movie is disgustingly good !&quot;</span>)
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;POSITIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">1.0</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(<span class="hljs-string">&quot;Director tried too much.&quot;</span>)
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;NEGATIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.996</span>}]`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function VS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

generator = pipeline(model="gpt2")
generator("I can't believe you did such a ", do_sample=False)

# These parameters will return suggestions, and only the newly created text making it easier for prompting suggestions.
outputs = generator("My tart needs some", num_return_sequences=4, return_full_text=False)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>generator = pipeline(model=<span class="hljs-string">&quot;gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>generator(<span class="hljs-string">&quot;I can&#x27;t believe you did such a &quot;</span>, do_sample=<span class="hljs-literal">False</span>)
[{<span class="hljs-string">&#x27;generated_text&#x27;</span>: <span class="hljs-string">&quot;I can&#x27;t believe you did such a icky thing to me. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&quot;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># These parameters will return suggestions, and only the newly created text making it easier for prompting suggestions.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = generator(<span class="hljs-string">&quot;My tart needs some&quot;</span>, num_return_sequences=<span class="hljs-number">4</span>, return_full_text=<span class="hljs-literal">False</span>)`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function HS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

generator = pipeline(model="mrm8488/t5-base-finetuned-question-generation-ap")
generator(
    "answer: Manuel context: Manuel has created RuPERTa-base with the support of HF-Transformers and Google"
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>generator = pipeline(model=<span class="hljs-string">&quot;mrm8488/t5-base-finetuned-question-generation-ap&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>generator(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;answer: Manuel context: Manuel has created RuPERTa-base with the support of HF-Transformers and Google&quot;</span>
<span class="hljs-meta">... </span>)
[{<span class="hljs-string">&#x27;generated_text&#x27;</span>: <span class="hljs-string">&#x27;question: Who created the RuPERTa-base?&#x27;</span>}]`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function WS(j){let u,T,P,h,y;return h=new A({props:{code:`text2text_generator = pipeline("text2text-generation")
text2text_generator("question: What is 42 ? context: 42 is the answer to life, the universe and everything")`,highlighted:`text2text_generator = pipeline(<span class="hljs-string">&quot;text2text-generation&quot;</span>)
text2text_generator(<span class="hljs-string">&quot;question: What is 42 ? context: 42 is the answer to life, the universe and everything&quot;</span>)`}}),{c(){u=s("p"),T=o("Usage:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Usage:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function ZS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

token_classifier = pipeline(model="Jean-Baptiste/camembert-ner", aggregation_strategy="simple")
sentence = "Je m'appelle jean-baptiste et je vis \xE0 montr\xE9al"
tokens = token_classifier(sentence)
tokens

token = tokens[0]
# Start and end provide an easy way to highlight words in the original text.
sentence[token["start"] : token["end"]]

# Some models use the same idea to do part of speech.
syntaxer = pipeline(model="vblagoje/bert-english-uncased-finetuned-pos", aggregation_strategy="simple")
syntaxer("My name is Sarah and I live in London")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>token_classifier = pipeline(model=<span class="hljs-string">&quot;Jean-Baptiste/camembert-ner&quot;</span>, aggregation_strategy=<span class="hljs-string">&quot;simple&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sentence = <span class="hljs-string">&quot;Je m&#x27;appelle jean-baptiste et je vis \xE0 montr\xE9al&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tokens = token_classifier(sentence)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokens
[{<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PER&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9931</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;jean-baptiste&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">12</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">26</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.998</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;montr\xE9al&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">38</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">47</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>token = tokens[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Start and end provide an easy way to highlight words in the original text.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>sentence[token[<span class="hljs-string">&quot;start&quot;</span>] : token[<span class="hljs-string">&quot;end&quot;</span>]]
<span class="hljs-string">&#x27; jean-baptiste&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Some models use the same idea to do part of speech.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>syntaxer = pipeline(model=<span class="hljs-string">&quot;vblagoje/bert-english-uncased-finetuned-pos&quot;</span>, aggregation_strategy=<span class="hljs-string">&quot;simple&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>syntaxer(<span class="hljs-string">&quot;My name is Sarah and I live in London&quot;</span>)
[{<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PRON&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;my&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">0</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">2</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;NOUN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.997</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;name&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">3</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">7</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;AUX&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.994</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;is&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">8</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">10</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PROPN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;sarah&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">11</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">16</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;CCONJ&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;and&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">17</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">20</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PRON&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;i&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">21</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">22</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;VERB&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.998</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;live&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">23</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">27</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;ADP&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;in&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">28</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">30</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PROPN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;london&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">31</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">37</span>}]`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function BS(j){let u,T,P,h,y;return h=new A({props:{code:`en_fr_translator = pipeline("translation_en_to_fr")
en_fr_translator("How old are you?")`,highlighted:`en_fr_translator = pipeline(<span class="hljs-string">&quot;translation_en_to_fr&quot;</span>)
en_fr_translator(<span class="hljs-string">&quot;How old are you?&quot;</span>)`}}),{c(){u=s("p"),T=o("Usage:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Usage:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function YS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

oracle = pipeline(model="dandelin/vilt-b32-finetuned-vqa")
image_url = "https://huggingface.co/datasets/Narsil/image_dummy/raw/main/lena.png"
oracle(question="What is she wearing ?", image=image_url)

oracle(question="What is she wearing ?", image=image_url, top_k=1)

oracle(question="Is this a person ?", image=image_url, top_k=1)

oracle(question="Is this a man ?", image=image_url, top_k=1)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle = pipeline(model=<span class="hljs-string">&quot;dandelin/vilt-b32-finetuned-vqa&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image_url = <span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/lena.png&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;What is she wearing ?&quot;</span>, image=image_url)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.948</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;hat&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.009</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;fedora&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.003</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;clothes&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.003</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;sun hat&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.002</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;nothing&#x27;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;What is she wearing ?&quot;</span>, image=image_url, top_k=<span class="hljs-number">1</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.948</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;hat&#x27;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;Is this a person ?&quot;</span>, image=image_url, top_k=<span class="hljs-number">1</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.993</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;yes&#x27;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;Is this a man ?&quot;</span>, image=image_url, top_k=<span class="hljs-number">1</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.996</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;no&#x27;</span>}]`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function KS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

oracle = pipeline(model="facebook/bart-large-mnli")
oracle(
    "I have a problem with my iphone that needs to be resolved asap!!",
    candidate_labels=["urgent", "not urgent", "phone", "tablet", "computer"],
)

oracle(
    "I have a problem with my iphone that needs to be resolved asap!!",
    candidate_labels=["english", "german"],
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle = pipeline(model=<span class="hljs-string">&quot;facebook/bart-large-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;I have a problem with my iphone that needs to be resolved asap!!&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;urgent&quot;</span>, <span class="hljs-string">&quot;not urgent&quot;</span>, <span class="hljs-string">&quot;phone&quot;</span>, <span class="hljs-string">&quot;tablet&quot;</span>, <span class="hljs-string">&quot;computer&quot;</span>],
<span class="hljs-meta">... </span>)
{<span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;I have a problem with my iphone that needs to be resolved asap!!&#x27;</span>, <span class="hljs-string">&#x27;labels&#x27;</span>: [<span class="hljs-string">&#x27;urgent&#x27;</span>, <span class="hljs-string">&#x27;phone&#x27;</span>, <span class="hljs-string">&#x27;computer&#x27;</span>, <span class="hljs-string">&#x27;not urgent&#x27;</span>, <span class="hljs-string">&#x27;tablet&#x27;</span>], <span class="hljs-string">&#x27;scores&#x27;</span>: [<span class="hljs-number">0.504</span>, <span class="hljs-number">0.479</span>, <span class="hljs-number">0.013</span>, <span class="hljs-number">0.003</span>, <span class="hljs-number">0.002</span>]}

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;I have a problem with my iphone that needs to be resolved asap!!&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;english&quot;</span>, <span class="hljs-string">&quot;german&quot;</span>],
<span class="hljs-meta">... </span>)
{<span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;I have a problem with my iphone that needs to be resolved asap!!&#x27;</span>, <span class="hljs-string">&#x27;labels&#x27;</span>: [<span class="hljs-string">&#x27;english&#x27;</span>, <span class="hljs-string">&#x27;german&#x27;</span>], <span class="hljs-string">&#x27;scores&#x27;</span>: [<span class="hljs-number">0.814</span>, <span class="hljs-number">0.186</span>]}`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function XS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

classifier = pipeline(model="openai/clip-vit-large-patch14")
classifier(
    "https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png",
    candidate_labels=["animals", "humans", "landscape"],
)

classifier(
    "https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png",
    candidate_labels=["black and white", "photorealist", "painting"],
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier = pipeline(model=<span class="hljs-string">&quot;openai/clip-vit-large-patch14&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;animals&quot;</span>, <span class="hljs-string">&quot;humans&quot;</span>, <span class="hljs-string">&quot;landscape&quot;</span>],
<span class="hljs-meta">... </span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.965</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;animals&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.03</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;humans&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.005</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;landscape&#x27;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;black and white&quot;</span>, <span class="hljs-string">&quot;photorealist&quot;</span>, <span class="hljs-string">&quot;painting&quot;</span>],
<span class="hljs-meta">... </span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.996</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;black and white&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.003</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;photorealist&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.0</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;painting&#x27;</span>}]`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function JS(j){let u,T,P,h,y;return h=new A({props:{code:`from transformers import pipeline

detector = pipeline(model="google/owlvit-base-patch32", task="zero-shot-object-detection")
detector(
    "http://images.cocodataset.org/val2017/000000039769.jpg",
    candidate_labels=["cat", "couch"],
)

detector(
    "https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png",
    candidate_labels=["head", "bird"],
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>detector = pipeline(model=<span class="hljs-string">&quot;google/owlvit-base-patch32&quot;</span>, task=<span class="hljs-string">&quot;zero-shot-object-detection&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>detector(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;cat&quot;</span>, <span class="hljs-string">&quot;couch&quot;</span>],
<span class="hljs-meta">... </span>)
[[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.287</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;cat&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">324</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">20</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">640</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">373</span>}}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.254</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;cat&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">1</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">55</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">315</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">472</span>}}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.121</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;couch&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">4</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">0</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">642</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">476</span>}}]]

<span class="hljs-meta">&gt;&gt;&gt; </span>detector(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;head&quot;</span>, <span class="hljs-string">&quot;bird&quot;</span>],
<span class="hljs-meta">... </span>)
[[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.119</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;bird&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">71</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">170</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">410</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">508</span>}}]]`}}),{c(){u=s("p"),T=o("Example:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function eM(j){let u,T,P,h,y;return h=new A({props:{code:`# Explicitly ask for tensor allocation on CUDA device :0
pipe = pipeline(..., device=0)
with pipe.device_placement():
    # Every framework specific tensor allocation will be done on the request device
    output = pipe(...)`,highlighted:`<span class="hljs-comment"># Explicitly ask for tensor allocation on CUDA device :0</span>
pipe = pipeline(..., device=<span class="hljs-number">0</span>)
<span class="hljs-keyword">with</span> pipe.device_placement():
    <span class="hljs-comment"># Every framework specific tensor allocation will be done on the request device</span>
    output = pipe(...)`}}),{c(){u=s("p"),T=o("Examples:"),P=p(),_(h.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Examples:"),g.forEach(t),P=c(l),b(h.$$.fragment,l)},m(l,g){f(l,u,g),e(u,T),f(l,P,g),w(h,l,g),y=!0},p:z,i(l){y||(v(h.$$.fragment,l),y=!0)},o(l){x(h.$$.fragment,l),y=!1},d(l){l&&t(u),l&&t(P),k(h,l)}}}function tM(j){let u,T,P,h,y,l,g,Qe,K2,Wg,kn,X2,fl,J2,ev,Zg,ul,tv,Bg,Pn,Vc,za,nv,gl,sv,av,rv,Sa,Hc,ov,iv,E,Wc,_l,lv,pv,Zc,bl,cv,dv,Bc,wl,mv,hv,Yc,vl,fv,uv,Kc,xl,gv,_v,Xc,kl,bv,wv,Jc,Pl,vv,xv,ed,yl,kv,Pv,td,Tl,yv,Tv,nd,$l,$v,jv,sd,jl,Ev,qv,ad,El,Av,Dv,rd,ql,Cv,Iv,od,Al,zv,Sv,id,Dl,Mv,Fv,ld,Cl,Lv,Ov,pd,Il,Nv,Uv,cd,zl,Gv,Rv,dd,Sl,Qv,Vv,md,Ml,Hv,Wv,hd,Fl,Zv,Bv,fd,Ll,Yv,Kv,ud,Ol,Xv,Yg,dt,yn,gd,Ma,Jv,_d,ex,Kg,Tn,tx,bd,nx,sx,Xg,Nl,ax,Jg,Fa,e_,$n,rx,La,ox,ix,t_,Oa,n_,jn,lx,wd,px,cx,s_,Na,a_,En,dx,vd,mx,hx,r_,Ua,o_,Ul,fx,i_,Ga,l_,be,Ra,ux,Qa,gx,Gl,_x,bx,wx,xd,vx,xx,mt,Va,kx,Rl,Px,yx,Tx,Ha,$x,Ql,jx,Ex,qx,kd,Ax,Dx,qn,p_,ht,An,Pd,Wa,Cx,yd,Ix,c_,Xe,zx,Td,Sx,Mx,$d,Fx,Lx,d_,Za,m_,Dn,h_,Ba,f_,Ya,u_,Vl,Ox,g_,Ka,__,Cn,Nx,jd,Ux,Gx,b_,Xa,w_,Hl,Rx,v_,Wl,Qx,x_,we,Ed,qd,Ad,Vx,Hx,Dd,Cd,Wx,Zx,Id,zd,Bx,Yx,Ja,Sd,Kx,Xx,ft,Md,Jx,e1,Fd,t1,n1,Ld,s1,a1,Od,Nd,r1,k_,ut,In,Ud,er,o1,Gd,i1,P_,Ve,Rd,l1,p1,Qd,c1,d1,Vd,m1,h1,y_,Je,f1,Hd,u1,g1,Wd,_1,b1,T_,tr,$_,Zl,w1,j_,nr,E_,Bl,v1,q_,zn,x1,Zd,k1,P1,A_,gt,Sn,Bd,sr,y1,Yd,T1,D_,Yl,$1,C_,Mn,j1,Kd,E1,q1,I_,Kl,A1,z_,Xl,Xd,D1,S_,ar,M_,Jl,C1,F_,_t,Fn,Jd,rr,I1,em,z1,L_,ep,tp,S1,O_,bt,Ln,tm,or,M1,nm,F1,N_,wt,On,sm,ir,L1,am,O1,U_,H,lr,N1,pr,U1,rm,G1,R1,Q1,Nn,V1,om,np,H1,W1,vt,Z1,sp,B1,Y1,im,K1,X1,J1,cr,ek,dr,tk,nk,sk,Un,mr,ak,hr,rk,ap,ok,ik,G_,xt,Gn,lm,fr,lk,pm,pk,R_,pe,ur,ck,cm,dk,mk,dm,hk,fk,Rn,uk,mm,rp,gk,_k,Qn,gr,bk,_r,wk,op,vk,xk,Q_,kt,Vn,hm,br,kk,fm,Pk,V_,W,wr,yk,He,Tk,ip,$k,jk,lp,Ek,qk,um,Ak,Dk,Ck,Hn,Ik,Wn,vr,zk,xr,Sk,gm,Mk,Fk,Lk,Zn,kr,Ok,_m,Nk,Uk,et,Pr,Gk,bm,Rk,Qk,Me,Vk,wm,Hk,Wk,vm,Zk,Bk,xm,Yk,Kk,km,Xk,Jk,eP,Bn,yr,tP,We,nP,Pm,sP,aP,ym,rP,oP,Tm,iP,lP,H_,Z,Tr,pP,$m,cP,dP,Yn,mP,jm,pp,hP,fP,Pt,uP,cp,gP,_P,Em,bP,wP,vP,Fe,xP,qm,kP,PP,Am,yP,TP,Dm,$P,jP,$r,EP,qP,AP,Kn,jr,DP,Cm,CP,W_,yt,Xn,Im,Er,IP,zm,zP,Z_,B,qr,SP,Ar,MP,Sm,FP,LP,OP,Jn,NP,Mm,dp,UP,GP,Tt,RP,mp,QP,VP,Fm,HP,WP,ZP,Dr,BP,Cr,YP,KP,XP,es,Ir,JP,Lm,ey,B_,$t,ts,Om,zr,ty,Nm,ny,Y_,Y,Sr,sy,Mr,ay,Um,ry,oy,iy,ns,ly,Gm,hp,py,cy,jt,dy,fp,my,hy,Rm,fy,uy,gy,Fr,_y,Lr,by,wy,vy,Oe,Or,xy,Nr,ky,Qm,Py,yy,Ty,Vm,$y,jy,Ze,Hm,Wm,Ey,qy,Zm,Bm,Ay,Dy,Ym,Km,Cy,Iy,Xm,Jm,zy,K_,Et,ss,eh,Ur,Sy,th,My,X_,K,Gr,Fy,nh,Ly,Oy,as,Ny,sh,up,Uy,Gy,qt,Ry,gp,Qy,Vy,ah,Hy,Wy,Zy,Rr,By,Qr,Yy,Ky,Xy,rs,Vr,Jy,rh,eT,J_,At,os,oh,Hr,tT,ih,nT,eb,U,Wr,sT,Dt,aT,lh,rT,oT,_p,iT,lT,pT,is,cT,ph,bp,dT,mT,Ct,hT,wp,fT,uT,ch,gT,_T,bT,Zr,wT,Br,vT,xT,kT,ls,PT,ps,Yr,yT,dh,TT,tb,It,cs,mh,Kr,$T,hh,jT,nb,X,Xr,ET,Jr,qT,fh,AT,DT,CT,ds,IT,uh,vp,zT,ST,zt,MT,xp,FT,LT,gh,OT,NT,UT,eo,GT,to,RT,QT,VT,ms,no,HT,_h,WT,sb,St,hs,bh,so,ZT,wh,BT,ab,ce,ao,YT,ro,KT,vh,XT,JT,e0,fs,t0,Mt,n0,kp,s0,a0,xh,r0,o0,i0,oo,l0,io,p0,c0,d0,us,lo,m0,kh,h0,rb,Ft,gs,Ph,po,f0,yh,u0,ob,J,co,g0,mo,_0,Th,b0,w0,v0,_s,x0,$h,Pp,k0,P0,jh,y0,T0,ho,$0,fo,j0,E0,q0,bs,uo,A0,Eh,D0,ib,Lt,ws,qh,go,C0,Ah,I0,lb,F,_o,z0,Ot,S0,Dh,M0,F0,yp,L0,O0,N0,vs,U0,Ch,Tp,G0,R0,Nt,Q0,$p,V0,H0,Ih,W0,Z0,B0,bo,Y0,wo,K0,X0,J0,tt,vo,e$,zh,t$,n$,Sh,s$,a$,xs,xo,r$,Mh,o$,i$,ks,ko,l$,Fh,p$,c$,Ps,Po,d$,Lh,m$,pb,ys,h$,jp,f$,u$,cb,Ut,Ts,Oh,yo,g$,Nh,_$,db,ee,To,b$,$o,w$,Uh,v$,x$,k$,$s,P$,Gh,Ep,y$,T$,Gt,$$,qp,j$,E$,Rh,q$,A$,D$,jo,C$,Eo,I$,z$,S$,js,qo,M$,Qh,F$,mb,Rt,Es,Vh,Ao,L$,Hh,O$,hb,L,Do,N$,Qt,U$,Wh,G$,R$,Ap,Q$,V$,H$,qs,W$,Zh,Dp,Z$,B$,Vt,Y$,Cp,K$,X$,Bh,J$,e7,t7,Co,n7,Io,s7,a7,r7,As,zo,o7,Yh,i7,l7,nt,So,p7,Ht,c7,Kh,d7,m7,Xh,h7,f7,u7,Jh,g7,_7,Ds,Mo,b7,ef,w7,fb,Wt,Cs,tf,Fo,v7,nf,x7,ub,de,Lo,k7,sf,P7,y7,Zt,T7,Ip,$7,j7,af,E7,q7,A7,Q,D7,rf,C7,I7,of,z7,S7,lf,M7,F7,pf,L7,O7,cf,N7,U7,df,G7,R7,Oo,Q7,V7,No,H7,W7,Is,Z7,zs,Uo,B7,mf,Y7,gb,Bt,Ss,hf,Go,K7,ff,X7,_b,te,Ro,J7,Qo,ej,uf,tj,nj,sj,Ms,aj,gf,zp,rj,oj,Yt,ij,Sp,lj,pj,_f,cj,dj,mj,Vo,hj,Ho,fj,uj,gj,oe,Wo,_j,bf,bj,wj,me,wf,vf,vj,xj,xf,kf,kj,Pj,Pf,yf,yj,Tj,Tf,$f,$j,jj,jf,Ef,Ej,qj,qf,Af,Aj,Dj,Df,Cf,Cj,Ij,Zo,zj,If,Sj,Mj,Fj,Fs,Lj,zf,Oj,Nj,Ls,bb,Kt,Os,Sf,Bo,Uj,Mf,Gj,wb,G,Yo,Rj,Xt,Qj,Ff,Vj,Hj,Mp,Wj,Zj,Bj,Ns,Yj,Lf,Fp,Kj,Xj,Jt,Jj,Lp,e4,t4,Of,n4,s4,a4,Ko,r4,Nf,o4,i4,l4,Xo,p4,Jo,c4,d4,m4,Us,ei,h4,Uf,f4,vb,en,Gs,Gf,ti,u4,Rf,g4,xb,ne,ni,_4,si,b4,Qf,w4,v4,x4,Rs,k4,Vf,Op,P4,y4,tn,T4,Np,$4,j4,Hf,E4,q4,A4,ai,D4,ri,C4,I4,z4,Qs,oi,S4,Wf,M4,kb,nn,Vs,Zf,ii,F4,Bf,L4,Pb,O,li,O4,Yf,N4,U4,Hs,G4,Kf,Up,R4,Q4,sn,V4,Gp,H4,W4,Xf,Z4,B4,Y4,Ws,K4,pi,X4,J4,ci,eE,tE,Zs,nE,Bs,di,sE,Jf,aE,rE,Ys,mi,oE,eu,iE,yb,an,Ks,tu,hi,lE,nu,pE,Tb,M,fi,cE,rn,dE,su,mE,hE,Rp,fE,uE,gE,Xs,_E,au,Qp,bE,wE,on,vE,Vp,xE,kE,ru,PE,yE,TE,ui,$E,gi,jE,EE,qE,Js,_i,AE,ou,DE,CE,st,bi,IE,iu,zE,SE,lu,ME,FE,ea,wi,LE,pu,OE,NE,ta,vi,UE,cu,GE,RE,na,xi,QE,du,VE,$b,ln,sa,mu,ki,HE,hu,WE,jb,he,Pi,ZE,fu,BE,YE,pn,KE,Hp,XE,JE,uu,eq,tq,nq,aa,sq,yi,aq,rq,Ti,oq,iq,ra,lq,oa,$i,pq,gu,cq,Eb,cn,ia,_u,ji,dq,bu,mq,qb,se,Ei,hq,qi,fq,wu,uq,gq,_q,la,bq,vu,Wp,wq,vq,dn,xq,Zp,kq,Pq,xu,yq,Tq,$q,Ai,jq,Di,Eq,qq,Aq,at,Ci,Dq,ku,Cq,Iq,Be,Pu,yu,zq,Sq,Tu,$u,Mq,Fq,ju,Eu,Lq,Oq,qu,Au,Nq,Ab,mn,pa,Du,Ii,Uq,Cu,Gq,Db,R,zi,Rq,Ye,Qq,Iu,Vq,Hq,zu,Wq,Zq,Su,Bq,Yq,Kq,Ke,Xq,Mu,Jq,e3,Fu,t3,n3,Lu,s3,a3,r3,ca,o3,Ou,Bp,i3,l3,hn,p3,Yp,c3,d3,Nu,m3,h3,f3,Si,u3,Mi,g3,_3,b3,da,Fi,w3,Li,v3,Kp,x3,k3,Cb,fn,ma,Uu,Oi,P3,Gu,y3,Ib,ae,Ni,T3,un,$3,Ru,j3,E3,Qu,q3,A3,D3,ha,C3,Vu,Xp,I3,z3,gn,S3,Jp,M3,F3,Hu,L3,O3,N3,Ui,U3,Gi,G3,R3,Q3,fa,Ri,V3,Wu,H3,zb,_n,ua,Zu,Qi,W3,Bu,Z3,Sb,re,Vi,B3,bn,Y3,Yu,K3,X3,Ku,J3,e5,t5,ga,n5,Xu,ec,s5,a5,wn,r5,tc,o5,i5,Ju,l5,p5,c5,Hi,d5,Wi,m5,h5,f5,_a,Zi,u5,eg,g5,Mb,vn,ba,tg,Bi,_5,nc,b5,ng,w5,Fb,D,Yi,v5,sg,x5,k5,ag,P5,y5,rg,T5,$5,og,j5,E5,Le,q5,sc,A5,D5,ig,C5,I5,lg,z5,S5,pg,M5,F5,L5,wa,Ki,O5,cg,N5,U5,rt,Xi,G5,dg,R5,Q5,va,V5,xa,Ji,H5,mg,W5,Z5,ka,el,B5,tl,Y5,hg,K5,X5,J5,Pa,nl,e6,sl,t6,fg,n6,s6,a6,ya,al,r6,xn,o6,ug,i6,l6,gg,p6,c6,d6,Ta,rl,m6,_g,h6,f6,$a,ol,u6,il,g6,bg,_6,b6,Lb;return l=new C({}),Ma=new C({}),Fa=new A({props:{code:`pipe = pipeline("text-classification")
pipe("This restaurant is awesome")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe(<span class="hljs-string">&quot;This restaurant is awesome&quot;</span>)
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;POSITIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9998743534088135</span>}]`}}),Oa=new A({props:{code:`pipe = pipeline(model="roberta-large-mnli")
pipe("This restaurant is awesome")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipeline(model=<span class="hljs-string">&quot;roberta-large-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe(<span class="hljs-string">&quot;This restaurant is awesome&quot;</span>)
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;POSITIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9998743534088135</span>}]`}}),Na=new A({props:{code:`pipe = pipeline("text-classification")
pipe(["This restaurant is awesome", "This restaurant is aweful"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe([<span class="hljs-string">&quot;This restaurant is awesome&quot;</span>, <span class="hljs-string">&quot;This restaurant is aweful&quot;</span>])
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;POSITIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9998743534088135</span>},
 {<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;NEGATIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9996669292449951</span>}]`}}),Ua=new A({props:{code:`import datasets
from transformers import pipeline
from transformers.pipelines.pt_utils import KeyDataset
from tqdm.auto import tqdm

pipe = pipeline("automatic-speech-recognition", model="facebook/wav2vec2-base-960h", device=0)
dataset = datasets.load_dataset("superb", name="asr", split="test")

# KeyDataset (only *pt*) will simply return the item in the dict returned by the dataset item
# as we're not interested in the *target* part of the dataset. For sentence pair use KeyPairDataset
for out in tqdm(pipe(KeyDataset(dataset, "file"))):
    print(out)
    # {"text": "NUMBER TEN FRESH NELLY IS WAITING ON YOU GOOD NIGHT HUSBAND"}
    # {"text": ....}
    # ....`,highlighted:`<span class="hljs-keyword">import</span> datasets
<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline
<span class="hljs-keyword">from</span> transformers.pipelines.pt_utils <span class="hljs-keyword">import</span> KeyDataset
<span class="hljs-keyword">from</span> tqdm.auto <span class="hljs-keyword">import</span> tqdm

pipe = pipeline(<span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>, model=<span class="hljs-string">&quot;facebook/wav2vec2-base-960h&quot;</span>, device=<span class="hljs-number">0</span>)
dataset = datasets.load_dataset(<span class="hljs-string">&quot;superb&quot;</span>, name=<span class="hljs-string">&quot;asr&quot;</span>, split=<span class="hljs-string">&quot;test&quot;</span>)

<span class="hljs-comment"># KeyDataset (only *pt*) will simply return the item in the dict returned by the dataset item</span>
<span class="hljs-comment"># as we&#x27;re not interested in the *target* part of the dataset. For sentence pair use KeyPairDataset</span>
<span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> tqdm(pipe(KeyDataset(dataset, <span class="hljs-string">&quot;file&quot;</span>))):
    <span class="hljs-built_in">print</span>(out)
    <span class="hljs-comment"># {&quot;text&quot;: &quot;NUMBER TEN FRESH NELLY IS WAITING ON YOU GOOD NIGHT HUSBAND&quot;}</span>
    <span class="hljs-comment"># {&quot;text&quot;: ....}</span>
    <span class="hljs-comment"># ....</span>`}}),Ga=new A({props:{code:`from transformers import pipeline

pipe = pipeline("text-classification")


def data():
    while True:
        # This could come from a dataset, a database, a queue or HTTP request
        # in a server
        # Caveat: because this is iterative, you cannot use \`num_workers > 1\` variable
        # to use multiple threads to preprocess data. You can still have 1 thread that
        # does the preprocessing while the main runs the big inference
        yield "This is a test"


for out in pipe(data()):
    print(out)
    # {"text": "NUMBER TEN FRESH NELLY IS WAITING ON YOU GOOD NIGHT HUSBAND"}
    # {"text": ....}
    # ....`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>)


<span class="hljs-keyword">def</span> <span class="hljs-title function_">data</span>():
    <span class="hljs-keyword">while</span> <span class="hljs-literal">True</span>:
        <span class="hljs-comment"># This could come from a dataset, a database, a queue or HTTP request</span>
        <span class="hljs-comment"># in a server</span>
        <span class="hljs-comment"># Caveat: because this is iterative, you cannot use \`num_workers &gt; 1\` variable</span>
        <span class="hljs-comment"># to use multiple threads to preprocess data. You can still have 1 thread that</span>
        <span class="hljs-comment"># does the preprocessing while the main runs the big inference</span>
        <span class="hljs-keyword">yield</span> <span class="hljs-string">&quot;This is a test&quot;</span>


<span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> pipe(data()):
    <span class="hljs-built_in">print</span>(out)
    <span class="hljs-comment"># {&quot;text&quot;: &quot;NUMBER TEN FRESH NELLY IS WAITING ON YOU GOOD NIGHT HUSBAND&quot;}</span>
    <span class="hljs-comment"># {&quot;text&quot;: ....}</span>
    <span class="hljs-comment"># ....</span>`}}),Ra=new $({props:{name:"transformers.pipeline",anchor:"transformers.pipeline",parameters:[{name:"task",val:": str = None"},{name:"model",val:": typing.Optional = None"},{name:"config",val:": typing.Union[str, transformers.configuration_utils.PretrainedConfig, NoneType] = None"},{name:"tokenizer",val:": typing.Union[str, transformers.tokenization_utils.PreTrainedTokenizer, transformers.tokenization_utils_fast.PreTrainedTokenizerFast, NoneType] = None"},{name:"feature_extractor",val:": typing.Union[str, ForwardRef('SequenceFeatureExtractor'), NoneType] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"revision",val:": typing.Optional[str] = None"},{name:"use_fast",val:": bool = True"},{name:"use_auth_token",val:": typing.Union[str, bool, NoneType] = None"},{name:"device",val:": typing.Union[int, str, ForwardRef('torch.device'), NoneType] = None"},{name:"device_map",val:" = None"},{name:"torch_dtype",val:" = None"},{name:"trust_remote_code",val:": typing.Optional[bool] = None"},{name:"model_kwargs",val:": typing.Dict[str, typing.Any] = None"},{name:"pipeline_class",val:": typing.Optional[typing.Any] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.pipeline.task",description:`<strong>task</strong> (<code>str</code>) &#x2014;
The task defining which pipeline will be returned. Currently accepted tasks are:</p>
<ul>
<li><code>&quot;audio-classification&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.AudioClassificationPipeline">AudioClassificationPipeline</a>.</li>
<li><code>&quot;automatic-speech-recognition&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.AutomaticSpeechRecognitionPipeline">AutomaticSpeechRecognitionPipeline</a>.</li>
<li><code>&quot;conversational&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.ConversationalPipeline">ConversationalPipeline</a>.</li>
<li><code>&quot;feature-extraction&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.FeatureExtractionPipeline">FeatureExtractionPipeline</a>.</li>
<li><code>&quot;fill-mask&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.FillMaskPipeline">FillMaskPipeline</a>:.</li>
<li><code>&quot;image-classification&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.ImageClassificationPipeline">ImageClassificationPipeline</a>.</li>
<li><code>&quot;question-answering&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.QuestionAnsweringPipeline">QuestionAnsweringPipeline</a>.</li>
<li><code>&quot;table-question-answering&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.TableQuestionAnsweringPipeline">TableQuestionAnsweringPipeline</a>.</li>
<li><code>&quot;text2text-generation&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.Text2TextGenerationPipeline">Text2TextGenerationPipeline</a>.</li>
<li><code>&quot;text-classification&quot;</code> (alias <code>&quot;sentiment-analysis&quot;</code> available): will return a
<a href="/docs/transformers/main/en/main_classes/pipelines#transformers.TextClassificationPipeline">TextClassificationPipeline</a>.</li>
<li><code>&quot;text-generation&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.TextGenerationPipeline">TextGenerationPipeline</a>:.</li>
<li><code>&quot;token-classification&quot;</code> (alias <code>&quot;ner&quot;</code> available): will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.TokenClassificationPipeline">TokenClassificationPipeline</a>.</li>
<li><code>&quot;translation&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.TranslationPipeline">TranslationPipeline</a>.</li>
<li><code>&quot;translation_xx_to_yy&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.TranslationPipeline">TranslationPipeline</a>.</li>
<li><code>&quot;summarization&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.SummarizationPipeline">SummarizationPipeline</a>.</li>
<li><code>&quot;zero-shot-classification&quot;</code>: will return a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.ZeroShotClassificationPipeline">ZeroShotClassificationPipeline</a>.</li>
</ul>`,name:"task"},{anchor:"transformers.pipeline.model",description:`<strong>model</strong> (<code>str</code> or <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>, <em>optional</em>) &#x2014;
The model that will be used by the pipeline to make predictions. This can be a model identifier or an
actual instance of a pretrained model inheriting from <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> (for PyTorch) or
<a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> (for TensorFlow).</p>
<p>If not provided, the default for the <code>task</code> will be loaded.`,name:"model"},{anchor:"transformers.pipeline.config",description:`<strong>config</strong> (<code>str</code> or <a href="/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig">PretrainedConfig</a>, <em>optional</em>) &#x2014;
The configuration that will be used by the pipeline to instantiate the model. This can be a model
identifier or an actual pretrained model configuration inheriting from <a href="/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig">PretrainedConfig</a>.</p>
<p>If not provided, the default configuration file for the requested model will be used. That means that if
<code>model</code> is given, its default configuration will be used. However, if <code>model</code> is not supplied, this
<code>task</code>&#x2019;s default model&#x2019;s config is used instead.`,name:"config"},{anchor:"transformers.pipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>str</code> or <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>, <em>optional</em>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This can be a model
identifier or an actual pretrained tokenizer inheriting from <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.</p>
<p>If not provided, the default tokenizer for the given <code>model</code> will be loaded (if it is a string). If <code>model</code>
is not specified or not a string, then the default tokenizer for <code>config</code> is loaded (if it is a string).
However, if <code>config</code> is also not given or not a string, then the default tokenizer for the given <code>task</code>
will be loaded.`,name:"tokenizer"},{anchor:"transformers.pipeline.feature_extractor",description:`<strong>feature_extractor</strong> (<code>str</code> or <code>PreTrainedFeatureExtractor</code>, <em>optional</em>) &#x2014;
The feature extractor that will be used by the pipeline to encode data for the model. This can be a model
identifier or an actual pretrained feature extractor inheriting from <code>PreTrainedFeatureExtractor</code>.</p>
<p>Feature extractors are used for non-NLP models, such as Speech or Vision models as well as multi-modal
models. Multi-modal models will also require a tokenizer to be passed.</p>
<p>If not provided, the default feature extractor for the given <code>model</code> will be loaded (if it is a string). If
<code>model</code> is not specified or not a string, then the default feature extractor for <code>config</code> is loaded (if it
is a string). However, if <code>config</code> is also not given or not a string, then the default feature extractor
for the given <code>task</code> will be loaded.`,name:"feature_extractor"},{anchor:"transformers.pipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.pipeline.revision",description:`<strong>revision</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;main&quot;</code>) &#x2014;
When passing a task name or a string model identifier: The specific model version to use. It can be a
branch name, a tag name, or a commit id, since we use a git-based system for storing models and other
artifacts on huggingface.co, so <code>revision</code> can be any identifier allowed by git.`,name:"revision"},{anchor:"transformers.pipeline.use_fast",description:`<strong>use_fast</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to use a Fast tokenizer if possible (a <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>).`,name:"use_fast"},{anchor:"transformers.pipeline.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <em>bool</em>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>huggingface-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"transformers.pipeline.device",description:`<strong>device</strong> (<code>int</code> or <code>str</code> or <code>torch.device</code>) &#x2014;
Defines the device (<em>e.g.</em>, <code>&quot;cpu&quot;</code>, <code>&quot;cuda:1&quot;</code>, <code>&quot;mps&quot;</code>, or a GPU ordinal rank like <code>1</code>) on which this
pipeline will be allocated.`,name:"device"},{anchor:"transformers.pipeline.device_map",description:`<strong>device_map</strong> (<code>str</code> or <code>Dict[str, Union[int, str, torch.device]</code>, <em>optional</em>) &#x2014;
Sent directly as <code>model_kwargs</code> (just a simpler shortcut). When <code>accelerate</code> library is present, set
<code>device_map=&quot;auto&quot;</code> to compute the most optimized <code>device_map</code> automatically. <a href="https://huggingface.co/docs/accelerate/main/en/big_modeling#accelerate.cpu_offload" rel="nofollow">More
information</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p>Do not use <code>device_map</code> AND <code>device</code> at the same time as they will conflict</p>

					</div>`,name:"device_map"},{anchor:"transformers.pipeline.torch_dtype",description:`<strong>torch_dtype</strong> (<code>str</code> or <code>torch.dtype</code>, <em>optional</em>) &#x2014;
Sent directly as <code>model_kwargs</code> (just a simpler shortcut) to use the available precision for this model
(<code>torch.float16</code>, <code>torch.bfloat16</code>, &#x2026; or <code>&quot;auto&quot;</code>).`,name:"torch_dtype"},{anchor:"transformers.pipeline.trust_remote_code",description:`<strong>trust_remote_code</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to allow for custom code defined on the Hub in their own modeling, configuration,
tokenization or even pipeline files. This option should only be set to <code>True</code> for repositories you trust
and in which you have read the code, as it will execute code present on the Hub on your local machine.
model_kwargs &#x2014;
Additional dictionary of keyword arguments passed along to the model&#x2019;s <code>from_pretrained(..., **model_kwargs)</code> function.
kwargs &#x2014;
Additional keyword arguments passed along to the specific pipeline init (see the documentation for the
corresponding pipeline class for possible values).`,name:"trust_remote_code"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/__init__.py#L459",returnDescription:`
<p>A suitable pipeline for the task.</p>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/pipelines#transformers.Pipeline"
>Pipeline</a></p>
`}}),qn=new I({props:{anchor:"transformers.pipeline.example",$$slots:{default:[PS]},$$scope:{ctx:j}}}),Wa=new C({}),Za=new A({props:{code:`from transformers import pipeline
from transformers.pipelines.pt_utils import KeyDataset
import datasets

dataset = datasets.load_dataset("imdb", name="plain_text", split="unsupervised")
pipe = pipeline("text-classification", device=0)
for out in pipe(KeyDataset(dataset, "text"), batch_size=8, truncation="only_first"):
    print(out)
    # [{'label': 'POSITIVE', 'score': 0.9998743534088135}]
    # Exactly the same output as before, but the content are passed
    # as batches to the model`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline
<span class="hljs-keyword">from</span> transformers.pipelines.pt_utils <span class="hljs-keyword">import</span> KeyDataset
<span class="hljs-keyword">import</span> datasets

dataset = datasets.load_dataset(<span class="hljs-string">&quot;imdb&quot;</span>, name=<span class="hljs-string">&quot;plain_text&quot;</span>, split=<span class="hljs-string">&quot;unsupervised&quot;</span>)
pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, device=<span class="hljs-number">0</span>)
<span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> pipe(KeyDataset(dataset, <span class="hljs-string">&quot;text&quot;</span>), batch_size=<span class="hljs-number">8</span>, truncation=<span class="hljs-string">&quot;only_first&quot;</span>):
    <span class="hljs-built_in">print</span>(out)
    <span class="hljs-comment"># [{&#x27;label&#x27;: &#x27;POSITIVE&#x27;, &#x27;score&#x27;: 0.9998743534088135}]</span>
    <span class="hljs-comment"># Exactly the same output as before, but the content are passed</span>
    <span class="hljs-comment"># as batches to the model</span>`}}),Dn=new _S({props:{warning:!0,$$slots:{default:[yS]},$$scope:{ctx:j}}}),Ba=new A({props:{code:`from transformers import pipeline
from torch.utils.data import Dataset
from tqdm.auto import tqdm

pipe = pipeline("text-classification", device=0)


class MyDataset(Dataset):
    def __len__(self):
        return 5000

    def __getitem__(self, i):
        return "This is a test"


dataset = MyDataset()

for batch_size in [1, 8, 64, 256]:
    print("-" * 30)
    print(f"Streaming batch_size={batch_size}")
    for out in tqdm(pipe(dataset, batch_size=batch_size), total=len(dataset)):
        pass`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline
<span class="hljs-keyword">from</span> torch.utils.data <span class="hljs-keyword">import</span> Dataset
<span class="hljs-keyword">from</span> tqdm.auto <span class="hljs-keyword">import</span> tqdm

pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, device=<span class="hljs-number">0</span>)


<span class="hljs-keyword">class</span> <span class="hljs-title class_">MyDataset</span>(<span class="hljs-title class_ inherited__">Dataset</span>):
    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__len__</span>(<span class="hljs-params">self</span>):
        <span class="hljs-keyword">return</span> <span class="hljs-number">5000</span>

    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__getitem__</span>(<span class="hljs-params">self, i</span>):
        <span class="hljs-keyword">return</span> <span class="hljs-string">&quot;This is a test&quot;</span>


dataset = MyDataset()

<span class="hljs-keyword">for</span> batch_size <span class="hljs-keyword">in</span> [<span class="hljs-number">1</span>, <span class="hljs-number">8</span>, <span class="hljs-number">64</span>, <span class="hljs-number">256</span>]:
    <span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;-&quot;</span> * <span class="hljs-number">30</span>)
    <span class="hljs-built_in">print</span>(<span class="hljs-string">f&quot;Streaming batch_size=<span class="hljs-subst">{batch_size}</span>&quot;</span>)
    <span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> tqdm(pipe(dataset, batch_size=batch_size), total=<span class="hljs-built_in">len</span>(dataset)):
        <span class="hljs-keyword">pass</span>`}}),Ya=new A({props:{code:`# On GTX 970
------------------------------
Streaming no batching
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:26<00:00, 187.52it/s]
------------------------------
Streaming batch_size=8
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:04<00:00, 1205.95it/s]
------------------------------
Streaming batch_size=64
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:02<00:00, 2478.24it/s]
------------------------------
Streaming batch_size=256
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:01<00:00, 2554.43it/s]
(diminishing returns, saturated the GPU)`,highlighted:`<span class="hljs-section"># On GTX 970
------------------------------</span>
Streaming no batching
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:26&lt;00:00, 187.52it/s]
<span class="hljs-code">------------------------------
Streaming batch_size=8
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:04&lt;00:00, 1205.95it/s]
------------------------------</span>
Streaming batch<span class="hljs-emphasis">_size=64
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:02&lt;00:00, 2478.24it/s]
------------------------------
Streaming batch_</span>size=256
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:01&lt;00:00, 2554.43it/s]
(diminishing returns, saturated the GPU)`}}),Ka=new A({props:{code:`class MyDataset(Dataset):
    def __len__(self):
        return 5000

    def __getitem__(self, i):
        if i % 64 == 0:
            n = 100
        else:
            n = 1
        return "This is a test" * n`,highlighted:`<span class="hljs-keyword">class</span> <span class="hljs-title class_">MyDataset</span>(<span class="hljs-title class_ inherited__">Dataset</span>):
    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__len__</span>(<span class="hljs-params">self</span>):
        <span class="hljs-keyword">return</span> <span class="hljs-number">5000</span>

    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__getitem__</span>(<span class="hljs-params">self, i</span>):
        <span class="hljs-keyword">if</span> i % <span class="hljs-number">64</span> == <span class="hljs-number">0</span>:
            n = <span class="hljs-number">100</span>
        <span class="hljs-keyword">else</span>:
            n = <span class="hljs-number">1</span>
        <span class="hljs-keyword">return</span> <span class="hljs-string">&quot;This is a test&quot;</span> * n`}}),Xa=new A({props:{code:`------------------------------
Streaming no batching
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 1000/1000 [00:05<00:00, 183.69it/s]
------------------------------
Streaming batch_size=8
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 1000/1000 [00:03<00:00, 265.74it/s]
------------------------------
Streaming batch_size=64
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 1000/1000 [00:26<00:00, 37.80it/s]
------------------------------
Streaming batch_size=256
  0%|                                                                                 | 0/1000 [00:00<?, ?it/s]
Traceback (most recent call last):
  File "/home/nicolas/src/transformers/test.py", line 42, in <module>
    for out in tqdm(pipe(dataset, batch_size=256), total=len(dataset)):
....
    q = q / math.sqrt(dim_per_head)  # (bs, n_heads, q_length, dim_per_head)
RuntimeError: CUDA out of memory. Tried to allocate 376.00 MiB (GPU 0; 3.95 GiB total capacity; 1.72 GiB already allocated; 354.88 MiB free; 2.46 GiB reserved in total by PyTorch)`,highlighted:`<span class="hljs-comment">------------------------------</span>
Streaming no batching
<span class="hljs-number">100</span>%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| <span class="hljs-number">1000</span>/<span class="hljs-number">1000</span> [<span class="hljs-number">00</span>:<span class="hljs-number">05</span>&lt;<span class="hljs-number">00</span>:<span class="hljs-number">00</span>, <span class="hljs-number">183.69</span><span class="hljs-keyword">it</span>/s]
<span class="hljs-comment">------------------------------</span>
Streaming batch_size=<span class="hljs-number">8</span>
<span class="hljs-number">100</span>%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| <span class="hljs-number">1000</span>/<span class="hljs-number">1000</span> [<span class="hljs-number">00</span>:<span class="hljs-number">03</span>&lt;<span class="hljs-number">00</span>:<span class="hljs-number">00</span>, <span class="hljs-number">265.74</span><span class="hljs-keyword">it</span>/s]
<span class="hljs-comment">------------------------------</span>
Streaming batch_size=<span class="hljs-number">64</span>
<span class="hljs-number">100</span>%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| <span class="hljs-number">1000</span>/<span class="hljs-number">1000</span> [<span class="hljs-number">00</span>:<span class="hljs-number">26</span>&lt;<span class="hljs-number">00</span>:<span class="hljs-number">00</span>, <span class="hljs-number">37.80</span><span class="hljs-keyword">it</span>/s]
<span class="hljs-comment">------------------------------</span>
Streaming batch_size=<span class="hljs-number">256</span>
  <span class="hljs-number">0</span>%|                                                                                 | <span class="hljs-number">0</span>/<span class="hljs-number">1000</span> [<span class="hljs-number">00</span>:<span class="hljs-number">00</span><span class="hljs-meta">&lt;?</span>, ?<span class="hljs-keyword">it</span>/s]
Traceback (most recent call <span class="hljs-keyword">last</span>):
  File <span class="hljs-string">&quot;/home/nicolas/src/transformers/test.py&quot;</span>, <span class="hljs-built_in">line</span> <span class="hljs-number">42</span>, <span class="hljs-keyword">in</span> &lt;module&gt;
    <span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> tqdm(pipe(dataset, batch_size=<span class="hljs-number">256</span>), total=<span class="hljs-built_in">len</span>(dataset)):
....
    q = q / math.<span class="hljs-built_in">sqrt</span>(dim_per_head)  <span class="hljs-comment"># (bs, n_heads, q_length, dim_per_head)</span>
RuntimeError: CUDA out <span class="hljs-keyword">of</span> memory. Tried <span class="hljs-built_in">to</span> allocate <span class="hljs-number">376.00</span> MiB (GPU <span class="hljs-number">0</span>; <span class="hljs-number">3.95</span> GiB total capacity; <span class="hljs-number">1.72</span> GiB already allocated; <span class="hljs-number">354.88</span> MiB free; <span class="hljs-number">2.46</span> GiB reserved <span class="hljs-keyword">in</span> total <span class="hljs-keyword">by</span> PyTorch)`}}),er=new C({}),tr=new A({props:{code:`preprocessed = pipe.preprocess(inputs)
model_outputs = pipe.forward(preprocessed)
outputs = pipe.postprocess(model_outputs)`,highlighted:`preprocessed = pipe.preprocess(inputs)
model_outputs = pipe.forward(preprocessed)
outputs = pipe.postprocess(model_outputs)`}}),nr=new A({props:{code:`all_model_outputs = []
for preprocessed in pipe.preprocess(inputs):
    model_outputs = pipe.forward(preprocessed)
    all_model_outputs.append(model_outputs)
outputs = pipe.postprocess(all_model_outputs)`,highlighted:`all_model_outputs = []
<span class="hljs-keyword">for</span> preprocessed <span class="hljs-keyword">in</span> pipe.preprocess(inputs):
    model_outputs = pipe.forward(preprocessed)
    all_model_outputs.append(model_outputs)
outputs = pipe.postprocess(all_model_outputs)`}}),sr=new C({}),ar=new A({props:{code:`class MyPipeline(TextClassificationPipeline):
    def postprocess():
        # Your code goes here
        scores = scores * 100
        # And here


my_pipeline = MyPipeline(model=model, tokenizer=tokenizer, ...)
# or if you use *pipeline* function, then:
my_pipeline = pipeline(model="xxxx", pipeline_class=MyPipeline)`,highlighted:`<span class="hljs-keyword">class</span> <span class="hljs-title class_">MyPipeline</span>(<span class="hljs-title class_ inherited__">TextClassificationPipeline</span>):
    <span class="hljs-keyword">def</span> <span class="hljs-title function_">postprocess</span>():
        <span class="hljs-comment"># Your code goes here</span>
        scores = scores * <span class="hljs-number">100</span>
        <span class="hljs-comment"># And here</span>


my_pipeline = MyPipeline(model=model, tokenizer=tokenizer, ...)
<span class="hljs-comment"># or if you use *pipeline* function, then:</span>
my_pipeline = pipeline(model=<span class="hljs-string">&quot;xxxx&quot;</span>, pipeline_class=MyPipeline)`}}),rr=new C({}),or=new C({}),ir=new C({}),lr=new $({props:{name:"class transformers.AudioClassificationPipeline",anchor:"transformers.AudioClassificationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AudioClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.AudioClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.AudioClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.AudioClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.AudioClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.AudioClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.AudioClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.AudioClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.AudioClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.AudioClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/audio_classification.py#L68"}}),Nn=new I({props:{anchor:"transformers.AudioClassificationPipeline.example",$$slots:{default:[TS]},$$scope:{ctx:j}}}),mr=new $({props:{name:"__call__",anchor:"transformers.AudioClassificationPipeline.__call__",parameters:[{name:"inputs",val:": typing.Union[numpy.ndarray, bytes, str]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AudioClassificationPipeline.__call__.inputs",description:`<strong>inputs</strong> (<code>np.ndarray</code> or <code>bytes</code> or <code>str</code>) &#x2014;
The inputs is either a raw waveform (<code>np.ndarray</code> of shape (n, ) of type <code>np.float32</code> or <code>np.float64</code>)
at the correct sampling rate (no further check will be done) or a <code>str</code> that is the filename of the
audio file, the file will be read at the correct sampling rate to get the waveform using <em>ffmpeg</em>. This
requires <em>ffmpeg</em> to be installed on the system. If <em>inputs</em> is <code>bytes</code> it is supposed to be the
content of an audio file and is interpreted by <em>ffmpeg</em> in the same way.`,name:"inputs"},{anchor:"transformers.AudioClassificationPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to None) &#x2014;
The number of top labels that will be returned by the pipeline. If the provided number is <code>None</code> or
higher than the number of labels available in the model configuration, it will default to the number of
labels.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/audio_classification.py#L104",returnDescription:`
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label predicted.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The corresponding probability.</li>
</ul>
`,returnType:`
<p>A list of <code>dict</code> with the following keys</p>
`}}),fr=new C({}),ur=new $({props:{name:"class transformers.AutomaticSpeechRecognitionPipeline",anchor:"transformers.AutomaticSpeechRecognitionPipeline",parameters:[{name:"feature_extractor",val:": typing.Union[ForwardRef('SequenceFeatureExtractor'), str]"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AutomaticSpeechRecognitionPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.feature_extractor",description:`<strong>feature_extractor</strong> (<a href="/docs/transformers/main/en/main_classes/feature_extractor#transformers.SequenceFeatureExtractor">SequenceFeatureExtractor</a>) &#x2014;
The feature extractor that will be used by the pipeline to encode waveform for the model.`,name:"feature_extractor"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.chunk_length_s",description:`<strong>chunk_length_s</strong> (<code>float</code>, <em>optional</em>, defaults to 0) &#x2014;
The input length for in each chunk. If <code>chunk_length_s = 0</code> then chunking is disabled (default). Only
available for CTC models, e.g. <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ForCTC">Wav2Vec2ForCTC</a>.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>For more information on how to effectively use <code>chunk_length_s</code>, please have a look at the <a href="https://huggingface.co/blog/asr-chunking" rel="nofollow">ASR chunking
blog post</a>.</p>

					</div>`,name:"chunk_length_s"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.stride_length_s",description:`<strong>stride_length_s</strong> (<code>float</code>, <em>optional</em>, defaults to <code>chunk_length_s / 6</code>) &#x2014;
The length of stride on the left and right of each chunk. Used only with <code>chunk_length_s &gt; 0</code>. This enables
the model to <em>see</em> more context and infer letters better than without this context but the pipeline
discards the stride bits at the end to make the final reconstitution as perfect as possible.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>For more information on how to effectively use <code>stride_length_s</code>, please have a look at the <a href="https://huggingface.co/blog/asr-chunking" rel="nofollow">ASR chunking
blog post</a>.</p>

					</div>`,name:"stride_length_s"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed. If no framework is specified, will default to the one currently installed. If no framework is
specified and both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if
no model is provided.`,name:"framework"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id.`,name:"device"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.decoder",description:`<strong>decoder</strong> (<code>pyctcdecode.BeamSearchDecoderCTC</code>, <em>optional</em>) &#x2014;
<a href="https://github.com/kensho-technologies/pyctcdecode/blob/2fd33dc37c4111417e08d89ccd23d28e9b308d19/pyctcdecode/decoder.py#L180" rel="nofollow">PyCTCDecode&#x2019;s
BeamSearchDecoderCTC</a>
can be passed for language model boosted decoding. See <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2ProcessorWithLM">Wav2Vec2ProcessorWithLM</a> for more information.`,name:"decoder"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/automatic_speech_recognition.py#L104"}}),Rn=new I({props:{anchor:"transformers.AutomaticSpeechRecognitionPipeline.example",$$slots:{default:[$S]},$$scope:{ctx:j}}}),gr=new $({props:{name:"__call__",anchor:"transformers.AutomaticSpeechRecognitionPipeline.__call__",parameters:[{name:"inputs",val:": typing.Union[numpy.ndarray, bytes, str]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AutomaticSpeechRecognitionPipeline.__call__.inputs",description:`<strong>inputs</strong> (<code>np.ndarray</code> or <code>bytes</code> or <code>str</code> or <code>dict</code>) &#x2014;
The inputs is either :<ul>
<li><code>str</code> that is the filename of the audio file, the file will be read at the correct sampling rate
to get the waveform using <em>ffmpeg</em>. This requires <em>ffmpeg</em> to be installed on the system.</li>
<li><code>bytes</code> it is supposed to be the content of an audio file and is interpreted by <em>ffmpeg</em> in the
same way.</li>
<li>(<code>np.ndarray</code> of shape (n, ) of type <code>np.float32</code> or <code>np.float64</code>)
Raw audio at the correct sampling rate (no further check will be done)</li>
<li><code>dict</code> form can be used to pass raw audio sampled at arbitrary <code>sampling_rate</code> and let this
pipeline do the resampling. The dict must be in the format <code>{&quot;sampling_rate&quot;: int, &quot;raw&quot;: np.array}</code> with optionally a <code>&quot;stride&quot;: (left: int, right: int)</code> than can ask the pipeline to
treat the first <code>left</code> samples and last <code>right</code> samples to be ignored in decoding (but used at
inference to provide more context to the model). Only use <code>stride</code> with CTC models.</li>
</ul>`,name:"inputs"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.__call__.return_timestamps",description:`<strong>return_timestamps</strong> (<em>optional</em>, <code>str</code>) &#x2014;
Only available for pure CTC models. If set to <code>&quot;char&quot;</code>, the pipeline will return <code>timestamps</code> along the
text for every character in the text. For instance if you get <code>[{&quot;text&quot;: &quot;h&quot;, &quot;timestamps&quot;: (0.5,0.6), {&quot;text&quot;: &quot;i&quot;, &quot;timestamps&quot;: (0.7, .9)}]</code>, then it means the model predicts that the letter &#x201C;h&#x201D; was
pronounced after <code>0.5</code> and before <code>0.6</code> seconds. If set to <code>&quot;word&quot;</code>, the pipeline will return
<code>timestamps</code> along the text for every word in the text. For instance if you get <code>[{&quot;text&quot;: &quot;hi &quot;, &quot;timestamps&quot;: (0.5,0.9), {&quot;text&quot;: &quot;there&quot;, &quot;timestamps&quot;: (1.0, .1.5)}]</code>, then it means the model
predicts that the word &#x201C;hi&#x201D; was pronounced after <code>0.5</code> and before <code>0.9</code> seconds.`,name:"return_timestamps"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/automatic_speech_recognition.py#L191",returnDescription:`
<p>A dictionary with the following keys:</p>
<ul>
<li><strong>text</strong> (<code>str</code> ) \u2014 The recognized text.</li>
<li><strong>chunks</strong> (<em>optional(, <code>List[Dict]</code>)
When using <code>return_timestamps</code>, the <code>chunks</code> will become a list containing all the various text
chunks identified by the model, </em>e.g.* <code>[&#123;"text": "hi ", "timestamps": (0.5,0.9), &#123;"text": "there", "timestamps": (1.0, 1.5)&#125;]</code>. The original full text can roughly be recovered by doing
<code>"".join(chunk["text"] for chunk in output["chunks"])</code>.</li>
</ul>
`,returnType:`
<p><code>Dict</code></p>
`}}),br=new C({}),wr=new $({props:{name:"class transformers.Conversation",anchor:"transformers.Conversation",parameters:[{name:"text",val:": str = None"},{name:"conversation_id",val:": UUID = None"},{name:"past_user_inputs",val:" = None"},{name:"generated_responses",val:" = None"}],parametersDescription:[{anchor:"transformers.Conversation.text",description:`<strong>text</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The initial user input to start the conversation. If not provided, a user input needs to be provided
manually using the <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.Conversation.add_user_input">add_user_input()</a> method before the conversation can begin.`,name:"text"},{anchor:"transformers.Conversation.conversation_id",description:`<strong>conversation_id</strong> (<code>uuid.UUID</code>, <em>optional</em>) &#x2014;
Unique identifier for the conversation. If not provided, a random UUID4 id will be assigned to the
conversation.`,name:"conversation_id"},{anchor:"transformers.Conversation.past_user_inputs",description:`<strong>past_user_inputs</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
Eventual past history of the conversation of the user. You don&#x2019;t need to pass it manually if you use the
pipeline interactively but if you want to recreate history you need to set both <code>past_user_inputs</code> and
<code>generated_responses</code> with equal length lists of strings`,name:"past_user_inputs"},{anchor:"transformers.Conversation.generated_responses",description:`<strong>generated_responses</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
Eventual past history of the conversation of the model. You don&#x2019;t need to pass it manually if you use the
pipeline interactively but if you want to recreate history you need to set both <code>past_user_inputs</code> and
<code>generated_responses</code> with equal length lists of strings`,name:"generated_responses"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/conversational.py#L18"}}),Hn=new I({props:{anchor:"transformers.Conversation.example",$$slots:{default:[jS]},$$scope:{ctx:j}}}),vr=new $({props:{name:"add_user_input",anchor:"transformers.Conversation.add_user_input",parameters:[{name:"text",val:": str"},{name:"overwrite",val:": bool = False"}],parametersDescription:[{anchor:"transformers.Conversation.add_user_input.text",description:"<strong>text</strong> (<code>str</code>) &#x2014; The user input for the next conversation round.",name:"text"},{anchor:"transformers.Conversation.add_user_input.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not existing and unprocessed user input should be overwritten when this function is called.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/conversational.py#L82"}}),kr=new $({props:{name:"append_response",anchor:"transformers.Conversation.append_response",parameters:[{name:"response",val:": str"}],parametersDescription:[{anchor:"transformers.Conversation.append_response.response",description:"<strong>response</strong> (<code>str</code>) &#x2014; The model generated response.",name:"response"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/conversational.py#L115"}}),Pr=new $({props:{name:"iter_texts",anchor:"transformers.Conversation.iter_texts",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/conversational.py#L124"}}),yr=new $({props:{name:"mark_processed",anchor:"transformers.Conversation.mark_processed",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/conversational.py#L106"}}),Tr=new $({props:{name:"class transformers.ConversationalPipeline",anchor:"transformers.ConversationalPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ConversationalPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ConversationalPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ConversationalPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ConversationalPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ConversationalPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ConversationalPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ConversationalPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ConversationalPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ConversationalPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ConversationalPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.ConversationalPipeline.min_length_for_response",description:`<strong>min_length_for_response</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
The minimum length (in number of tokens) for a response.`,name:"min_length_for_response"},{anchor:"transformers.ConversationalPipeline.minimum_tokens",description:`<strong>minimum_tokens</strong> (<code>int</code>, <em>optional</em>, defaults to 10) &#x2014;
The minimum length of tokens to leave for a response.`,name:"minimum_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/conversational.py#L163"}}),Yn=new I({props:{anchor:"transformers.ConversationalPipeline.example",$$slots:{default:[ES]},$$scope:{ctx:j}}}),jr=new $({props:{name:"__call__",anchor:"transformers.ConversationalPipeline.__call__",parameters:[{name:"conversations",val:": typing.Union[transformers.pipelines.conversational.Conversation, typing.List[transformers.pipelines.conversational.Conversation]]"},{name:"num_workers",val:" = 0"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ConversationalPipeline.__call__.conversations",description:`<strong>conversations</strong> (a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.Conversation">Conversation</a> or a list of <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.Conversation">Conversation</a>) &#x2014;
Conversations to generate responses for.`,name:"conversations"},{anchor:"transformers.ConversationalPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.
generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"clean_up_tokenization_spaces"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/conversational.py#L222",returnDescription:`
<p>Conversation(s) with updated generated responses for those
containing a new user input.</p>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/pipelines#transformers.Conversation"
>Conversation</a> or a list of <a
  href="/docs/transformers/main/en/main_classes/pipelines#transformers.Conversation"
>Conversation</a></p>
`}}),Er=new C({}),qr=new $({props:{name:"class transformers.DepthEstimationPipeline",anchor:"transformers.DepthEstimationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DepthEstimationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.DepthEstimationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.DepthEstimationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.DepthEstimationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.DepthEstimationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.DepthEstimationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.DepthEstimationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.DepthEstimationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.DepthEstimationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.DepthEstimationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/depth_estimation.py#L23"}}),Jn=new I({props:{anchor:"transformers.DepthEstimationPipeline.example",$$slots:{default:[qS]},$$scope:{ctx:j}}}),Ir=new $({props:{name:"__call__",anchor:"transformers.DepthEstimationPipeline.__call__",parameters:[{name:"images",val:": typing.Union[str, typing.List[str], ForwardRef('Image.Image'), typing.List[ForwardRef('Image.Image')]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DepthEstimationPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images, which must then be passed as a string.
Images in a batch must all be in the same format: all as http links, all as local paths, or all as PIL
images.`,name:"images"},{anchor:"transformers.DepthEstimationPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to 5) &#x2014;
The number of top labels that will be returned by the pipeline. If the provided number is higher than
the number of labels available in the model configuration, it will default to the number of labels.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/depth_estimation.py#L53",returnDescription:`
<p>A dictionary or a list of dictionaries containing result. If the input is a single image, will return a
dictionary, if the input is a list of several images, will return a list of dictionaries corresponding to
the images.</p>
<p>The dictionaries contain the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label identified by the model.</li>
<li><strong>score</strong> (<code>int</code>) \u2014 The score attributed by the model for that label.</li>
</ul>
`}}),zr=new C({}),Sr=new $({props:{name:"class transformers.DocumentQuestionAnsweringPipeline",anchor:"transformers.DocumentQuestionAnsweringPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DocumentQuestionAnsweringPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/document_question_answering.py#L102"}}),ns=new I({props:{anchor:"transformers.DocumentQuestionAnsweringPipeline.example",$$slots:{default:[AS]},$$scope:{ctx:j}}}),Or=new $({props:{name:"__call__",anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__",parameters:[{name:"image",val:": typing.Union[ForwardRef('Image.Image'), str]"},{name:"question",val:": typing.Optional[str] = None"},{name:"word_boxes",val:": typing.Tuple[str, typing.List[float]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.image",description:`<strong>image</strong> (<code>str</code> or <code>PIL.Image</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images. If given a single image, it can be
broadcasted to multiple questions.`,name:"image"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.question",description:`<strong>question</strong> (<code>str</code>) &#x2014;
A question to ask of the document.`,name:"question"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.word_boxes",description:`<strong>word_boxes</strong> (<code>List[str, Tuple[float, float, float, float]]</code>, <em>optional</em>) &#x2014;
A list of words and bounding boxes (normalized 0-&gt;1000). If you provide this optional input, then the
pipeline will use these words and boxes instead of running OCR on the image to derive them for models
that need them (e.g. LayoutLM). This allows you to reuse OCR&#x2019;d results across many invocations of the
pipeline without having to re-run it each time.`,name:"word_boxes"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of answers to return (will be chosen by order of likelihood). Note that we return less than
top_k answers if there are not enough options available within the context.`,name:"top_k"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.doc_stride",description:`<strong>doc_stride</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
If the words in the document are too long to fit with the question for the model, it will be split in
several chunks with some overlap. This argument controls the size of that overlap.`,name:"doc_stride"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.max_answer_len",description:`<strong>max_answer_len</strong> (<code>int</code>, <em>optional</em>, defaults to 15) &#x2014;
The maximum length of predicted answers (e.g., only answers with a shorter length are considered).`,name:"max_answer_len"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.max_seq_len",description:`<strong>max_seq_len</strong> (<code>int</code>, <em>optional</em>, defaults to 384) &#x2014;
The maximum length of the total sentence (context + question) in tokens of each chunk passed to the
model. The context will be split in several chunks (using <code>doc_stride</code> as overlap) if needed.`,name:"max_seq_len"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.max_question_len",description:`<strong>max_question_len</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
The maximum length of the question after tokenization. It will be truncated if needed.`,name:"max_question_len"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.handle_impossible_answer",description:`<strong>handle_impossible_answer</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not we accept impossible as an answer.`,name:"handle_impossible_answer"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.lang",description:`<strong>lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Language to use while running OCR. Defaults to english.`,name:"lang"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.tesseract_config",description:`<strong>tesseract_config</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Additional flags to pass to tesseract while running OCR.`,name:"tesseract_config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/document_question_answering.py#L186",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>score</strong> (<code>float</code>) \u2014 The probability associated to the answer.</li>
<li><strong>start</strong> (<code>int</code>) \u2014 The start word index of the answer (in the OCR\u2019d version of the input or provided
<code>word_boxes</code>).</li>
<li><strong>end</strong> (<code>int</code>) \u2014 The end word index of the answer (in the OCR\u2019d version of the input or provided
<code>word_boxes</code>).</li>
<li><strong>answer</strong> (<code>str</code>) \u2014 The answer to the question.</li>
<li><strong>words</strong> (<code>list[int]</code>) \u2014 The index of each word/box pair that is in the answer</li>
</ul>
`,returnType:`
<p>A <code>dict</code> or a list of <code>dict</code></p>
`}}),Ur=new C({}),Gr=new $({props:{name:"class transformers.FeatureExtractionPipeline",anchor:"transformers.FeatureExtractionPipeline",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"tokenizer",val:": typing.Optional[transformers.tokenization_utils.PreTrainedTokenizer] = None"},{name:"feature_extractor",val:": typing.Optional[ForwardRef('SequenceFeatureExtractor')] = None"},{name:"modelcard",val:": typing.Optional[transformers.modelcard.ModelCard] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"task",val:": str = ''"},{name:"args_parser",val:": ArgumentHandler = None"},{name:"device",val:": typing.Union[int, str, ForwardRef('torch.device')] = -1"},{name:"binary_output",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FeatureExtractionPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.FeatureExtractionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.FeatureExtractionPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.FeatureExtractionPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.FeatureExtractionPipeline.return_tensor",description:`<strong>return_tensor</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If <code>True</code>, returns a tensor according to the specified framework, otherwise returns a list.`,name:"return_tensor"},{anchor:"transformers.FeatureExtractionPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.FeatureExtractionPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.FeatureExtractionPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id.`,name:"device"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/feature_extraction.py#L7"}}),as=new I({props:{anchor:"transformers.FeatureExtractionPipeline.example",$$slots:{default:[DS]},$$scope:{ctx:j}}}),Vr=new $({props:{name:"__call__",anchor:"transformers.FeatureExtractionPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FeatureExtractionPipeline.__call__.args",description:"<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014; One or several texts (or one list of texts) to get the features of.",name:"args"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/feature_extraction.py#L95",returnDescription:`
<p>The features computed by the model.</p>
`,returnType:`
<p>A nested list of <code>float</code></p>
`}}),Hr=new C({}),Wr=new $({props:{name:"class transformers.FillMaskPipeline",anchor:"transformers.FillMaskPipeline",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"tokenizer",val:": typing.Optional[transformers.tokenization_utils.PreTrainedTokenizer] = None"},{name:"feature_extractor",val:": typing.Optional[ForwardRef('SequenceFeatureExtractor')] = None"},{name:"modelcard",val:": typing.Optional[transformers.modelcard.ModelCard] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"task",val:": str = ''"},{name:"args_parser",val:": ArgumentHandler = None"},{name:"device",val:": typing.Union[int, str, ForwardRef('torch.device')] = -1"},{name:"binary_output",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FillMaskPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.FillMaskPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.FillMaskPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.FillMaskPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.FillMaskPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.FillMaskPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.FillMaskPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.FillMaskPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.FillMaskPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.FillMaskPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.FillMaskPipeline.top_k",description:`<strong>top_k</strong> (<code>int</code>, defaults to 5) &#x2014;
The number of predictions to return.`,name:"top_k"},{anchor:"transformers.FillMaskPipeline.targets",description:`<strong>targets</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
When passed, the model will limit the scores to the passed targets instead of looking up in the whole
vocab. If the provided targets are not in the model vocab, they will be tokenized and the first resulting
token will be used (with a warning, and that might be slower).`,name:"targets"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/fill_mask.py#L34"}}),is=new I({props:{anchor:"transformers.FillMaskPipeline.example",$$slots:{default:[CS]},$$scope:{ctx:j}}}),ls=new _S({props:{$$slots:{default:[IS]},$$scope:{ctx:j}}}),Yr=new $({props:{name:"__call__",anchor:"transformers.FillMaskPipeline.__call__",parameters:[{name:"inputs",val:""},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FillMaskPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several texts (or one list of prompts) with masked tokens.`,name:"args"},{anchor:"transformers.FillMaskPipeline.__call__.targets",description:`<strong>targets</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
When passed, the model will limit the scores to the passed targets instead of looking up in the whole
vocab. If the provided targets are not in the model vocab, they will be tokenized and the first
resulting token will be used (with a warning, and that might be slower).`,name:"targets"},{anchor:"transformers.FillMaskPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>) &#x2014;
When passed, overrides the number of predictions to return.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/fill_mask.py#L217",returnDescription:`
<p>Each result comes as list of dictionaries with the following keys:</p>
<ul>
<li><strong>sequence</strong> (<code>str</code>) \u2014 The corresponding input with the mask token prediction.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The corresponding probability.</li>
<li><strong>token</strong> (<code>int</code>) \u2014 The predicted token id (to replace the masked one).</li>
<li><strong>token</strong> (<code>str</code>) \u2014 The predicted token (to replace the masked one).</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),Kr=new C({}),Xr=new $({props:{name:"class transformers.ImageClassificationPipeline",anchor:"transformers.ImageClassificationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ImageClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ImageClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ImageClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ImageClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ImageClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ImageClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ImageClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ImageClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ImageClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/image_classification.py#L32"}}),ds=new I({props:{anchor:"transformers.ImageClassificationPipeline.example",$$slots:{default:[zS]},$$scope:{ctx:j}}}),no=new $({props:{name:"__call__",anchor:"transformers.ImageClassificationPipeline.__call__",parameters:[{name:"images",val:": typing.Union[str, typing.List[str], ForwardRef('Image.Image'), typing.List[ForwardRef('Image.Image')]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageClassificationPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images, which must then be passed as a string.
Images in a batch must all be in the same format: all as http links, all as local paths, or all as PIL
images.`,name:"images"},{anchor:"transformers.ImageClassificationPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to 5) &#x2014;
The number of top labels that will be returned by the pipeline. If the provided number is higher than
the number of labels available in the model configuration, it will default to the number of labels.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/image_classification.py#L71",returnDescription:`
<p>A dictionary or a list of dictionaries containing result. If the input is a single image, will return a
dictionary, if the input is a list of several images, will return a list of dictionaries corresponding to
the images.</p>
<p>The dictionaries contain the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label identified by the model.</li>
<li><strong>score</strong> (<code>int</code>) \u2014 The score attributed by the model for that label.</li>
</ul>
`}}),so=new C({}),ao=new $({props:{name:"class transformers.ImageSegmentationPipeline",anchor:"transformers.ImageSegmentationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageSegmentationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ImageSegmentationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ImageSegmentationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ImageSegmentationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ImageSegmentationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ImageSegmentationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ImageSegmentationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ImageSegmentationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ImageSegmentationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ImageSegmentationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/image_segmentation.py#L30"}}),fs=new I({props:{anchor:"transformers.ImageSegmentationPipeline.example",$$slots:{default:[SS]},$$scope:{ctx:j}}}),lo=new $({props:{name:"__call__",anchor:"transformers.ImageSegmentationPipeline.__call__",parameters:[{name:"images",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageSegmentationPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing an HTTP(S) link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images. Images in a batch must all be in the
same format: all as HTTP(S) links, all as local paths, or all as PIL images.`,name:"images"},{anchor:"transformers.ImageSegmentationPipeline.__call__.subtask",description:`<strong>subtask</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Segmentation task to be performed, choose [<code>semantic</code>, <code>instance</code> and <code>panoptic</code>] depending on model
capabilities. If not set, the pipeline will attempt tp resolve in the following order:
<code>panoptic</code>, <code>instance</code>, <code>semantic</code>.`,name:"subtask"},{anchor:"transformers.ImageSegmentationPipeline.__call__.threshold",description:`<strong>threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.9) &#x2014;
Probability threshold to filter out predicted masks.`,name:"threshold"},{anchor:"transformers.ImageSegmentationPipeline.__call__.mask_threshold",description:`<strong>mask_threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
Threshold to use when turning the predicted masks into binary values.`,name:"mask_threshold"},{anchor:"transformers.ImageSegmentationPipeline.__call__.overlap_mask_area_threshold",description:`<strong>overlap_mask_area_threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
Mask overlap threshold to eliminate small, disconnected segments.`,name:"overlap_mask_area_threshold"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/image_segmentation.py#L94",returnDescription:`
<p>A dictionary or a list of dictionaries containing the result. If the input is a single image, will return a
list of dictionaries, if the input is a list of several images, will return a list of list of dictionaries
corresponding to each image.</p>
<p>The dictionaries contain the mask, label and score (where applicable) of each detected object and contains
the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The class label identified by the model.</li>
<li><strong>mask</strong> (<code>PIL.Image</code>) \u2014 A binary mask of the detected object as a Pil Image of shape (width, height) of
the original image. Returns a mask filled with zeros if no object is found.</li>
<li><strong>score</strong> (<em>optional</em> <code>float</code>) \u2014 Optionally, when the model is capable of estimating a confidence of the
\u201Cobject\u201D described by the label and the mask.</li>
</ul>
`}}),po=new C({}),co=new $({props:{name:"class transformers.ImageToTextPipeline",anchor:"transformers.ImageToTextPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageToTextPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ImageToTextPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ImageToTextPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ImageToTextPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ImageToTextPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ImageToTextPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ImageToTextPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ImageToTextPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ImageToTextPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ImageToTextPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/image_to_text.py#L29"}}),_s=new I({props:{anchor:"transformers.ImageToTextPipeline.example",$$slots:{default:[MS]},$$scope:{ctx:j}}}),uo=new $({props:{name:"__call__",anchor:"transformers.ImageToTextPipeline.__call__",parameters:[{name:"images",val:": typing.Union[str, typing.List[str], ForwardRef('Image.Image'), typing.List[ForwardRef('Image.Image')]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageToTextPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a HTTP(s) link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images.`,name:"images"},{anchor:"transformers.ImageToTextPipeline.__call__.max_new_tokens",description:`<strong>max_new_tokens</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The amount of maximum tokens to generate. By default it will use <code>generate</code> default.`,name:"max_new_tokens"},{anchor:"transformers.ImageToTextPipeline.__call__.generate_kwargs",description:`<strong>generate_kwargs</strong> (<code>Dict</code>, <em>optional</em>) &#x2014;
Pass it to send all of these arguments directly to <code>generate</code> allowing full control of this function.`,name:"generate_kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/image_to_text.py#L74",returnDescription:`
<p>Each result comes as a dictionary with the following key:</p>
<ul>
<li><strong>generated_text</strong> (<code>str</code>) \u2014 The generated text.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),go=new C({}),_o=new $({props:{name:"class transformers.TokenClassificationPipeline",anchor:"transformers.TokenClassificationPipeline",parameters:[{name:"args_parser",val:" = <transformers.pipelines.token_classification.TokenClassificationArgumentHandler object at 0x7f8f34a61b50>"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TokenClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TokenClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TokenClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TokenClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TokenClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TokenClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TokenClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TokenClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TokenClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.TokenClassificationPipeline.ignore_labels",description:`<strong>ignore_labels</strong> (<code>List[str]</code>, defaults to <code>[&quot;O&quot;]</code>) &#x2014;
A list of labels to ignore.`,name:"ignore_labels"},{anchor:"transformers.TokenClassificationPipeline.grouped_entities",description:`<strong>grouped_entities</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
DEPRECATED, use <code>aggregation_strategy</code> instead. Whether or not to group the tokens corresponding to the
same entity together in the predictions or not.`,name:"grouped_entities"},{anchor:"transformers.TokenClassificationPipeline.aggregation_strategy",description:`<strong>aggregation_strategy</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;none&quot;</code>) &#x2014;
The strategy to fuse (or not) tokens based on the model prediction.</p>
<ul>
<li>&#x201C;none&#x201D; : Will simply not do any aggregation and simply return raw results from the model</li>
<li>&#x201C;simple&#x201D; : Will attempt to group entities following the default schema. (A, B-TAG), (B, I-TAG), (C,
I-TAG), (D, B-TAG2) (E, B-TAG2) will end up being [{&#x201C;word&#x201D;: ABC, &#x201C;entity&#x201D;: &#x201C;TAG&#x201D;}, {&#x201C;word&#x201D;: &#x201C;D&#x201D;,
&#x201C;entity&#x201D;: &#x201C;TAG2&#x201D;}, {&#x201C;word&#x201D;: &#x201C;E&#x201D;, &#x201C;entity&#x201D;: &#x201C;TAG2&#x201D;}] Notice that two consecutive B tags will end up as
different entities. On word based languages, we might end up splitting words undesirably : Imagine
Microsoft being tagged as [{&#x201C;word&#x201D;: &#x201C;Micro&#x201D;, &#x201C;entity&#x201D;: &#x201C;ENTERPRISE&#x201D;}, {&#x201C;word&#x201D;: &#x201C;soft&#x201D;, &#x201C;entity&#x201D;:
&#x201C;NAME&#x201D;}]. Look for FIRST, MAX, AVERAGE for ways to mitigate that and disambiguate words (on languages
that support that meaning, which is basically tokens separated by a space). These mitigations will
only work on real words, &#x201C;New york&#x201D; might still be tagged with two different entities.</li>
<li>&#x201C;first&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words, cannot
end up with different tags. Words will simply use the tag of the first token of the word when there
is ambiguity.</li>
<li>&#x201C;average&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words,
cannot end up with different tags. scores will be averaged first across tokens, and then the maximum
label is applied.</li>
<li>&#x201C;max&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words, cannot
end up with different tags. Word entity will simply be the token with the maximum score.</li>
</ul>`,name:"aggregation_strategy"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L86"}}),vs=new I({props:{anchor:"transformers.TokenClassificationPipeline.example",$$slots:{default:[FS]},$$scope:{ctx:j}}}),vo=new $({props:{name:"aggregate_words",anchor:"transformers.TokenClassificationPipeline.aggregate_words",parameters:[{name:"entities",val:": typing.List[dict]"},{name:"aggregation_strategy",val:": AggregationStrategy"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L393"}}),xo=new $({props:{name:"gather_pre_entities",anchor:"transformers.TokenClassificationPipeline.gather_pre_entities",parameters:[{name:"sentence",val:": str"},{name:"input_ids",val:": ndarray"},{name:"scores",val:": ndarray"},{name:"offset_mapping",val:": typing.Union[typing.List[typing.Tuple[int, int]], NoneType]"},{name:"special_tokens_mask",val:": ndarray"},{name:"aggregation_strategy",val:": AggregationStrategy"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L282"}}),ko=new $({props:{name:"group_entities",anchor:"transformers.TokenClassificationPipeline.group_entities",parameters:[{name:"entities",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.group_entities.entities",description:"<strong>entities</strong> (<code>dict</code>) &#x2014; The entities predicted by the pipeline.",name:"entities"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L455"}}),Po=new $({props:{name:"group_sub_entities",anchor:"transformers.TokenClassificationPipeline.group_sub_entities",parameters:[{name:"entities",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.group_sub_entities.entities",description:"<strong>entities</strong> (<code>dict</code>) &#x2014; The entities predicted by the pipeline.",name:"entities"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L420"}}),yo=new C({}),To=new $({props:{name:"class transformers.ObjectDetectionPipeline",anchor:"transformers.ObjectDetectionPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ObjectDetectionPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ObjectDetectionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ObjectDetectionPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ObjectDetectionPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ObjectDetectionPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ObjectDetectionPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ObjectDetectionPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ObjectDetectionPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ObjectDetectionPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ObjectDetectionPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/object_detection.py#L24"}}),$s=new I({props:{anchor:"transformers.ObjectDetectionPipeline.example",$$slots:{default:[LS]},$$scope:{ctx:j}}}),qo=new $({props:{name:"__call__",anchor:"transformers.ObjectDetectionPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ObjectDetectionPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing an HTTP(S) link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images. Images in a batch must all be in the
same format: all as HTTP(S) links, all as local paths, or all as PIL images.`,name:"images"},{anchor:"transformers.ObjectDetectionPipeline.__call__.threshold",description:`<strong>threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.9) &#x2014;
The probability necessary to make a prediction.`,name:"threshold"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/object_detection.py#L66",returnDescription:`
<p>A list of dictionaries or a list of list of dictionaries containing the result. If the input is a single
image, will return a list of dictionaries, if the input is a list of several images, will return a list of
list of dictionaries corresponding to each image.</p>
<p>The dictionaries contain the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The class label identified by the model.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The score attributed by the model for that label.</li>
<li><strong>box</strong> (<code>List[Dict[str, int]]</code>) \u2014 The bounding box of detected object in image\u2019s original size.</li>
</ul>
`}}),Ao=new C({}),Do=new $({props:{name:"class transformers.QuestionAnsweringPipeline",anchor:"transformers.QuestionAnsweringPipeline",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"tokenizer",val:": PreTrainedTokenizer"},{name:"modelcard",val:": typing.Optional[transformers.modelcard.ModelCard] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"device",val:": int = -1"},{name:"task",val:": str = ''"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.QuestionAnsweringPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.QuestionAnsweringPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.QuestionAnsweringPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.QuestionAnsweringPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.QuestionAnsweringPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.QuestionAnsweringPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.QuestionAnsweringPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.QuestionAnsweringPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.QuestionAnsweringPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.QuestionAnsweringPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/question_answering.py#L224"}}),qs=new I({props:{anchor:"transformers.QuestionAnsweringPipeline.example",$$slots:{default:[OS]},$$scope:{ctx:j}}}),zo=new $({props:{name:"__call__",anchor:"transformers.QuestionAnsweringPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.QuestionAnsweringPipeline.__call__.args",description:`<strong>args</strong> (<code>SquadExample</code> or a list of <code>SquadExample</code>) &#x2014;
One or several <code>SquadExample</code> containing the question and context.`,name:"args"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.X",description:`<strong>X</strong> (<code>SquadExample</code> or a list of <code>SquadExample</code>, <em>optional</em>) &#x2014;
One or several <code>SquadExample</code> containing the question and context (will be treated the same way as if
passed as the first positional argument).`,name:"X"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.data",description:`<strong>data</strong> (<code>SquadExample</code> or a list of <code>SquadExample</code>, <em>optional</em>) &#x2014;
One or several <code>SquadExample</code> containing the question and context (will be treated the same way as if
passed as the first positional argument).`,name:"data"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.question",description:`<strong>question</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several question(s) (must be used in conjunction with the <code>context</code> argument).`,name:"question"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.context",description:`<strong>context</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several context(s) associated with the question(s) (must be used in conjunction with the
<code>question</code> argument).`,name:"context"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.topk",description:`<strong>topk</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of answers to return (will be chosen by order of likelihood). Note that we return less than
topk answers if there are not enough options available within the context.`,name:"topk"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.doc_stride",description:`<strong>doc_stride</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
If the context is too long to fit with the question for the model, it will be split in several chunks
with some overlap. This argument controls the size of that overlap.`,name:"doc_stride"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.max_answer_len",description:`<strong>max_answer_len</strong> (<code>int</code>, <em>optional</em>, defaults to 15) &#x2014;
The maximum length of predicted answers (e.g., only answers with a shorter length are considered).`,name:"max_answer_len"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.max_seq_len",description:`<strong>max_seq_len</strong> (<code>int</code>, <em>optional</em>, defaults to 384) &#x2014;
The maximum length of the total sentence (context + question) in tokens of each chunk passed to the
model. The context will be split in several chunks (using <code>doc_stride</code> as overlap) if needed.`,name:"max_seq_len"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.max_question_len",description:`<strong>max_question_len</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
The maximum length of the question after tokenization. It will be truncated if needed.`,name:"max_question_len"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.handle_impossible_answer",description:`<strong>handle_impossible_answer</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not we accept impossible as an answer.`,name:"handle_impossible_answer"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.align_to_words",description:`<strong>align_to_words</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Attempts to align the answer to real words. Improves quality on space separated langages. Might hurt on
non-space-separated languages (like Japanese or Chinese)`,name:"align_to_words"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/question_answering.py#L342",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>score</strong> (<code>float</code>) \u2014 The probability associated to the answer.</li>
<li><strong>start</strong> (<code>int</code>) \u2014 The character start index of the answer (in the tokenized version of the input).</li>
<li><strong>end</strong> (<code>int</code>) \u2014 The character end index of the answer (in the tokenized version of the input).</li>
<li><strong>answer</strong> (<code>str</code>) \u2014 The answer to the question.</li>
</ul>
`,returnType:`
<p>A <code>dict</code> or a list of <code>dict</code></p>
`}}),So=new $({props:{name:"create_sample",anchor:"transformers.QuestionAnsweringPipeline.create_sample",parameters:[{name:"question",val:": typing.Union[str, typing.List[str]]"},{name:"context",val:": typing.Union[str, typing.List[str]]"}],parametersDescription:[{anchor:"transformers.QuestionAnsweringPipeline.create_sample.question",description:"<strong>question</strong> (<code>str</code> or <code>List[str]</code>) &#x2014; The question(s) asked.",name:"question"},{anchor:"transformers.QuestionAnsweringPipeline.create_sample.context",description:"<strong>context</strong> (<code>str</code> or <code>List[str]</code>) &#x2014; The context(s) in which we will look for the answer.",name:"context"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/question_answering.py#L277",returnDescription:`
<p>The corresponding <code>SquadExample</code> grouping question and context.</p>
`,returnType:`
<p>One or a list of <code>SquadExample</code></p>
`}}),Mo=new $({props:{name:"span_to_answer",anchor:"transformers.QuestionAnsweringPipeline.span_to_answer",parameters:[{name:"text",val:": str"},{name:"start",val:": int"},{name:"end",val:": int"}],parametersDescription:[{anchor:"transformers.QuestionAnsweringPipeline.span_to_answer.text",description:"<strong>text</strong> (<code>str</code>) &#x2014; The actual context to extract the answer from.",name:"text"},{anchor:"transformers.QuestionAnsweringPipeline.span_to_answer.start",description:"<strong>start</strong> (<code>int</code>) &#x2014; The answer starting token index.",name:"start"},{anchor:"transformers.QuestionAnsweringPipeline.span_to_answer.end",description:"<strong>end</strong> (<code>int</code>) &#x2014; The answer end token index.",name:"end"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/question_answering.py#L618",returnDescription:`
<p>str, \u2018start\u2019: int, \u2018end\u2019: int}\`</p>
`,returnType:`
<p>Dictionary like \`{\u2018answer\u2019</p>
`}}),Fo=new C({}),Lo=new $({props:{name:"class transformers.SummarizationPipeline",anchor:"transformers.SummarizationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.SummarizationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.SummarizationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.SummarizationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.SummarizationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.SummarizationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.SummarizationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.SummarizationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.SummarizationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.SummarizationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.SummarizationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text2text_generation.py#L213"}}),Is=new I({props:{anchor:"transformers.SummarizationPipeline.example",$$slots:{default:[NS]},$$scope:{ctx:j}}}),Uo=new $({props:{name:"__call__",anchor:"transformers.SummarizationPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.SummarizationPipeline.__call__.documents",description:`<strong>documents</strong> (<em>str</em> or <code>List[str]</code>) &#x2014;
One or several articles (or one list of articles) to summarize.`,name:"documents"},{anchor:"transformers.SummarizationPipeline.__call__.return_text",description:`<strong>return_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to include the decoded texts in the outputs`,name:"return_text"},{anchor:"transformers.SummarizationPipeline.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to include the tensors of predictions (as token indices) in the outputs.`,name:"return_tensors"},{anchor:"transformers.SummarizationPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.
generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"clean_up_tokenization_spaces"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text2text_generation.py#L241",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>summary_text</strong> (<code>str</code>, present when <code>return_text=True</code>) \u2014 The summary of the corresponding input.</li>
<li><strong>summary_token_ids</strong> (<code>torch.Tensor</code> or <code>tf.Tensor</code>, present when <code>return_tensors=True</code>) \u2014 The token
ids of the summary.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),Go=new C({}),Ro=new $({props:{name:"class transformers.TableQuestionAnsweringPipeline",anchor:"transformers.TableQuestionAnsweringPipeline",parameters:[{name:"args_parser",val:" = <transformers.pipelines.table_question_answering.TableQuestionAnsweringArgumentHandler object at 0x7f8f34a58280>"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TableQuestionAnsweringPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TableQuestionAnsweringPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TableQuestionAnsweringPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TableQuestionAnsweringPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TableQuestionAnsweringPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TableQuestionAnsweringPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TableQuestionAnsweringPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TableQuestionAnsweringPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TableQuestionAnsweringPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TableQuestionAnsweringPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/table_question_answering.py#L89"}}),Ms=new I({props:{anchor:"transformers.TableQuestionAnsweringPipeline.example",$$slots:{default:[US]},$$scope:{ctx:j}}}),Wo=new $({props:{name:"__call__",anchor:"transformers.TableQuestionAnsweringPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.table",description:`<strong>table</strong> (<code>pd.DataFrame</code> or <code>Dict</code>) &#x2014;
Pandas DataFrame or dictionary that will be converted to a DataFrame containing all the table values.
See above for an example of dictionary.`,name:"table"},{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.query",description:`<strong>query</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
Query or list of queries that will be sent to the model alongside the table.`,name:"query"},{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.sequential",description:`<strong>sequential</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to do inference sequentially or as a batch. Batching is faster, but models like SQA require the
inference to be done sequentially to extract relations within sequences, given their conversational
nature.`,name:"sequential"},{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/main/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Activates and controls padding. Accepts the following values:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code>: Pad to the longest sequence in the batch (or no padding if only a single
sequence if provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code> (default): No padding (i.e., can output a batch with sequences of different
lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.truncation",description:`<strong>truncation</strong> (<code>bool</code>, <code>str</code> or <code>TapasTruncationStrategy</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Activates and controls truncation. Accepts the following values:</p>
<ul>
<li><code>True</code> or <code>&apos;drop_rows_to_fit&apos;</code>: Truncate to a maximum length specified with the argument <code>max_length</code>
or to the maximum acceptable input length for the model if that argument is not provided. This will
truncate row by row, removing rows from the table.</li>
<li><code>False</code> or <code>&apos;do_not_truncate&apos;</code> (default): No truncation (i.e., can output batch with sequence lengths
greater than the model maximum admissible input size).</li>
</ul>`,name:"truncation"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/table_question_answering.py#L274",returnDescription:`
<p>Each result is a dictionary with the following
keys:</p>
<ul>
<li><strong>answer</strong> (<code>str</code>) \u2014 The answer of the query given the table. If there is an aggregator, the answer will
be preceded by <code>AGGREGATOR &gt;</code>.</li>
<li><strong>coordinates</strong> (<code>List[Tuple[int, int]]</code>) \u2014 Coordinates of the cells of the answers.</li>
<li><strong>cells</strong> (<code>List[str]</code>) \u2014 List of strings made up of the answer cell values.</li>
<li><strong>aggregator</strong> (<code>str</code>) \u2014 If the model has an aggregator, this returns the aggregator.</li>
</ul>
`,returnType:`
<p>A dictionary or a list of dictionaries containing results</p>
`}}),Fs=new I({props:{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.example",$$slots:{default:[GS]},$$scope:{ctx:j}}}),Ls=new I({props:{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.example-2",$$slots:{default:[RS]},$$scope:{ctx:j}}}),Bo=new C({}),Yo=new $({props:{name:"class transformers.TextClassificationPipeline",anchor:"transformers.TextClassificationPipeline",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TextClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TextClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TextClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TextClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TextClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TextClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TextClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TextClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TextClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TextClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.TextClassificationPipeline.return_all_scores",description:`<strong>return_all_scores</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to return all prediction scores or just the one of the predicted class.`,name:"return_all_scores"},{anchor:"transformers.TextClassificationPipeline.function_to_apply",description:`<strong>function_to_apply</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;default&quot;</code>) &#x2014;
The function to apply to the model outputs in order to retrieve the scores. Accepts four different values:</p>
<ul>
<li><code>&quot;default&quot;</code>: if the model has a single label, will apply the sigmoid function on the output. If the model
has several labels, will apply the softmax function on the output.</li>
<li><code>&quot;sigmoid&quot;</code>: Applies the sigmoid function on the output.</li>
<li><code>&quot;softmax&quot;</code>: Applies the softmax function on the output.</li>
<li><code>&quot;none&quot;</code>: Does not apply any function on the output.</li>
</ul>`,name:"function_to_apply"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text_classification.py#L48"}}),Ns=new I({props:{anchor:"transformers.TextClassificationPipeline.example",$$slots:{default:[QS]},$$scope:{ctx:j}}}),ei=new $({props:{name:"__call__",anchor:"transformers.TextClassificationPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TextClassificationPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code> or <code>Dict[str]</code>, or <code>List[Dict[str]]</code>) &#x2014;
One or several texts to classify. In order to use text pairs for your classification, you can send a
dictionnary containing <code>{&quot;text&quot;, &quot;text_pair&quot;}</code> keys, or a list of those.`,name:"args"},{anchor:"transformers.TextClassificationPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to <code>1</code>) &#x2014;
How many results to return.`,name:"top_k"},{anchor:"transformers.TextClassificationPipeline.__call__.function_to_apply",description:`<strong>function_to_apply</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;default&quot;</code>) &#x2014;
The function to apply to the model outputs in order to retrieve the scores. Accepts four different
values:</p>
<p>If this argument is not specified, then it will apply the following functions according to the number
of labels:</p>
<ul>
<li>If the model has a single label, will apply the sigmoid function on the output.</li>
<li>If the model has several labels, will apply the softmax function on the output.</li>
</ul>
<p>Possible values are:</p>
<ul>
<li><code>&quot;sigmoid&quot;</code>: Applies the sigmoid function on the output.</li>
<li><code>&quot;softmax&quot;</code>: Applies the softmax function on the output.</li>
<li><code>&quot;none&quot;</code>: Does not apply any function on the output.</li>
</ul>`,name:"function_to_apply"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text_classification.py#L121",returnDescription:`
<p>Each result comes as list of dictionaries with the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label predicted.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The corresponding probability.</li>
</ul>
<p>If <code>top_k</code> is used, one such dictionary is returned per label.</p>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),ti=new C({}),ni=new $({props:{name:"class transformers.TextGenerationPipeline",anchor:"transformers.TextGenerationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TextGenerationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TextGenerationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TextGenerationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TextGenerationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TextGenerationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TextGenerationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TextGenerationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TextGenerationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TextGenerationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TextGenerationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text_generation.py#L21"}}),Rs=new I({props:{anchor:"transformers.TextGenerationPipeline.example",$$slots:{default:[VS]},$$scope:{ctx:j}}}),oi=new $({props:{name:"__call__",anchor:"transformers.TextGenerationPipeline.__call__",parameters:[{name:"text_inputs",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TextGenerationPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several prompts (or one list of prompts) to complete.`,name:"args"},{anchor:"transformers.TextGenerationPipeline.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to include the tensors of predictions (as token indices) in the outputs.`,name:"return_tensors"},{anchor:"transformers.TextGenerationPipeline.__call__.return_text",description:`<strong>return_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to include the decoded texts in the outputs.`,name:"return_text"},{anchor:"transformers.TextGenerationPipeline.__call__.return_full_text",description:`<strong>return_full_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>False</code> only added text is returned, otherwise the full text is returned Only meaningful if
<em>return_text</em> is set to True.`,name:"return_full_text"},{anchor:"transformers.TextGenerationPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.`,name:"clean_up_tokenization_spaces"},{anchor:"transformers.TextGenerationPipeline.__call__.prefix",description:`<strong>prefix</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Prefix added to prompt.`,name:"prefix"},{anchor:"transformers.TextGenerationPipeline.__call__.handle_long_generation",description:`<strong>handle_long_generation</strong> (<code>str</code>, <em>optional</em>) &#x2014;
By default, this pipelines does not handle long generation (ones that exceed in one form or the other
the model maximum length). There is no perfect way to adress this (more info
:<a href="https://github.com/huggingface/transformers/issues/14033#issuecomment-948385227" rel="nofollow">https://github.com/huggingface/transformers/issues/14033#issuecomment-948385227</a>). This provides common
strategies to work around that problem depending on your use case.</p>
<ul>
<li><code>None</code> : default strategy where nothing in particular happens</li>
<li><code>&quot;hole&quot;</code>: Truncates left of input, and leaves a gap wide enough to let generation happen (might
truncate a lot of the prompt and not suitable when generation exceed the model capacity)</li>
</ul>
<p>generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"handle_long_generation"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text_generation.py#L163",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>generated_text</strong> (<code>str</code>, present when <code>return_text=True</code>) \u2014 The generated text.</li>
<li><strong>generated_token_ids</strong> (<code>torch.Tensor</code> or <code>tf.Tensor</code>, present when <code>return_tensors=True</code>) \u2014 The token
ids of the generated text.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),ii=new C({}),li=new $({props:{name:"class transformers.Text2TextGenerationPipeline",anchor:"transformers.Text2TextGenerationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Text2TextGenerationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.Text2TextGenerationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.Text2TextGenerationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.Text2TextGenerationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.Text2TextGenerationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.Text2TextGenerationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.Text2TextGenerationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.Text2TextGenerationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.Text2TextGenerationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.Text2TextGenerationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text2text_generation.py#L26"}}),Hs=new I({props:{anchor:"transformers.Text2TextGenerationPipeline.example",$$slots:{default:[HS]},$$scope:{ctx:j}}}),Zs=new I({props:{anchor:"transformers.Text2TextGenerationPipeline.example-2",$$slots:{default:[WS]},$$scope:{ctx:j}}}),di=new $({props:{name:"__call__",anchor:"transformers.Text2TextGenerationPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Text2TextGenerationPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
Input text for the encoder.`,name:"args"},{anchor:"transformers.Text2TextGenerationPipeline.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to include the tensors of predictions (as token indices) in the outputs.`,name:"return_tensors"},{anchor:"transformers.Text2TextGenerationPipeline.__call__.return_text",description:`<strong>return_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to include the decoded texts in the outputs.`,name:"return_text"},{anchor:"transformers.Text2TextGenerationPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.`,name:"clean_up_tokenization_spaces"},{anchor:"transformers.Text2TextGenerationPipeline.__call__.truncation",description:`<strong>truncation</strong> (<code>TruncationStrategy</code>, <em>optional</em>, defaults to <code>TruncationStrategy.DO_NOT_TRUNCATE</code>) &#x2014;
The truncation strategy for the tokenization within the pipeline. <code>TruncationStrategy.DO_NOT_TRUNCATE</code>
(default) will never truncate, but it is sometimes desirable to truncate the input to fit the model&#x2019;s
max_length instead of throwing an error down the line.
generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"truncation"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text2text_generation.py#L136",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>generated_text</strong> (<code>str</code>, present when <code>return_text=True</code>) \u2014 The generated text.</li>
<li><strong>generated_token_ids</strong> (<code>torch.Tensor</code> or <code>tf.Tensor</code>, present when <code>return_tensors=True</code>) \u2014 The token
ids of the generated text.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),mi=new $({props:{name:"check_inputs",anchor:"transformers.Text2TextGenerationPipeline.check_inputs",parameters:[{name:"input_length",val:": int"},{name:"min_length",val:": int"},{name:"max_length",val:": int"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text2text_generation.py#L109"}}),hi=new C({}),fi=new $({props:{name:"class transformers.TokenClassificationPipeline",anchor:"transformers.TokenClassificationPipeline",parameters:[{name:"args_parser",val:" = <transformers.pipelines.token_classification.TokenClassificationArgumentHandler object at 0x7f8f34a61b50>"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TokenClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TokenClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TokenClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TokenClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TokenClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TokenClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TokenClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TokenClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TokenClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.TokenClassificationPipeline.ignore_labels",description:`<strong>ignore_labels</strong> (<code>List[str]</code>, defaults to <code>[&quot;O&quot;]</code>) &#x2014;
A list of labels to ignore.`,name:"ignore_labels"},{anchor:"transformers.TokenClassificationPipeline.grouped_entities",description:`<strong>grouped_entities</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
DEPRECATED, use <code>aggregation_strategy</code> instead. Whether or not to group the tokens corresponding to the
same entity together in the predictions or not.`,name:"grouped_entities"},{anchor:"transformers.TokenClassificationPipeline.aggregation_strategy",description:`<strong>aggregation_strategy</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;none&quot;</code>) &#x2014;
The strategy to fuse (or not) tokens based on the model prediction.</p>
<ul>
<li>&#x201C;none&#x201D; : Will simply not do any aggregation and simply return raw results from the model</li>
<li>&#x201C;simple&#x201D; : Will attempt to group entities following the default schema. (A, B-TAG), (B, I-TAG), (C,
I-TAG), (D, B-TAG2) (E, B-TAG2) will end up being [{&#x201C;word&#x201D;: ABC, &#x201C;entity&#x201D;: &#x201C;TAG&#x201D;}, {&#x201C;word&#x201D;: &#x201C;D&#x201D;,
&#x201C;entity&#x201D;: &#x201C;TAG2&#x201D;}, {&#x201C;word&#x201D;: &#x201C;E&#x201D;, &#x201C;entity&#x201D;: &#x201C;TAG2&#x201D;}] Notice that two consecutive B tags will end up as
different entities. On word based languages, we might end up splitting words undesirably : Imagine
Microsoft being tagged as [{&#x201C;word&#x201D;: &#x201C;Micro&#x201D;, &#x201C;entity&#x201D;: &#x201C;ENTERPRISE&#x201D;}, {&#x201C;word&#x201D;: &#x201C;soft&#x201D;, &#x201C;entity&#x201D;:
&#x201C;NAME&#x201D;}]. Look for FIRST, MAX, AVERAGE for ways to mitigate that and disambiguate words (on languages
that support that meaning, which is basically tokens separated by a space). These mitigations will
only work on real words, &#x201C;New york&#x201D; might still be tagged with two different entities.</li>
<li>&#x201C;first&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words, cannot
end up with different tags. Words will simply use the tag of the first token of the word when there
is ambiguity.</li>
<li>&#x201C;average&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words,
cannot end up with different tags. scores will be averaged first across tokens, and then the maximum
label is applied.</li>
<li>&#x201C;max&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words, cannot
end up with different tags. Word entity will simply be the token with the maximum score.</li>
</ul>`,name:"aggregation_strategy"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L86"}}),Xs=new I({props:{anchor:"transformers.TokenClassificationPipeline.example",$$slots:{default:[ZS]},$$scope:{ctx:j}}}),_i=new $({props:{name:"__call__",anchor:"transformers.TokenClassificationPipeline.__call__",parameters:[{name:"inputs",val:": typing.Union[str, typing.List[str]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.__call__.inputs",description:`<strong>inputs</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several texts (or one list of texts) for token classification.`,name:"inputs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L186",returnDescription:`
<p>Each result comes as a list of dictionaries (one for each token in the
corresponding input, or each entity if this pipeline was instantiated with an aggregation_strategy) with
the following keys:</p>
<ul>
<li><strong>word</strong> (<code>str</code>) \u2014 The token/word classified. This is obtained by decoding the selected tokens. If you
want to have the exact string in the original sentence, use <code>start</code> and <code>end</code>.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The corresponding probability for <code>entity</code>.</li>
<li><strong>entity</strong> (<code>str</code>) \u2014 The entity predicted for that token/word (it is named <em>entity_group</em> when
<em>aggregation_strategy</em> is not <code>"none"</code>.</li>
<li><strong>index</strong> (<code>int</code>, only present when <code>aggregation_strategy="none"</code>) \u2014 The index of the corresponding
token in the sentence.</li>
<li><strong>start</strong> (<code>int</code>, <em>optional</em>) \u2014 The index of the start of the corresponding entity in the sentence. Only
exists if the offsets are available within the tokenizer</li>
<li><strong>end</strong> (<code>int</code>, <em>optional</em>) \u2014 The index of the end of the corresponding entity in the sentence. Only
exists if the offsets are available within the tokenizer</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),bi=new $({props:{name:"aggregate_words",anchor:"transformers.TokenClassificationPipeline.aggregate_words",parameters:[{name:"entities",val:": typing.List[dict]"},{name:"aggregation_strategy",val:": AggregationStrategy"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L393"}}),wi=new $({props:{name:"gather_pre_entities",anchor:"transformers.TokenClassificationPipeline.gather_pre_entities",parameters:[{name:"sentence",val:": str"},{name:"input_ids",val:": ndarray"},{name:"scores",val:": ndarray"},{name:"offset_mapping",val:": typing.Union[typing.List[typing.Tuple[int, int]], NoneType]"},{name:"special_tokens_mask",val:": ndarray"},{name:"aggregation_strategy",val:": AggregationStrategy"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L282"}}),vi=new $({props:{name:"group_entities",anchor:"transformers.TokenClassificationPipeline.group_entities",parameters:[{name:"entities",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.group_entities.entities",description:"<strong>entities</strong> (<code>dict</code>) &#x2014; The entities predicted by the pipeline.",name:"entities"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L455"}}),xi=new $({props:{name:"group_sub_entities",anchor:"transformers.TokenClassificationPipeline.group_sub_entities",parameters:[{name:"entities",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.group_sub_entities.entities",description:"<strong>entities</strong> (<code>dict</code>) &#x2014; The entities predicted by the pipeline.",name:"entities"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/token_classification.py#L420"}}),ki=new C({}),Pi=new $({props:{name:"class transformers.TranslationPipeline",anchor:"transformers.TranslationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TranslationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TranslationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TranslationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TranslationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TranslationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TranslationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TranslationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TranslationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TranslationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TranslationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text2text_generation.py#L282"}}),ra=new I({props:{anchor:"transformers.TranslationPipeline.example",$$slots:{default:[BS]},$$scope:{ctx:j}}}),$i=new $({props:{name:"__call__",anchor:"transformers.TranslationPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TranslationPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
Texts to be translated.`,name:"args"},{anchor:"transformers.TranslationPipeline.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to include the tensors of predictions (as token indices) in the outputs.`,name:"return_tensors"},{anchor:"transformers.TranslationPipeline.__call__.return_text",description:`<strong>return_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to include the decoded texts in the outputs.`,name:"return_text"},{anchor:"transformers.TranslationPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.`,name:"clean_up_tokenization_spaces"},{anchor:"transformers.TranslationPipeline.__call__.src_lang",description:`<strong>src_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The language of the input. Might be required for multilingual models. Will not have any effect for
single pair translation models`,name:"src_lang"},{anchor:"transformers.TranslationPipeline.__call__.tgt_lang",description:`<strong>tgt_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The language of the desired output. Might be required for multilingual models. Will not have any effect
for single pair translation models
generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"tgt_lang"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/text2text_generation.py#L336",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>translation_text</strong> (<code>str</code>, present when <code>return_text=True</code>) \u2014 The translation.</li>
<li><strong>translation_token_ids</strong> (<code>torch.Tensor</code> or <code>tf.Tensor</code>, present when <code>return_tensors=True</code>) \u2014 The
token ids of the translation.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),ji=new C({}),Ei=new $({props:{name:"class transformers.VisualQuestionAnsweringPipeline",anchor:"transformers.VisualQuestionAnsweringPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VisualQuestionAnsweringPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.VisualQuestionAnsweringPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.VisualQuestionAnsweringPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.VisualQuestionAnsweringPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.VisualQuestionAnsweringPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.VisualQuestionAnsweringPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.VisualQuestionAnsweringPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.VisualQuestionAnsweringPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.VisualQuestionAnsweringPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.VisualQuestionAnsweringPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/visual_question_answering.py#L19"}}),la=new I({props:{anchor:"transformers.VisualQuestionAnsweringPipeline.example",$$slots:{default:[YS]},$$scope:{ctx:j}}}),Ci=new $({props:{name:"__call__",anchor:"transformers.VisualQuestionAnsweringPipeline.__call__",parameters:[{name:"image",val:": typing.Union[ForwardRef('Image.Image'), str]"},{name:"question",val:": str = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VisualQuestionAnsweringPipeline.__call__.image",description:`<strong>image</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images. If given a single image, it can be
broadcasted to multiple questions.`,name:"image"},{anchor:"transformers.VisualQuestionAnsweringPipeline.__call__.question",description:`<strong>question</strong> (<code>str</code>, <code>List[str]</code>) &#x2014;
The question(s) asked. If given a single question, it can be broadcasted to multiple images.`,name:"question"},{anchor:"transformers.VisualQuestionAnsweringPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to 5) &#x2014;
The number of top labels that will be returned by the pipeline. If the provided number is higher than
the number of labels available in the model configuration, it will default to the number of labels.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/visual_question_answering.py#L68",returnDescription:`
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label identified by the model.</li>
<li><strong>score</strong> (<code>int</code>) \u2014 The score attributed by the model for that label.</li>
</ul>
`,returnType:`
<p>A dictionary or a list of dictionaries containing the result. The dictionaries contain the following keys</p>
`}}),Ii=new C({}),zi=new $({props:{name:"class transformers.ZeroShotClassificationPipeline",anchor:"transformers.ZeroShotClassificationPipeline",parameters:[{name:"args_parser",val:" = <transformers.pipelines.zero_shot_classification.ZeroShotClassificationArgumentHandler object at 0x7f8f34a6e760>"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ZeroShotClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ZeroShotClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ZeroShotClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ZeroShotClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ZeroShotClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ZeroShotClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ZeroShotClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ZeroShotClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ZeroShotClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/zero_shot_classification.py#L46"}}),ca=new I({props:{anchor:"transformers.ZeroShotClassificationPipeline.example",$$slots:{default:[KS]},$$scope:{ctx:j}}}),Fi=new $({props:{name:"__call__",anchor:"transformers.ZeroShotClassificationPipeline.__call__",parameters:[{name:"sequences",val:": typing.Union[str, typing.List[str]]"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotClassificationPipeline.__call__.sequences",description:`<strong>sequences</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
The sequence(s) to classify, will be truncated if the model input is too large.`,name:"sequences"},{anchor:"transformers.ZeroShotClassificationPipeline.__call__.candidate_labels",description:`<strong>candidate_labels</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
The set of possible class labels to classify each sequence into. Can be a single label, a string of
comma-separated labels, or a list of labels.`,name:"candidate_labels"},{anchor:"transformers.ZeroShotClassificationPipeline.__call__.hypothesis_template",description:`<strong>hypothesis_template</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;This example is {}.&quot;</code>) &#x2014;
The template used to turn each label into an NLI-style hypothesis. This template must include a {} or
similar syntax for the candidate label to be inserted into the template. For example, the default
template is <code>&quot;This example is {}.&quot;</code> With the candidate label <code>&quot;sports&quot;</code>, this would be fed into the
model like <code>&quot;&lt;cls&gt; sequence to classify &lt;sep&gt; This example is sports . &lt;sep&gt;&quot;</code>. The default template
works well in many cases, but it may be worthwhile to experiment with different templates depending on
the task setting.`,name:"hypothesis_template"},{anchor:"transformers.ZeroShotClassificationPipeline.__call__.multi_label",description:`<strong>multi_label</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not multiple candidate labels can be true. If <code>False</code>, the scores are normalized such that
the sum of the label likelihoods for each sequence is 1. If <code>True</code>, the labels are considered
independent and probabilities are normalized for each candidate by doing a softmax of the entailment
score vs. the contradiction score.`,name:"multi_label"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/zero_shot_classification.py#L162",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>sequence</strong> (<code>str</code>) \u2014 The sequence for which this is the output.</li>
<li><strong>labels</strong> (<code>List[str]</code>) \u2014 The labels sorted by order of likelihood.</li>
<li><strong>scores</strong> (<code>List[float]</code>) \u2014 The probabilities for each of the labels.</li>
</ul>
`,returnType:`
<p>A <code>dict</code> or a list of <code>dict</code></p>
`}}),Oi=new C({}),Ni=new $({props:{name:"class transformers.ZeroShotImageClassificationPipeline",anchor:"transformers.ZeroShotImageClassificationPipeline",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotImageClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ZeroShotImageClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ZeroShotImageClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ZeroShotImageClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ZeroShotImageClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ZeroShotImageClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ZeroShotImageClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ZeroShotImageClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ZeroShotImageClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ZeroShotImageClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/zero_shot_image_classification.py#L31"}}),ha=new I({props:{anchor:"transformers.ZeroShotImageClassificationPipeline.example",$$slots:{default:[XS]},$$scope:{ctx:j}}}),Ri=new $({props:{name:"__call__",anchor:"transformers.ZeroShotImageClassificationPipeline.__call__",parameters:[{name:"images",val:": typing.Union[str, typing.List[str], ForwardRef('Image'), typing.List[ForwardRef('Image')]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotImageClassificationPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>`,name:"images"},{anchor:"transformers.ZeroShotImageClassificationPipeline.__call__.candidate_labels",description:`<strong>candidate_labels</strong> (<code>List[str]</code>) &#x2014;
The candidate labels for this image`,name:"candidate_labels"},{anchor:"transformers.ZeroShotImageClassificationPipeline.__call__.hypothesis_template",description:`<strong>hypothesis_template</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;This is a photo of {}&quot;</code>) &#x2014;
The sentence used in cunjunction with <em>candidate_labels</em> to attempt the image classification by
replacing the placeholder with the candidate_labels. Then likelihood is estimated by using
logits_per_image`,name:"hypothesis_template"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/zero_shot_image_classification.py#L71",returnDescription:`
<p>A list of dictionaries containing result, one dictionnary per proposed label. The dictionaries contain the
following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label identified by the model. It is one of the suggested <code>candidate_label</code>.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The score attributed by the model for that label (between 0 and 1).</li>
</ul>
`}}),Qi=new C({}),Vi=new $({props:{name:"class transformers.ZeroShotObjectDetectionPipeline",anchor:"transformers.ZeroShotObjectDetectionPipeline",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotObjectDetectionPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/zero_shot_object_detection.py#L31"}}),ga=new I({props:{anchor:"transformers.ZeroShotObjectDetectionPipeline.example",$$slots:{default:[JS]},$$scope:{ctx:j}}}),Zi=new $({props:{name:"__call__",anchor:"transformers.ZeroShotObjectDetectionPipeline.__call__",parameters:[{name:"images",val:": typing.Union[str, typing.List[str], ForwardRef('Image.Image'), typing.List[ForwardRef('Image.Image')]]"},{name:"text_queries",val:": typing.Union[str, typing.List[str], typing.List[typing.List[str]]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotObjectDetectionPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing an http url pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>`,name:"images"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.__call__.text_queries",description:"<strong>text_queries</strong> (<code>str</code> or <code>List[str]</code> or <code>List[List[str]]</code>) &#x2014; Text queries to query the target image with.",name:"text_queries"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.__call__.If",description:"<strong>If</strong> given multiple images, <code>text_queries</code> should be provided as a list of lists, where each nested list &#x2014;",name:"If"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.__call__.contains",description:"<strong>contains</strong> the text queries for the corresponding image. &#x2014;",name:"contains"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.__call__.threshold",description:`<strong>threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The probability necessary to make a prediction.`,name:"threshold"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to None) &#x2014;
The number of top predictions that will be returned by the pipeline. If the provided number is <code>None</code>
or higher than the number of predictions available, it will default to the number of predictions.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/zero_shot_object_detection.py#L73",returnDescription:`
<p>A list of lists containing prediction results, one list per input image. Each list contains dictionaries
with the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 Text query corresponding to the found object.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 Score corresponding to the object (between 0 and 1).</li>
<li><strong>box</strong> (<code>Dict[str,int]</code>) \u2014 Bounding box of the detected object in image\u2019s original size. It is a
dictionary with <code>x_min</code>, <code>x_max</code>, <code>y_min</code>, <code>y_max</code> keys.</li>
</ul>
`}}),Bi=new C({}),Yi=new $({props:{name:"class transformers.Pipeline",anchor:"transformers.Pipeline",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"tokenizer",val:": typing.Optional[transformers.tokenization_utils.PreTrainedTokenizer] = None"},{name:"feature_extractor",val:": typing.Optional[ForwardRef('SequenceFeatureExtractor')] = None"},{name:"modelcard",val:": typing.Optional[transformers.modelcard.ModelCard] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"task",val:": str = ''"},{name:"args_parser",val:": ArgumentHandler = None"},{name:"device",val:": typing.Union[int, str, ForwardRef('torch.device')] = -1"},{name:"binary_output",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Pipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.Pipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.Pipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.Pipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.Pipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.Pipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.Pipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.Pipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.Pipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.Pipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L722"}}),Ki=new $({props:{name:"check_model_type",anchor:"transformers.Pipeline.check_model_type",parameters:[{name:"supported_models",val:": typing.Union[typing.List[str], dict]"}],parametersDescription:[{anchor:"transformers.Pipeline.check_model_type.supported_models",description:`<strong>supported_models</strong> (<code>List[str]</code> or <code>dict</code>) &#x2014;
The list of models supported by the pipeline, or a dictionary with model class values.`,name:"supported_models"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L907"}}),Xi=new $({props:{name:"device_placement",anchor:"transformers.Pipeline.device_placement",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L847",returnDescription:`
<p>Context manager</p>
`}}),va=new I({props:{anchor:"transformers.Pipeline.device_placement.example",$$slots:{default:[eM]},$$scope:{ctx:j}}}),Ji=new $({props:{name:"ensure_tensor_on_device",anchor:"transformers.Pipeline.ensure_tensor_on_device",parameters:[{name:"**inputs",val:""}],parametersDescription:[{anchor:"transformers.Pipeline.ensure_tensor_on_device.inputs",description:`<strong>inputs</strong> (keyword arguments that should be <code>torch.Tensor</code>, the rest is ignored) &#x2014;
The tensors to place on <code>self.device</code>.`,name:"inputs"},{anchor:"transformers.Pipeline.ensure_tensor_on_device.Recursive",description:"<strong>Recursive</strong> on lists <strong>only</strong>. &#x2014;",name:"Recursive"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L873",returnDescription:`
<p>The same as <code>inputs</code> but on the proper device.</p>
`,returnType:`
<p><code>Dict[str, torch.Tensor]</code></p>
`}}),el=new $({props:{name:"postprocess",anchor:"transformers.Pipeline.postprocess",parameters:[{name:"model_outputs",val:": ModelOutput"},{name:"**postprocess_parameters",val:": typing.Dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L964"}}),nl=new $({props:{name:"predict",anchor:"transformers.Pipeline.predict",parameters:[{name:"X",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L841"}}),al=new $({props:{name:"preprocess",anchor:"transformers.Pipeline.preprocess",parameters:[{name:"input_",val:": typing.Any"},{name:"**preprocess_parameters",val:": typing.Dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L943"}}),rl=new $({props:{name:"save_pretrained",anchor:"transformers.Pipeline.save_pretrained",parameters:[{name:"save_directory",val:": str"}],parametersDescription:[{anchor:"transformers.Pipeline.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code>) &#x2014;
A path to the directory where to saved. It will be created if it doesn&#x2019;t exist.`,name:"save_directory"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L790"}}),ol=new $({props:{name:"transform",anchor:"transformers.Pipeline.transform",parameters:[{name:"X",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L835"}}),{c(){u=s("meta"),T=p(),P=s("h1"),h=s("a"),y=s("span"),_(l.$$.fragment),g=p(),Qe=s("span"),K2=o("Pipelines"),Wg=p(),kn=s("p"),X2=o(`The pipelines are a great and easy way to use models for inference. These pipelines are objects that abstract most of
the complex code from the library, offering a simple API dedicated to several tasks, including Named Entity
Recognition, Masked Language Modeling, Sentiment Analysis, Feature Extraction and Question Answering. See the
`),fl=s("a"),J2=o("task summary"),ev=o(" for examples of use."),Zg=p(),ul=s("p"),tv=o("There are two categories of pipeline abstractions to be aware about:"),Bg=p(),Pn=s("ul"),Vc=s("li"),za=s("p"),nv=o("The "),gl=s("a"),sv=o("pipeline()"),av=o(" which is the most powerful object encapsulating all other pipelines."),rv=p(),Sa=s("li"),Hc=s("p"),ov=o("The other task-specific pipelines:"),iv=p(),E=s("ul"),Wc=s("li"),_l=s("a"),lv=o("AudioClassificationPipeline"),pv=p(),Zc=s("li"),bl=s("a"),cv=o("AutomaticSpeechRecognitionPipeline"),dv=p(),Bc=s("li"),wl=s("a"),mv=o("ConversationalPipeline"),hv=p(),Yc=s("li"),vl=s("a"),fv=o("DepthEstimationPipeline"),uv=p(),Kc=s("li"),xl=s("a"),gv=o("DocumentQuestionAnsweringPipeline"),_v=p(),Xc=s("li"),kl=s("a"),bv=o("FeatureExtractionPipeline"),wv=p(),Jc=s("li"),Pl=s("a"),vv=o("FillMaskPipeline"),xv=p(),ed=s("li"),yl=s("a"),kv=o("ImageClassificationPipeline"),Pv=p(),td=s("li"),Tl=s("a"),yv=o("ImageSegmentationPipeline"),Tv=p(),nd=s("li"),$l=s("a"),$v=o("ImageToTextPipeline"),jv=p(),sd=s("li"),jl=s("a"),Ev=o("ObjectDetectionPipeline"),qv=p(),ad=s("li"),El=s("a"),Av=o("QuestionAnsweringPipeline"),Dv=p(),rd=s("li"),ql=s("a"),Cv=o("SummarizationPipeline"),Iv=p(),od=s("li"),Al=s("a"),zv=o("TableQuestionAnsweringPipeline"),Sv=p(),id=s("li"),Dl=s("a"),Mv=o("TextClassificationPipeline"),Fv=p(),ld=s("li"),Cl=s("a"),Lv=o("TextGenerationPipeline"),Ov=p(),pd=s("li"),Il=s("a"),Nv=o("Text2TextGenerationPipeline"),Uv=p(),cd=s("li"),zl=s("a"),Gv=o("TokenClassificationPipeline"),Rv=p(),dd=s("li"),Sl=s("a"),Qv=o("TranslationPipeline"),Vv=p(),md=s("li"),Ml=s("a"),Hv=o("VisualQuestionAnsweringPipeline"),Wv=p(),hd=s("li"),Fl=s("a"),Zv=o("ZeroShotClassificationPipeline"),Bv=p(),fd=s("li"),Ll=s("a"),Yv=o("ZeroShotImageClassificationPipeline"),Kv=p(),ud=s("li"),Ol=s("a"),Xv=o("ZeroShotObjectDetectionPipeline"),Yg=p(),dt=s("h2"),yn=s("a"),gd=s("span"),_(Ma.$$.fragment),Jv=p(),_d=s("span"),ex=o("The pipeline abstraction"),Kg=p(),Tn=s("p"),tx=o("The "),bd=s("em"),nx=o("pipeline"),sx=o(` abstraction is a wrapper around all the other available pipelines. It is instantiated as any other
pipeline but can provide additional quality of life.`),Xg=p(),Nl=s("p"),ax=o("Simple call on one item:"),Jg=p(),_(Fa.$$.fragment),e_=p(),$n=s("p"),rx=o("If you want to use a specific model from the "),La=s("a"),ox=o("hub"),ix=o(` you can ignore the task if the model on
the hub already defines it:`),t_=p(),_(Oa.$$.fragment),n_=p(),jn=s("p"),lx=o("To call a pipeline on many items, you can either call with a "),wd=s("em"),px=o("list"),cx=o("."),s_=p(),_(Na.$$.fragment),a_=p(),En=s("p"),dx=o("To iterate of full datasets it is recommended to use a "),vd=s("code"),mx=o("dataset"),hx=o(` directly. This means you don\u2019t need to allocate
the whole dataset at once, nor do you need to do batching yourself. This should work just as fast as custom loops on
GPU. If it doesn\u2019t don\u2019t hesitate to create an issue.`),r_=p(),_(Ua.$$.fragment),o_=p(),Ul=s("p"),fx=o("For ease of use, a generator is also possible:"),i_=p(),_(Ga.$$.fragment),l_=p(),be=s("div"),_(Ra.$$.fragment),ux=p(),Qa=s("p"),gx=o("Utility factory method to build a "),Gl=s("a"),_x=o("Pipeline"),bx=o("."),wx=p(),xd=s("p"),vx=o("Pipelines are made of:"),xx=p(),mt=s("ul"),Va=s("li"),kx=o("A "),Rl=s("a"),Px=o("tokenizer"),yx=o(" in charge of mapping raw textual input to token."),Tx=p(),Ha=s("li"),$x=o("A "),Ql=s("a"),jx=o("model"),Ex=o(" to make predictions from the inputs."),qx=p(),kd=s("li"),Ax=o("Some (optional) post processing for enhancing model\u2019s output."),Dx=p(),_(qn.$$.fragment),p_=p(),ht=s("h2"),An=s("a"),Pd=s("span"),_(Wa.$$.fragment),Cx=p(),yd=s("span"),Ix=o("Pipeline batching"),c_=p(),Xe=s("p"),zx=o(`All pipelines can use batching. This will work
whenever the pipeline uses its streaming ability (so when passing lists or `),Td=s("code"),Sx=o("Dataset"),Mx=o(" or "),$d=s("code"),Fx=o("generator"),Lx=o(")."),d_=p(),_(Za.$$.fragment),m_=p(),_(Dn.$$.fragment),h_=p(),_(Ba.$$.fragment),f_=p(),_(Ya.$$.fragment),u_=p(),Vl=s("p"),Ox=o("Example where it\u2019s most a slowdown:"),g_=p(),_(Ka.$$.fragment),__=p(),Cn=s("p"),Nx=o("This is a occasional very long sentence compared to the other. In that case, the "),jd=s("strong"),Ux=o("whole"),Gx=o(` batch will need to be 400
tokens long, so the whole batch will be [64, 400] instead of [64, 4], leading to the high slowdown. Even worse, on
bigger batches, the program simply crashes.`),b_=p(),_(Xa.$$.fragment),w_=p(),Hl=s("p"),Rx=o(`There are no good (general) solutions for this problem, and your mileage may vary depending on your use cases. Rule of
thumb:`),v_=p(),Wl=s("p"),Qx=o("For users, a rule of thumb is:"),x_=p(),we=s("ul"),Ed=s("li"),qd=s("p"),Ad=s("strong"),Vx=o(`Measure performance on your load, with your hardware. Measure, measure, and keep measuring. Real numbers are the
only way to go.`),Hx=p(),Dd=s("li"),Cd=s("p"),Wx=o("If you are latency constrained (live product doing inference), don\u2019t batch"),Zx=p(),Id=s("li"),zd=s("p"),Bx=o("If you are using CPU, don\u2019t batch."),Yx=p(),Ja=s("li"),Sd=s("p"),Kx=o("If you are using throughput (you want to run your model on a bunch of static data), on GPU, then:"),Xx=p(),ft=s("ul"),Md=s("li"),Jx=o(`If you have no clue about the size of the sequence_length (\u201Cnatural\u201D data), by default don\u2019t batch, measure and
try tentatively to add it, add OOM checks to recover when it will fail (and it will at some point if you don\u2019t
control the sequence_length.)`),e1=p(),Fd=s("li"),t1=o(`If your sequence_length is super regular, then batching is more likely to be VERY interesting, measure and push
it until you get OOMs.`),n1=p(),Ld=s("li"),s1=o("The larger the GPU the more likely batching is going to be more interesting"),a1=p(),Od=s("li"),Nd=s("p"),r1=o("As soon as you enable batching, make sure you can handle OOMs nicely."),k_=p(),ut=s("h2"),In=s("a"),Ud=s("span"),_(er.$$.fragment),o1=p(),Gd=s("span"),i1=o("Pipeline chunk batching"),P_=p(),Ve=s("p"),Rd=s("code"),l1=o("zero-shot-classification"),p1=o(" and "),Qd=s("code"),c1=o("question-answering"),d1=o(` are slightly specific in the sense, that a single input might yield
multiple forward pass of a model. Under normal circumstances, this would yield issues with `),Vd=s("code"),m1=o("batch_size"),h1=o(" argument."),y_=p(),Je=s("p"),f1=o("In order to circumvent this issue, both of these pipelines are a bit specific, they are "),Hd=s("code"),u1=o("ChunkPipeline"),g1=o(` instead of
regular `),Wd=s("code"),_1=o("Pipeline"),b1=o(". In short:"),T_=p(),_(tr.$$.fragment),$_=p(),Zl=s("p"),w1=o("Now becomes:"),j_=p(),_(nr.$$.fragment),E_=p(),Bl=s("p"),v1=o(`This should be very transparent to your code because the pipelines are used in
the same way.`),q_=p(),zn=s("p"),x1=o(`This is a simplified view, since the pipeline can handle automatically the batch to ! Meaning you don\u2019t have to care
about how many forward passes you inputs are actually going to trigger, you can optimize the `),Zd=s("code"),k1=o("batch_size"),P1=o(`
independently of the inputs. The caveats from the previous section still apply.`),A_=p(),gt=s("h2"),Sn=s("a"),Bd=s("span"),_(sr.$$.fragment),y1=p(),Yd=s("span"),T1=o("Pipeline custom code"),D_=p(),Yl=s("p"),$1=o("If you want to override a specific pipeline."),C_=p(),Mn=s("p"),j1=o(`Don\u2019t hesitate to create an issue for your task at hand, the goal of the pipeline is to be easy to use and support most
cases, so `),Kd=s("code"),E1=o("transformers"),q1=o(" could maybe support your use case."),I_=p(),Kl=s("p"),A1=o("If you want to try simply you can:"),z_=p(),Xl=s("ul"),Xd=s("li"),D1=o("Subclass your pipeline of choice"),S_=p(),_(ar.$$.fragment),M_=p(),Jl=s("p"),C1=o("That should enable you to do all the custom code you want."),F_=p(),_t=s("h2"),Fn=s("a"),Jd=s("span"),_(rr.$$.fragment),I1=p(),em=s("span"),z1=o("Implementing a pipeline"),L_=p(),ep=s("p"),tp=s("a"),S1=o("Implementing a new pipeline"),O_=p(),bt=s("h2"),Ln=s("a"),tm=s("span"),_(or.$$.fragment),M1=p(),nm=s("span"),F1=o("The task specific pipelines"),N_=p(),wt=s("h3"),On=s("a"),sm=s("span"),_(ir.$$.fragment),L1=p(),am=s("span"),O1=o("AudioClassificationPipeline"),U_=p(),H=s("div"),_(lr.$$.fragment),N1=p(),pr=s("p"),U1=o("Audio classification pipeline using any "),rm=s("code"),G1=o("AutoModelForAudioClassification"),R1=o(`. This pipeline predicts the class of a
raw waveform or an audio file. In case of an audio file, ffmpeg should be installed to support multiple audio
formats.`),Q1=p(),_(Nn.$$.fragment),V1=p(),om=s("p"),np=s("a"),H1=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),W1=p(),vt=s("p"),Z1=o("This pipeline can currently be loaded from "),sp=s("a"),B1=o("pipeline()"),Y1=o(` using the following task identifier:
`),im=s("code"),K1=o('"audio-classification"'),X1=o("."),J1=p(),cr=s("p"),ek=o(`See the list of available models on
`),dr=s("a"),tk=o("huggingface.co/models"),nk=o("."),sk=p(),Un=s("div"),_(mr.$$.fragment),ak=p(),hr=s("p"),rk=o("Classify the sequence(s) given as inputs. See the "),ap=s("a"),ok=o("AutomaticSpeechRecognitionPipeline"),ik=o(` documentation for more
information.`),G_=p(),xt=s("h3"),Gn=s("a"),lm=s("span"),_(fr.$$.fragment),lk=p(),pm=s("span"),pk=o("AutomaticSpeechRecognitionPipeline"),R_=p(),pe=s("div"),_(ur.$$.fragment),ck=p(),cm=s("p"),dk=o("Pipeline that aims at extracting spoken text contained within some audio."),mk=p(),dm=s("p"),hk=o(`The input can be either a raw waveform or a audio file. In case of the audio file, ffmpeg should be installed for
to support multiple audio formats`),fk=p(),_(Rn.$$.fragment),uk=p(),mm=s("p"),rp=s("a"),gk=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),_k=p(),Qn=s("div"),_(gr.$$.fragment),bk=p(),_r=s("p"),wk=o("Transcribe the audio sequence(s) given as inputs to text. See the "),op=s("a"),vk=o("AutomaticSpeechRecognitionPipeline"),xk=o(`
documentation for more information.`),Q_=p(),kt=s("h3"),Vn=s("a"),hm=s("span"),_(br.$$.fragment),kk=p(),fm=s("span"),Pk=o("ConversationalPipeline"),V_=p(),W=s("div"),_(wr.$$.fragment),yk=p(),He=s("p"),Tk=o(`Utility class containing a conversation and its history. This class is meant to be used as an input to the
`),ip=s("a"),$k=o("ConversationalPipeline"),jk=o(`. The conversation contains a number of utility function to manage the addition of new
user input and generated model responses. A conversation needs to contain an unprocessed user input before being
passed to the `),lp=s("a"),Ek=o("ConversationalPipeline"),qk=o(`. This user input is either created when the class is instantiated, or by
calling `),um=s("code"),Ak=o('conversational_pipeline.append_response("input")'),Dk=o(" after a conversation turn."),Ck=p(),_(Hn.$$.fragment),Ik=p(),Wn=s("div"),_(vr.$$.fragment),zk=p(),xr=s("p"),Sk=o("Add a user input to the conversation for the next round. This populates the internal "),gm=s("code"),Mk=o("new_user_input"),Fk=o(" field."),Lk=p(),Zn=s("div"),_(kr.$$.fragment),Ok=p(),_m=s("p"),Nk=o("Append a response to the list of generated responses."),Uk=p(),et=s("div"),_(Pr.$$.fragment),Gk=p(),bm=s("p"),Rk=o("Iterates over all blobs of the conversation."),Qk=p(),Me=s("p"),Vk=o("Returns: Iterator of (is_user, text_chunk) in chronological order of the conversation. "),wm=s("code"),Hk=o("is_user"),Wk=o(" is a "),vm=s("code"),Zk=o("bool"),Bk=o(`,
`),xm=s("code"),Yk=o("text_chunks"),Kk=o(" is a "),km=s("code"),Xk=o("str"),Jk=o("."),eP=p(),Bn=s("div"),_(yr.$$.fragment),tP=p(),We=s("p"),nP=o("Mark the conversation as processed (moves the content of "),Pm=s("code"),sP=o("new_user_input"),aP=o(" to "),ym=s("code"),rP=o("past_user_inputs"),oP=o(`) and empties
the `),Tm=s("code"),iP=o("new_user_input"),lP=o(" field."),H_=p(),Z=s("div"),_(Tr.$$.fragment),pP=p(),$m=s("p"),cP=o("Multi-turn conversational pipeline."),dP=p(),_(Yn.$$.fragment),mP=p(),jm=s("p"),pp=s("a"),hP=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),fP=p(),Pt=s("p"),uP=o("This conversational pipeline can currently be loaded from "),cp=s("a"),gP=o("pipeline()"),_P=o(` using the following task identifier:
`),Em=s("code"),bP=o('"conversational"'),wP=o("."),vP=p(),Fe=s("p"),xP=o(`The models that this pipeline can use are models that have been fine-tuned on a multi-turn conversational task,
currently: `),qm=s("em"),kP=o("\u2018microsoft/DialoGPT-small\u2019"),PP=o(", "),Am=s("em"),yP=o("\u2018microsoft/DialoGPT-medium\u2019"),TP=o(", "),Dm=s("em"),$P=o("\u2018microsoft/DialoGPT-large\u2019"),jP=o(`. See the
up-to-date list of available models on
`),$r=s("a"),EP=o("huggingface.co/models"),qP=o("."),AP=p(),Kn=s("div"),_(jr.$$.fragment),DP=p(),Cm=s("p"),CP=o("Generate responses for the conversation(s) given as inputs."),W_=p(),yt=s("h3"),Xn=s("a"),Im=s("span"),_(Er.$$.fragment),IP=p(),zm=s("span"),zP=o("DepthEstimationPipeline"),Z_=p(),B=s("div"),_(qr.$$.fragment),SP=p(),Ar=s("p"),MP=o("Depth estimation pipeline using any "),Sm=s("code"),FP=o("AutoModelForDepthEstimation"),LP=o(". This pipeline predicts the depth of an image."),OP=p(),_(Jn.$$.fragment),NP=p(),Mm=s("p"),dp=s("a"),UP=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),GP=p(),Tt=s("p"),RP=o("This depth estimation pipeline can currently be loaded from "),mp=s("a"),QP=o("pipeline()"),VP=o(` using the following task identifier:
`),Fm=s("code"),HP=o('"depth-estimation"'),WP=o("."),ZP=p(),Dr=s("p"),BP=o("See the list of available models on "),Cr=s("a"),YP=o("huggingface.co/models"),KP=o("."),XP=p(),es=s("div"),_(Ir.$$.fragment),JP=p(),Lm=s("p"),ey=o("Assign labels to the image(s) passed as inputs."),B_=p(),$t=s("h3"),ts=s("a"),Om=s("span"),_(zr.$$.fragment),ty=p(),Nm=s("span"),ny=o("DocumentQuestionAnsweringPipeline"),Y_=p(),Y=s("div"),_(Sr.$$.fragment),sy=p(),Mr=s("p"),ay=o("Document Question Answering pipeline using any "),Um=s("code"),ry=o("AutoModelForDocumentQuestionAnswering"),oy=o(`. The inputs/outputs are
similar to the (extractive) question answering pipeline; however, the pipeline takes an image (and optional OCR\u2019d
words/boxes) as input instead of text context.`),iy=p(),_(ns.$$.fragment),ly=p(),Gm=s("p"),hp=s("a"),py=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),cy=p(),jt=s("p"),dy=o("This document question answering pipeline can currently be loaded from "),fp=s("a"),my=o("pipeline()"),hy=o(` using the following task
identifier: `),Rm=s("code"),fy=o('"document-question-answering"'),uy=o("."),gy=p(),Fr=s("p"),_y=o(`The models that this pipeline can use are models that have been fine-tuned on a document question answering task.
See the up-to-date list of available models on
`),Lr=s("a"),by=o("huggingface.co/models"),wy=o("."),vy=p(),Oe=s("div"),_(Or.$$.fragment),xy=p(),Nr=s("p"),ky=o(`Answer the question(s) given as inputs by using the document(s). A document is defined as an image and an
optional list of (word, box) tuples which represent the text in the document. If the `),Qm=s("code"),Py=o("word_boxes"),yy=o(` are not
provided, it will use the Tesseract OCR engine (if available) to extract the words and boxes automatically for
LayoutLM-like models which require them as input. For Donut, no OCR is run.`),Ty=p(),Vm=s("p"),$y=o("You can invoke the pipeline several ways:"),jy=p(),Ze=s("ul"),Hm=s("li"),Wm=s("code"),Ey=o("pipeline(image=image, question=question)"),qy=p(),Zm=s("li"),Bm=s("code"),Ay=o("pipeline(image=image, question=question, word_boxes=word_boxes)"),Dy=p(),Ym=s("li"),Km=s("code"),Cy=o('pipeline([{"image": image, "question": question}])'),Iy=p(),Xm=s("li"),Jm=s("code"),zy=o('pipeline([{"image": image, "question": question, "word_boxes": word_boxes}])'),K_=p(),Et=s("h3"),ss=s("a"),eh=s("span"),_(Ur.$$.fragment),Sy=p(),th=s("span"),My=o("FeatureExtractionPipeline"),X_=p(),K=s("div"),_(Gr.$$.fragment),Fy=p(),nh=s("p"),Ly=o(`Feature extraction pipeline using no model head. This pipeline extracts the hidden states from the base
transformer, which can be used as features in downstream tasks.`),Oy=p(),_(as.$$.fragment),Ny=p(),sh=s("p"),up=s("a"),Uy=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),Gy=p(),qt=s("p"),Ry=o("This feature extraction pipeline can currently be loaded from "),gp=s("a"),Qy=o("pipeline()"),Vy=o(` using the task identifier:
`),ah=s("code"),Hy=o('"feature-extraction"'),Wy=o("."),Zy=p(),Rr=s("p"),By=o(`All models may be used for this pipeline. See a list of all models, including community-contributed models on
`),Qr=s("a"),Yy=o("huggingface.co/models"),Ky=o("."),Xy=p(),rs=s("div"),_(Vr.$$.fragment),Jy=p(),rh=s("p"),eT=o("Extract the features of the input(s)."),J_=p(),At=s("h3"),os=s("a"),oh=s("span"),_(Hr.$$.fragment),tT=p(),ih=s("span"),nT=o("FillMaskPipeline"),eb=p(),U=s("div"),_(Wr.$$.fragment),sT=p(),Dt=s("p"),aT=o("Masked language modeling prediction pipeline using any "),lh=s("code"),rT=o("ModelWithLMHead"),oT=o(". See the "),_p=s("a"),iT=o(`masked language modeling
examples`),lT=o(" for more information."),pT=p(),_(is.$$.fragment),cT=p(),ph=s("p"),bp=s("a"),dT=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),mT=p(),Ct=s("p"),hT=o("This mask filling pipeline can currently be loaded from "),wp=s("a"),fT=o("pipeline()"),uT=o(` using the following task identifier:
`),ch=s("code"),gT=o('"fill-mask"'),_T=o("."),bT=p(),Zr=s("p"),wT=o(`The models that this pipeline can use are models that have been trained with a masked language modeling objective,
which includes the bi-directional models in the library. See the up-to-date list of available models on
`),Br=s("a"),vT=o("huggingface.co/models"),xT=o("."),kT=p(),_(ls.$$.fragment),PT=p(),ps=s("div"),_(Yr.$$.fragment),yT=p(),dh=s("p"),TT=o("Fill the masked token in the text(s) given as inputs."),tb=p(),It=s("h3"),cs=s("a"),mh=s("span"),_(Kr.$$.fragment),$T=p(),hh=s("span"),jT=o("ImageClassificationPipeline"),nb=p(),X=s("div"),_(Xr.$$.fragment),ET=p(),Jr=s("p"),qT=o("Image classification pipeline using any "),fh=s("code"),AT=o("AutoModelForImageClassification"),DT=o(`. This pipeline predicts the class of an
image.`),CT=p(),_(ds.$$.fragment),IT=p(),uh=s("p"),vp=s("a"),zT=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),ST=p(),zt=s("p"),MT=o("This image classification pipeline can currently be loaded from "),xp=s("a"),FT=o("pipeline()"),LT=o(` using the following task identifier:
`),gh=s("code"),OT=o('"image-classification"'),NT=o("."),UT=p(),eo=s("p"),GT=o(`See the list of available models on
`),to=s("a"),RT=o("huggingface.co/models"),QT=o("."),VT=p(),ms=s("div"),_(no.$$.fragment),HT=p(),_h=s("p"),WT=o("Assign labels to the image(s) passed as inputs."),sb=p(),St=s("h3"),hs=s("a"),bh=s("span"),_(so.$$.fragment),ZT=p(),wh=s("span"),BT=o("ImageSegmentationPipeline"),ab=p(),ce=s("div"),_(ao.$$.fragment),YT=p(),ro=s("p"),KT=o("Image segmentation pipeline using any "),vh=s("code"),XT=o("AutoModelForXXXSegmentation"),JT=o(`. This pipeline predicts masks of objects and
their classes.`),e0=p(),_(fs.$$.fragment),t0=p(),Mt=s("p"),n0=o("This image segmentation pipeline can currently be loaded from "),kp=s("a"),s0=o("pipeline()"),a0=o(` using the following task identifier:
`),xh=s("code"),r0=o('"image-segmentation"'),o0=o("."),i0=p(),oo=s("p"),l0=o(`See the list of available models on
`),io=s("a"),p0=o("huggingface.co/models"),c0=o("."),d0=p(),us=s("div"),_(lo.$$.fragment),m0=p(),kh=s("p"),h0=o("Perform segmentation (detect masks & classes) in the image(s) passed as inputs."),rb=p(),Ft=s("h3"),gs=s("a"),Ph=s("span"),_(po.$$.fragment),f0=p(),yh=s("span"),u0=o("ImageToTextPipeline"),ob=p(),J=s("div"),_(co.$$.fragment),g0=p(),mo=s("p"),_0=o("Image To Text pipeline using a "),Th=s("code"),b0=o("AutoModelForVision2Seq"),w0=o(". This pipeline predicts a caption for a given image."),v0=p(),_(_s.$$.fragment),x0=p(),$h=s("p"),Pp=s("a"),k0=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),P0=p(),jh=s("p"),y0=o(`This image to text pipeline can currently be loaded from pipeline() using the following task identifier:
\u201Cimage-to-text\u201D.`),T0=p(),ho=s("p"),$0=o(`See the list of available models on
`),fo=s("a"),j0=o("huggingface.co/models"),E0=o("."),q0=p(),bs=s("div"),_(uo.$$.fragment),A0=p(),Eh=s("p"),D0=o("Assign labels to the image(s) passed as inputs."),ib=p(),Lt=s("h3"),ws=s("a"),qh=s("span"),_(go.$$.fragment),C0=p(),Ah=s("span"),I0=o("NerPipeline"),lb=p(),F=s("div"),_(_o.$$.fragment),z0=p(),Ot=s("p"),S0=o("Named Entity Recognition pipeline using any "),Dh=s("code"),M0=o("ModelForTokenClassification"),F0=o(". See the "),yp=s("a"),L0=o(`named entity recognition
examples`),O0=o(" for more information."),N0=p(),_(vs.$$.fragment),U0=p(),Ch=s("p"),Tp=s("a"),G0=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),R0=p(),Nt=s("p"),Q0=o("This token recognition pipeline can currently be loaded from "),$p=s("a"),V0=o("pipeline()"),H0=o(` using the following task identifier:
`),Ih=s("code"),W0=o('"ner"'),Z0=o(" (for predicting the classes of tokens in a sequence: person, organisation, location or miscellaneous)."),B0=p(),bo=s("p"),Y0=o(`The models that this pipeline can use are models that have been fine-tuned on a token classification task. See the
up-to-date list of available models on
`),wo=s("a"),K0=o("huggingface.co/models"),X0=o("."),J0=p(),tt=s("div"),_(vo.$$.fragment),e$=p(),zh=s("p"),t$=o("Override tokens from a given word that disagree to force agreement on word boundaries."),n$=p(),Sh=s("p"),s$=o(`Example: micro|soft| com|pany| B-ENT I-NAME I-ENT I-ENT will be rewritten with first strategy as microsoft|
company| B-ENT I-ENT`),a$=p(),xs=s("div"),_(xo.$$.fragment),r$=p(),Mh=s("p"),o$=o("Fuse various numpy arrays into dicts with all the information needed for aggregation"),i$=p(),ks=s("div"),_(ko.$$.fragment),l$=p(),Fh=s("p"),p$=o("Find and group together the adjacent tokens with the same entity predicted."),c$=p(),Ps=s("div"),_(Po.$$.fragment),d$=p(),Lh=s("p"),m$=o("Group together the adjacent tokens with the same entity predicted."),pb=p(),ys=s("p"),h$=o("See "),jp=s("a"),f$=o("TokenClassificationPipeline"),u$=o(" for all details."),cb=p(),Ut=s("h3"),Ts=s("a"),Oh=s("span"),_(yo.$$.fragment),g$=p(),Nh=s("span"),_$=o("ObjectDetectionPipeline"),db=p(),ee=s("div"),_(To.$$.fragment),b$=p(),$o=s("p"),w$=o("Object detection pipeline using any "),Uh=s("code"),v$=o("AutoModelForObjectDetection"),x$=o(`. This pipeline predicts bounding boxes of objects
and their classes.`),k$=p(),_($s.$$.fragment),P$=p(),Gh=s("p"),Ep=s("a"),y$=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),T$=p(),Gt=s("p"),$$=o("This object detection pipeline can currently be loaded from "),qp=s("a"),j$=o("pipeline()"),E$=o(` using the following task identifier:
`),Rh=s("code"),q$=o('"object-detection"'),A$=o("."),D$=p(),jo=s("p"),C$=o("See the list of available models on "),Eo=s("a"),I$=o("huggingface.co/models"),z$=o("."),S$=p(),js=s("div"),_(qo.$$.fragment),M$=p(),Qh=s("p"),F$=o("Detect objects (bounding boxes & classes) in the image(s) passed as inputs."),mb=p(),Rt=s("h3"),Es=s("a"),Vh=s("span"),_(Ao.$$.fragment),L$=p(),Hh=s("span"),O$=o("QuestionAnsweringPipeline"),hb=p(),L=s("div"),_(Do.$$.fragment),N$=p(),Qt=s("p"),U$=o("Question Answering pipeline using any "),Wh=s("code"),G$=o("ModelForQuestionAnswering"),R$=o(". See the "),Ap=s("a"),Q$=o(`question answering
examples`),V$=o(" for more information."),H$=p(),_(qs.$$.fragment),W$=p(),Zh=s("p"),Dp=s("a"),Z$=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),B$=p(),Vt=s("p"),Y$=o("This question answering pipeline can currently be loaded from "),Cp=s("a"),K$=o("pipeline()"),X$=o(` using the following task identifier:
`),Bh=s("code"),J$=o('"question-answering"'),e7=o("."),t7=p(),Co=s("p"),n7=o(`The models that this pipeline can use are models that have been fine-tuned on a question answering task. See the
up-to-date list of available models on
`),Io=s("a"),s7=o("huggingface.co/models"),a7=o("."),r7=p(),As=s("div"),_(zo.$$.fragment),o7=p(),Yh=s("p"),i7=o("Answer the question(s) given as inputs by using the context(s)."),l7=p(),nt=s("div"),_(So.$$.fragment),p7=p(),Ht=s("p"),c7=o("QuestionAnsweringPipeline leverages the "),Kh=s("code"),d7=o("SquadExample"),m7=o(` internally. This helper method encapsulate all the
logic for converting question(s) and context(s) to `),Xh=s("code"),h7=o("SquadExample"),f7=o("."),u7=p(),Jh=s("p"),g7=o("We currently support extractive question answering."),_7=p(),Ds=s("div"),_(Mo.$$.fragment),b7=p(),ef=s("p"),w7=o("When decoding from token probabilities, this method maps token indexes to actual word in the initial context."),fb=p(),Wt=s("h3"),Cs=s("a"),tf=s("span"),_(Fo.$$.fragment),v7=p(),nf=s("span"),x7=o("SummarizationPipeline"),ub=p(),de=s("div"),_(Lo.$$.fragment),k7=p(),sf=s("p"),P7=o("Summarize news articles and other documents."),y7=p(),Zt=s("p"),T7=o("This summarizing pipeline can currently be loaded from "),Ip=s("a"),$7=o("pipeline()"),j7=o(` using the following task identifier:
`),af=s("code"),E7=o('"summarization"'),q7=o("."),A7=p(),Q=s("p"),D7=o(`The models that this pipeline can use are models that have been fine-tuned on a summarization task, which is
currently, \u2019`),rf=s("em"),C7=o("bart-large-cnn"),I7=o("\u2019, \u2019"),of=s("em"),z7=o("t5-small"),S7=o("\u2019, \u2019"),lf=s("em"),M7=o("t5-base"),F7=o("\u2019, \u2019"),pf=s("em"),L7=o("t5-large"),O7=o("\u2019, \u2019"),cf=s("em"),N7=o("t5-3b"),U7=o("\u2019, \u2019"),df=s("em"),G7=o("t5-11b"),R7=o(`\u2019. See the up-to-date
list of available models on `),Oo=s("a"),Q7=o("huggingface.co/models"),V7=o(`. For a list
of available parameters, see the `),No=s("a"),H7=o(`following
documentation`),W7=p(),_(Is.$$.fragment),Z7=p(),zs=s("div"),_(Uo.$$.fragment),B7=p(),mf=s("p"),Y7=o("Summarize the text(s) given as inputs."),gb=p(),Bt=s("h3"),Ss=s("a"),hf=s("span"),_(Go.$$.fragment),K7=p(),ff=s("span"),X7=o("TableQuestionAnsweringPipeline"),_b=p(),te=s("div"),_(Ro.$$.fragment),J7=p(),Qo=s("p"),ej=o("Table Question Answering pipeline using a "),uf=s("code"),tj=o("ModelForTableQuestionAnswering"),nj=o(`. This pipeline is only available in
PyTorch.`),sj=p(),_(Ms.$$.fragment),aj=p(),gf=s("p"),zp=s("a"),rj=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),oj=p(),Yt=s("p"),ij=o("This tabular question answering pipeline can currently be loaded from "),Sp=s("a"),lj=o("pipeline()"),pj=o(` using the following task
identifier: `),_f=s("code"),cj=o('"table-question-answering"'),dj=o("."),mj=p(),Vo=s("p"),hj=o(`The models that this pipeline can use are models that have been fine-tuned on a tabular question answering task.
See the up-to-date list of available models on
`),Ho=s("a"),fj=o("huggingface.co/models"),uj=o("."),gj=p(),oe=s("div"),_(Wo.$$.fragment),_j=p(),bf=s("p"),bj=o("Answers queries according to a table. The pipeline accepts several types of inputs which are detailed below:"),wj=p(),me=s("ul"),wf=s("li"),vf=s("code"),vj=o("pipeline(table, query)"),xj=p(),xf=s("li"),kf=s("code"),kj=o("pipeline(table, [query])"),Pj=p(),Pf=s("li"),yf=s("code"),yj=o("pipeline(table=table, query=query)"),Tj=p(),Tf=s("li"),$f=s("code"),$j=o("pipeline(table=table, query=[query])"),jj=p(),jf=s("li"),Ef=s("code"),Ej=o('pipeline({"table": table, "query": query})'),qj=p(),qf=s("li"),Af=s("code"),Aj=o('pipeline({"table": table, "query": [query]})'),Dj=p(),Df=s("li"),Cf=s("code"),Cj=o('pipeline([{"table": table, "query": query}, {"table": table, "query": query}])'),Ij=p(),Zo=s("p"),zj=o("The "),If=s("code"),Sj=o("table"),Mj=o(" argument should be a dict or a DataFrame built from that dict, containing the whole table:"),Fj=p(),_(Fs.$$.fragment),Lj=p(),zf=s("p"),Oj=o("This dictionary can be passed in as such, or can be converted to a pandas DataFrame:"),Nj=p(),_(Ls.$$.fragment),bb=p(),Kt=s("h3"),Os=s("a"),Sf=s("span"),_(Bo.$$.fragment),Uj=p(),Mf=s("span"),Gj=o("TextClassificationPipeline"),wb=p(),G=s("div"),_(Yo.$$.fragment),Rj=p(),Xt=s("p"),Qj=o("Text classification pipeline using any "),Ff=s("code"),Vj=o("ModelForSequenceClassification"),Hj=o(". See the "),Mp=s("a"),Wj=o(`sequence classification
examples`),Zj=o(" for more information."),Bj=p(),_(Ns.$$.fragment),Yj=p(),Lf=s("p"),Fp=s("a"),Kj=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),Xj=p(),Jt=s("p"),Jj=o("This text classification pipeline can currently be loaded from "),Lp=s("a"),e4=o("pipeline()"),t4=o(` using the following task identifier:
`),Of=s("code"),n4=o('"sentiment-analysis"'),s4=o(" (for classifying sequences according to positive or negative sentiments)."),a4=p(),Ko=s("p"),r4=o("If multiple classification labels are available ("),Nf=s("code"),o4=o("model.config.num_labels >= 2"),i4=o(`), the pipeline will run a softmax
over the results. If there is a single label, the pipeline will run a sigmoid over the result.`),l4=p(),Xo=s("p"),p4=o(`The models that this pipeline can use are models that have been fine-tuned on a sequence classification task. See
the up-to-date list of available models on
`),Jo=s("a"),c4=o("huggingface.co/models"),d4=o("."),m4=p(),Us=s("div"),_(ei.$$.fragment),h4=p(),Uf=s("p"),f4=o("Classify the text(s) given as inputs."),vb=p(),en=s("h3"),Gs=s("a"),Gf=s("span"),_(ti.$$.fragment),u4=p(),Rf=s("span"),g4=o("TextGenerationPipeline"),xb=p(),ne=s("div"),_(ni.$$.fragment),_4=p(),si=s("p"),b4=o("Language generation pipeline using any "),Qf=s("code"),w4=o("ModelWithLMHead"),v4=o(`. This pipeline predicts the words that will follow a
specified text prompt.`),x4=p(),_(Rs.$$.fragment),k4=p(),Vf=s("p"),Op=s("a"),P4=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),y4=p(),tn=s("p"),T4=o("This language generation pipeline can currently be loaded from "),Np=s("a"),$4=o("pipeline()"),j4=o(` using the following task identifier:
`),Hf=s("code"),E4=o('"text-generation"'),q4=o("."),A4=p(),ai=s("p"),D4=o(`The models that this pipeline can use are models that have been trained with an autoregressive language modeling
objective, which includes the uni-directional models in the library (e.g. gpt2). See the list of available models
on `),ri=s("a"),C4=o("huggingface.co/models"),I4=o("."),z4=p(),Qs=s("div"),_(oi.$$.fragment),S4=p(),Wf=s("p"),M4=o("Complete the prompt(s) given as inputs."),kb=p(),nn=s("h3"),Vs=s("a"),Zf=s("span"),_(ii.$$.fragment),F4=p(),Bf=s("span"),L4=o("Text2TextGenerationPipeline"),Pb=p(),O=s("div"),_(li.$$.fragment),O4=p(),Yf=s("p"),N4=o("Pipeline for text to text generation using seq2seq models."),U4=p(),_(Hs.$$.fragment),G4=p(),Kf=s("p"),Up=s("a"),R4=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),Q4=p(),sn=s("p"),V4=o("This Text2TextGenerationPipeline pipeline can currently be loaded from "),Gp=s("a"),H4=o("pipeline()"),W4=o(` using the following task
identifier: `),Xf=s("code"),Z4=o('"text2text-generation"'),B4=o("."),Y4=p(),Ws=s("p"),K4=o(`The models that this pipeline can use are models that have been fine-tuned on a translation task. See the
up-to-date list of available models on
`),pi=s("a"),X4=o("huggingface.co/models"),J4=o(`. For a list of available
parameters, see the `),ci=s("a"),eE=o(`following
documentation`),tE=p(),_(Zs.$$.fragment),nE=p(),Bs=s("div"),_(di.$$.fragment),sE=p(),Jf=s("p"),aE=o("Generate the output text(s) using text(s) given as inputs."),rE=p(),Ys=s("div"),_(mi.$$.fragment),oE=p(),eu=s("p"),iE=o("Checks whether there might be something wrong with given input with regard to the model."),yb=p(),an=s("h3"),Ks=s("a"),tu=s("span"),_(hi.$$.fragment),lE=p(),nu=s("span"),pE=o("TokenClassificationPipeline"),Tb=p(),M=s("div"),_(fi.$$.fragment),cE=p(),rn=s("p"),dE=o("Named Entity Recognition pipeline using any "),su=s("code"),mE=o("ModelForTokenClassification"),hE=o(". See the "),Rp=s("a"),fE=o(`named entity recognition
examples`),uE=o(" for more information."),gE=p(),_(Xs.$$.fragment),_E=p(),au=s("p"),Qp=s("a"),bE=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),wE=p(),on=s("p"),vE=o("This token recognition pipeline can currently be loaded from "),Vp=s("a"),xE=o("pipeline()"),kE=o(` using the following task identifier:
`),ru=s("code"),PE=o('"ner"'),yE=o(" (for predicting the classes of tokens in a sequence: person, organisation, location or miscellaneous)."),TE=p(),ui=s("p"),$E=o(`The models that this pipeline can use are models that have been fine-tuned on a token classification task. See the
up-to-date list of available models on
`),gi=s("a"),jE=o("huggingface.co/models"),EE=o("."),qE=p(),Js=s("div"),_(_i.$$.fragment),AE=p(),ou=s("p"),DE=o("Classify each token of the text(s) given as inputs."),CE=p(),st=s("div"),_(bi.$$.fragment),IE=p(),iu=s("p"),zE=o("Override tokens from a given word that disagree to force agreement on word boundaries."),SE=p(),lu=s("p"),ME=o(`Example: micro|soft| com|pany| B-ENT I-NAME I-ENT I-ENT will be rewritten with first strategy as microsoft|
company| B-ENT I-ENT`),FE=p(),ea=s("div"),_(wi.$$.fragment),LE=p(),pu=s("p"),OE=o("Fuse various numpy arrays into dicts with all the information needed for aggregation"),NE=p(),ta=s("div"),_(vi.$$.fragment),UE=p(),cu=s("p"),GE=o("Find and group together the adjacent tokens with the same entity predicted."),RE=p(),na=s("div"),_(xi.$$.fragment),QE=p(),du=s("p"),VE=o("Group together the adjacent tokens with the same entity predicted."),$b=p(),ln=s("h3"),sa=s("a"),mu=s("span"),_(ki.$$.fragment),HE=p(),hu=s("span"),WE=o("TranslationPipeline"),jb=p(),he=s("div"),_(Pi.$$.fragment),ZE=p(),fu=s("p"),BE=o("Translates from one language to another."),YE=p(),pn=s("p"),KE=o("This translation pipeline can currently be loaded from "),Hp=s("a"),XE=o("pipeline()"),JE=o(` using the following task identifier:
`),uu=s("code"),eq=o('"translation_xx_to_yy"'),tq=o("."),nq=p(),aa=s("p"),sq=o(`The models that this pipeline can use are models that have been fine-tuned on a translation task. See the
up-to-date list of available models on `),yi=s("a"),aq=o("huggingface.co/models"),rq=o(`.
For a list of available parameters, see the `),Ti=s("a"),oq=o(`following
documentation`),iq=p(),_(ra.$$.fragment),lq=p(),oa=s("div"),_($i.$$.fragment),pq=p(),gu=s("p"),cq=o("Translate the text(s) given as inputs."),Eb=p(),cn=s("h3"),ia=s("a"),_u=s("span"),_(ji.$$.fragment),dq=p(),bu=s("span"),mq=o("VisualQuestionAnsweringPipeline"),qb=p(),se=s("div"),_(Ei.$$.fragment),hq=p(),qi=s("p"),fq=o("Visual Question Answering pipeline using a "),wu=s("code"),uq=o("AutoModelForVisualQuestionAnswering"),gq=o(`. This pipeline is currently only
available in PyTorch.`),_q=p(),_(la.$$.fragment),bq=p(),vu=s("p"),Wp=s("a"),wq=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),vq=p(),dn=s("p"),xq=o("This visual question answering pipeline can currently be loaded from "),Zp=s("a"),kq=o("pipeline()"),Pq=o(` using the following task
identifiers: `),xu=s("code"),yq=o('"visual-question-answering", "vqa"'),Tq=o("."),$q=p(),Ai=s("p"),jq=o(`The models that this pipeline can use are models that have been fine-tuned on a visual question answering task. See
the up-to-date list of available models on
`),Di=s("a"),Eq=o("huggingface.co/models"),qq=o("."),Aq=p(),at=s("div"),_(Ci.$$.fragment),Dq=p(),ku=s("p"),Cq=o(`Answers open-ended questions about images. The pipeline accepts several types of inputs which are detailed
below:`),Iq=p(),Be=s("ul"),Pu=s("li"),yu=s("code"),zq=o("pipeline(image=image, question=question)"),Sq=p(),Tu=s("li"),$u=s("code"),Mq=o('pipeline({"image": image, "question": question})'),Fq=p(),ju=s("li"),Eu=s("code"),Lq=o('pipeline([{"image": image, "question": question}])'),Oq=p(),qu=s("li"),Au=s("code"),Nq=o('pipeline([{"image": image, "question": question}, {"image": image, "question": question}])'),Ab=p(),mn=s("h3"),pa=s("a"),Du=s("span"),_(Ii.$$.fragment),Uq=p(),Cu=s("span"),Gq=o("ZeroShotClassificationPipeline"),Db=p(),R=s("div"),_(zi.$$.fragment),Rq=p(),Ye=s("p"),Qq=o("NLI-based zero-shot classification pipeline using a "),Iu=s("code"),Vq=o("ModelForSequenceClassification"),Hq=o(` trained on NLI (natural
language inference) tasks. Equivalent of `),zu=s("code"),Wq=o("text-classification"),Zq=o(` pipelines, but these models don\u2019t require a
hardcoded number of potential classes, they can be chosen at runtime. It usually means it\u2019s slower but it is
`),Su=s("strong"),Bq=o("much"),Yq=o(" more flexible."),Kq=p(),Ke=s("p"),Xq=o(`Any combination of sequences and labels can be passed and each combination will be posed as a premise/hypothesis
pair and passed to the pretrained model. Then, the logit for `),Mu=s("em"),Jq=o("entailment"),e3=o(` is taken as the logit for the candidate
label being valid. Any NLI model can be used, but the id of the `),Fu=s("em"),t3=o("entailment"),n3=o(` label must be included in the model
config\u2019s :attr:`),Lu=s("em"),s3=o("~transformers.PretrainedConfig.label2id"),a3=o("."),r3=p(),_(ca.$$.fragment),o3=p(),Ou=s("p"),Bp=s("a"),i3=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),l3=p(),hn=s("p"),p3=o("This NLI pipeline can currently be loaded from "),Yp=s("a"),c3=o("pipeline()"),d3=o(` using the following task identifier:
`),Nu=s("code"),m3=o('"zero-shot-classification"'),h3=o("."),f3=p(),Si=s("p"),u3=o(`The models that this pipeline can use are models that have been fine-tuned on an NLI task. See the up-to-date list
of available models on `),Mi=s("a"),g3=o("huggingface.co/models"),_3=o("."),b3=p(),da=s("div"),_(Fi.$$.fragment),w3=p(),Li=s("p"),v3=o("Classify the sequence(s) given as inputs. See the "),Kp=s("a"),x3=o("ZeroShotClassificationPipeline"),k3=o(` documentation for more
information.`),Cb=p(),fn=s("h3"),ma=s("a"),Uu=s("span"),_(Oi.$$.fragment),P3=p(),Gu=s("span"),y3=o("ZeroShotImageClassificationPipeline"),Ib=p(),ae=s("div"),_(Ni.$$.fragment),T3=p(),un=s("p"),$3=o("Zero shot image classification pipeline using "),Ru=s("code"),j3=o("CLIPModel"),E3=o(`. This pipeline predicts the class of an image when you
provide an image and a set of `),Qu=s("code"),q3=o("candidate_labels"),A3=o("."),D3=p(),_(ha.$$.fragment),C3=p(),Vu=s("p"),Xp=s("a"),I3=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),z3=p(),gn=s("p"),S3=o("This image classification pipeline can currently be loaded from "),Jp=s("a"),M3=o("pipeline()"),F3=o(` using the following task identifier:
`),Hu=s("code"),L3=o('"zero-shot-image-classification"'),O3=o("."),N3=p(),Ui=s("p"),U3=o(`See the list of available models on
`),Gi=s("a"),G3=o("huggingface.co/models"),R3=o("."),Q3=p(),fa=s("div"),_(Ri.$$.fragment),V3=p(),Wu=s("p"),H3=o("Assign labels to the image(s) passed as inputs."),zb=p(),_n=s("h3"),ua=s("a"),Zu=s("span"),_(Qi.$$.fragment),W3=p(),Bu=s("span"),Z3=o("ZeroShotObjectDetectionPipeline"),Sb=p(),re=s("div"),_(Vi.$$.fragment),B3=p(),bn=s("p"),Y3=o("Zero shot object detection pipeline using "),Yu=s("code"),K3=o("OwlViTForObjectDetection"),X3=o(`. This pipeline predicts bounding boxes of
objects when you provide an image and a set of `),Ku=s("code"),J3=o("candidate_labels"),e5=o("."),t5=p(),_(ga.$$.fragment),n5=p(),Xu=s("p"),ec=s("a"),s5=o("Learn more about the basics of using a pipeline in the [pipeline tutorial]"),a5=p(),wn=s("p"),r5=o("This object detection pipeline can currently be loaded from "),tc=s("a"),o5=o("pipeline()"),i5=o(` using the following task identifier:
`),Ju=s("code"),l5=o('"zero-shot-object-detection"'),p5=o("."),c5=p(),Hi=s("p"),d5=o(`See the list of available models on
`),Wi=s("a"),m5=o("huggingface.co/models"),h5=o("."),f5=p(),_a=s("div"),_(Zi.$$.fragment),u5=p(),eg=s("p"),g5=o("Detect objects (bounding boxes & classes) in the image(s) passed as inputs."),Mb=p(),vn=s("h2"),ba=s("a"),tg=s("span"),_(Bi.$$.fragment),_5=p(),nc=s("span"),b5=o("Parent class: "),ng=s("code"),w5=o("Pipeline"),Fb=p(),D=s("div"),_(Yi.$$.fragment),v5=p(),sg=s("p"),x5=o(`The Pipeline class is the class from which all pipelines inherit. Refer to this class for methods shared across
different pipelines.`),k5=p(),ag=s("p"),P5=o(`Base class implementing pipelined operations. Pipeline workflow is defined as a sequence of the following
operations:`),y5=p(),rg=s("p"),T5=o("Input -> Tokenization -> Model Inference -> Post-Processing (task dependent) -> Output"),$5=p(),og=s("p"),j5=o("Pipeline supports running on CPU or GPU through the device argument (see below)."),E5=p(),Le=s("p"),q5=o("Some pipeline, like for instance "),sc=s("a"),A5=o("FeatureExtractionPipeline"),D5=o(" ("),ig=s("code"),C5=o("'feature-extraction'"),I5=o(`) output large tensor object
as nested-lists. In order to avoid dumping such large structure as textual data we provide the `),lg=s("code"),z5=o("binary_output"),S5=o(`
constructor argument. If set to `),pg=s("code"),M5=o("True"),F5=o(", the output will be stored in the pickle format."),L5=p(),wa=s("div"),_(Ki.$$.fragment),O5=p(),cg=s("p"),N5=o("Check if the model class is in supported by the pipeline."),U5=p(),rt=s("div"),_(Xi.$$.fragment),G5=p(),dg=s("p"),R5=o("Context Manager allowing tensor allocation on the user-specified device in framework agnostic way."),Q5=p(),_(va.$$.fragment),V5=p(),xa=s("div"),_(Ji.$$.fragment),H5=p(),mg=s("p"),W5=o("Ensure PyTorch tensors are on the specified device."),Z5=p(),ka=s("div"),_(el.$$.fragment),B5=p(),tl=s("p"),Y5=o("Postprocess will receive the raw outputs of the "),hg=s("code"),K5=o("_forward"),X5=o(` method, generally tensors, and reformat them into
something more friendly. Generally it will output a list or a dict or results (containing just strings and
numbers).`),J5=p(),Pa=s("div"),_(nl.$$.fragment),e6=p(),sl=s("p"),t6=o("Scikit / Keras interface to transformers\u2019 pipelines. This method will forward to "),fg=s("strong"),n6=o("call"),s6=o("()."),a6=p(),ya=s("div"),_(al.$$.fragment),r6=p(),xn=s("p"),o6=o("Preprocess will take the "),ug=s("code"),i6=o("input_"),l6=o(` of a specific pipeline and return a dictionnary of everything necessary for
`),gg=s("code"),p6=o("_forward"),c6=o(" to run properly. It should contain at least one tensor, but might have arbitrary other items."),d6=p(),Ta=s("div"),_(rl.$$.fragment),m6=p(),_g=s("p"),h6=o("Save the pipeline\u2019s model and tokenizer."),f6=p(),$a=s("div"),_(ol.$$.fragment),u6=p(),il=s("p"),g6=o("Scikit / Keras interface to transformers\u2019 pipelines. This method will forward to "),bg=s("strong"),_6=o("call"),b6=o("()."),this.h()},l(n){const m=xS('[data-svelte="svelte-1phssyn"]',document.head);u=a(m,"META",{name:!0,content:!0}),m.forEach(t),T=c(n),P=a(n,"H1",{class:!0});var ll=r(P);h=a(ll,"A",{id:!0,class:!0,href:!0});var wg=r(h);y=a(wg,"SPAN",{});var vg=r(y);b(l.$$.fragment,vg),vg.forEach(t),wg.forEach(t),g=c(ll),Qe=a(ll,"SPAN",{});var xg=r(Qe);K2=i(xg,"Pipelines"),xg.forEach(t),ll.forEach(t),Wg=c(n),kn=a(n,"P",{});var pl=r(kn);X2=i(pl,`The pipelines are a great and easy way to use models for inference. These pipelines are objects that abstract most of
the complex code from the library, offering a simple API dedicated to several tasks, including Named Entity
Recognition, Masked Language Modeling, Sentiment Analysis, Feature Extraction and Question Answering. See the
`),fl=a(pl,"A",{href:!0});var kg=r(fl);J2=i(kg,"task summary"),kg.forEach(t),ev=i(pl," for examples of use."),pl.forEach(t),Zg=c(n),ul=a(n,"P",{});var Pg=r(ul);tv=i(Pg,"There are two categories of pipeline abstractions to be aware about:"),Pg.forEach(t),Bg=c(n),Pn=a(n,"UL",{});var cl=r(Pn);Vc=a(cl,"LI",{});var yg=r(Vc);za=a(yg,"P",{});var dl=r(za);nv=i(dl,"The "),gl=a(dl,"A",{href:!0});var Tg=r(gl);sv=i(Tg,"pipeline()"),Tg.forEach(t),av=i(dl," which is the most powerful object encapsulating all other pipelines."),dl.forEach(t),yg.forEach(t),rv=c(cl),Sa=a(cl,"LI",{});var ml=r(Sa);Hc=a(ml,"P",{});var $g=r(Hc);ov=i($g,"The other task-specific pipelines:"),$g.forEach(t),iv=c(ml),E=a(ml,"UL",{});var q=r(E);Wc=a(q,"LI",{});var jg=r(Wc);_l=a(jg,"A",{href:!0});var Eg=r(_l);lv=i(Eg,"AudioClassificationPipeline"),Eg.forEach(t),jg.forEach(t),pv=c(q),Zc=a(q,"LI",{});var qg=r(Zc);bl=a(qg,"A",{href:!0});var Ag=r(bl);cv=i(Ag,"AutomaticSpeechRecognitionPipeline"),Ag.forEach(t),qg.forEach(t),dv=c(q),Bc=a(q,"LI",{});var Dg=r(Bc);wl=a(Dg,"A",{href:!0});var Cg=r(wl);mv=i(Cg,"ConversationalPipeline"),Cg.forEach(t),Dg.forEach(t),hv=c(q),Yc=a(q,"LI",{});var Ig=r(Yc);vl=a(Ig,"A",{href:!0});var zg=r(vl);fv=i(zg,"DepthEstimationPipeline"),zg.forEach(t),Ig.forEach(t),uv=c(q),Kc=a(q,"LI",{});var Sg=r(Kc);xl=a(Sg,"A",{href:!0});var Mg=r(xl);gv=i(Mg,"DocumentQuestionAnsweringPipeline"),Mg.forEach(t),Sg.forEach(t),_v=c(q),Xc=a(q,"LI",{});var Fg=r(Xc);kl=a(Fg,"A",{href:!0});var Lg=r(kl);bv=i(Lg,"FeatureExtractionPipeline"),Lg.forEach(t),Fg.forEach(t),wv=c(q),Jc=a(q,"LI",{});var Og=r(Jc);Pl=a(Og,"A",{href:!0});var Ng=r(Pl);vv=i(Ng,"FillMaskPipeline"),Ng.forEach(t),Og.forEach(t),xv=c(q),ed=a(q,"LI",{});var Ug=r(ed);yl=a(Ug,"A",{href:!0});var Gg=r(yl);kv=i(Gg,"ImageClassificationPipeline"),Gg.forEach(t),Ug.forEach(t),Pv=c(q),td=a(q,"LI",{});var Rg=r(td);Tl=a(Rg,"A",{href:!0});var Qg=r(Tl);yv=i(Qg,"ImageSegmentationPipeline"),Qg.forEach(t),Rg.forEach(t),Tv=c(q),nd=a(q,"LI",{});var v6=r(nd);$l=a(v6,"A",{href:!0});var x6=r($l);$v=i(x6,"ImageToTextPipeline"),x6.forEach(t),v6.forEach(t),jv=c(q),sd=a(q,"LI",{});var k6=r(sd);jl=a(k6,"A",{href:!0});var P6=r(jl);Ev=i(P6,"ObjectDetectionPipeline"),P6.forEach(t),k6.forEach(t),qv=c(q),ad=a(q,"LI",{});var y6=r(ad);El=a(y6,"A",{href:!0});var T6=r(El);Av=i(T6,"QuestionAnsweringPipeline"),T6.forEach(t),y6.forEach(t),Dv=c(q),rd=a(q,"LI",{});var $6=r(rd);ql=a($6,"A",{href:!0});var j6=r(ql);Cv=i(j6,"SummarizationPipeline"),j6.forEach(t),$6.forEach(t),Iv=c(q),od=a(q,"LI",{});var E6=r(od);Al=a(E6,"A",{href:!0});var q6=r(Al);zv=i(q6,"TableQuestionAnsweringPipeline"),q6.forEach(t),E6.forEach(t),Sv=c(q),id=a(q,"LI",{});var A6=r(id);Dl=a(A6,"A",{href:!0});var D6=r(Dl);Mv=i(D6,"TextClassificationPipeline"),D6.forEach(t),A6.forEach(t),Fv=c(q),ld=a(q,"LI",{});var C6=r(ld);Cl=a(C6,"A",{href:!0});var I6=r(Cl);Lv=i(I6,"TextGenerationPipeline"),I6.forEach(t),C6.forEach(t),Ov=c(q),pd=a(q,"LI",{});var z6=r(pd);Il=a(z6,"A",{href:!0});var S6=r(Il);Nv=i(S6,"Text2TextGenerationPipeline"),S6.forEach(t),z6.forEach(t),Uv=c(q),cd=a(q,"LI",{});var M6=r(cd);zl=a(M6,"A",{href:!0});var F6=r(zl);Gv=i(F6,"TokenClassificationPipeline"),F6.forEach(t),M6.forEach(t),Rv=c(q),dd=a(q,"LI",{});var L6=r(dd);Sl=a(L6,"A",{href:!0});var O6=r(Sl);Qv=i(O6,"TranslationPipeline"),O6.forEach(t),L6.forEach(t),Vv=c(q),md=a(q,"LI",{});var N6=r(md);Ml=a(N6,"A",{href:!0});var U6=r(Ml);Hv=i(U6,"VisualQuestionAnsweringPipeline"),U6.forEach(t),N6.forEach(t),Wv=c(q),hd=a(q,"LI",{});var G6=r(hd);Fl=a(G6,"A",{href:!0});var R6=r(Fl);Zv=i(R6,"ZeroShotClassificationPipeline"),R6.forEach(t),G6.forEach(t),Bv=c(q),fd=a(q,"LI",{});var Q6=r(fd);Ll=a(Q6,"A",{href:!0});var V6=r(Ll);Yv=i(V6,"ZeroShotImageClassificationPipeline"),V6.forEach(t),Q6.forEach(t),Kv=c(q),ud=a(q,"LI",{});var H6=r(ud);Ol=a(H6,"A",{href:!0});var W6=r(Ol);Xv=i(W6,"ZeroShotObjectDetectionPipeline"),W6.forEach(t),H6.forEach(t),q.forEach(t),ml.forEach(t),cl.forEach(t),Yg=c(n),dt=a(n,"H2",{class:!0});var Ob=r(dt);yn=a(Ob,"A",{id:!0,class:!0,href:!0});var Z6=r(yn);gd=a(Z6,"SPAN",{});var B6=r(gd);b(Ma.$$.fragment,B6),B6.forEach(t),Z6.forEach(t),Jv=c(Ob),_d=a(Ob,"SPAN",{});var Y6=r(_d);ex=i(Y6,"The pipeline abstraction"),Y6.forEach(t),Ob.forEach(t),Kg=c(n),Tn=a(n,"P",{});var Nb=r(Tn);tx=i(Nb,"The "),bd=a(Nb,"EM",{});var K6=r(bd);nx=i(K6,"pipeline"),K6.forEach(t),sx=i(Nb,` abstraction is a wrapper around all the other available pipelines. It is instantiated as any other
pipeline but can provide additional quality of life.`),Nb.forEach(t),Xg=c(n),Nl=a(n,"P",{});var X6=r(Nl);ax=i(X6,"Simple call on one item:"),X6.forEach(t),Jg=c(n),b(Fa.$$.fragment,n),e_=c(n),$n=a(n,"P",{});var Ub=r($n);rx=i(Ub,"If you want to use a specific model from the "),La=a(Ub,"A",{href:!0,rel:!0});var J6=r(La);ox=i(J6,"hub"),J6.forEach(t),ix=i(Ub,` you can ignore the task if the model on
the hub already defines it:`),Ub.forEach(t),t_=c(n),b(Oa.$$.fragment,n),n_=c(n),jn=a(n,"P",{});var Gb=r(jn);lx=i(Gb,"To call a pipeline on many items, you can either call with a "),wd=a(Gb,"EM",{});var eA=r(wd);px=i(eA,"list"),eA.forEach(t),cx=i(Gb,"."),Gb.forEach(t),s_=c(n),b(Na.$$.fragment,n),a_=c(n),En=a(n,"P",{});var Rb=r(En);dx=i(Rb,"To iterate of full datasets it is recommended to use a "),vd=a(Rb,"CODE",{});var tA=r(vd);mx=i(tA,"dataset"),tA.forEach(t),hx=i(Rb,` directly. This means you don\u2019t need to allocate
the whole dataset at once, nor do you need to do batching yourself. This should work just as fast as custom loops on
GPU. If it doesn\u2019t don\u2019t hesitate to create an issue.`),Rb.forEach(t),r_=c(n),b(Ua.$$.fragment,n),o_=c(n),Ul=a(n,"P",{});var nA=r(Ul);fx=i(nA,"For ease of use, a generator is also possible:"),nA.forEach(t),i_=c(n),b(Ga.$$.fragment,n),l_=c(n),be=a(n,"DIV",{class:!0});var ot=r(be);b(Ra.$$.fragment,ot),ux=c(ot),Qa=a(ot,"P",{});var Qb=r(Qa);gx=i(Qb,"Utility factory method to build a "),Gl=a(Qb,"A",{href:!0});var sA=r(Gl);_x=i(sA,"Pipeline"),sA.forEach(t),bx=i(Qb,"."),Qb.forEach(t),wx=c(ot),xd=a(ot,"P",{});var aA=r(xd);vx=i(aA,"Pipelines are made of:"),aA.forEach(t),xx=c(ot),mt=a(ot,"UL",{});var ac=r(mt);Va=a(ac,"LI",{});var Vb=r(Va);kx=i(Vb,"A "),Rl=a(Vb,"A",{href:!0});var rA=r(Rl);Px=i(rA,"tokenizer"),rA.forEach(t),yx=i(Vb," in charge of mapping raw textual input to token."),Vb.forEach(t),Tx=c(ac),Ha=a(ac,"LI",{});var Hb=r(Ha);$x=i(Hb,"A "),Ql=a(Hb,"A",{href:!0});var oA=r(Ql);jx=i(oA,"model"),oA.forEach(t),Ex=i(Hb," to make predictions from the inputs."),Hb.forEach(t),qx=c(ac),kd=a(ac,"LI",{});var iA=r(kd);Ax=i(iA,"Some (optional) post processing for enhancing model\u2019s output."),iA.forEach(t),ac.forEach(t),Dx=c(ot),b(qn.$$.fragment,ot),ot.forEach(t),p_=c(n),ht=a(n,"H2",{class:!0});var Wb=r(ht);An=a(Wb,"A",{id:!0,class:!0,href:!0});var lA=r(An);Pd=a(lA,"SPAN",{});var pA=r(Pd);b(Wa.$$.fragment,pA),pA.forEach(t),lA.forEach(t),Cx=c(Wb),yd=a(Wb,"SPAN",{});var cA=r(yd);Ix=i(cA,"Pipeline batching"),cA.forEach(t),Wb.forEach(t),c_=c(n),Xe=a(n,"P",{});var rc=r(Xe);zx=i(rc,`All pipelines can use batching. This will work
whenever the pipeline uses its streaming ability (so when passing lists or `),Td=a(rc,"CODE",{});var dA=r(Td);Sx=i(dA,"Dataset"),dA.forEach(t),Mx=i(rc," or "),$d=a(rc,"CODE",{});var mA=r($d);Fx=i(mA,"generator"),mA.forEach(t),Lx=i(rc,")."),rc.forEach(t),d_=c(n),b(Za.$$.fragment,n),m_=c(n),b(Dn.$$.fragment,n),h_=c(n),b(Ba.$$.fragment,n),f_=c(n),b(Ya.$$.fragment,n),u_=c(n),Vl=a(n,"P",{});var hA=r(Vl);Ox=i(hA,"Example where it\u2019s most a slowdown:"),hA.forEach(t),g_=c(n),b(Ka.$$.fragment,n),__=c(n),Cn=a(n,"P",{});var Zb=r(Cn);Nx=i(Zb,"This is a occasional very long sentence compared to the other. In that case, the "),jd=a(Zb,"STRONG",{});var fA=r(jd);Ux=i(fA,"whole"),fA.forEach(t),Gx=i(Zb,` batch will need to be 400
tokens long, so the whole batch will be [64, 400] instead of [64, 4], leading to the high slowdown. Even worse, on
bigger batches, the program simply crashes.`),Zb.forEach(t),b_=c(n),b(Xa.$$.fragment,n),w_=c(n),Hl=a(n,"P",{});var uA=r(Hl);Rx=i(uA,`There are no good (general) solutions for this problem, and your mileage may vary depending on your use cases. Rule of
thumb:`),uA.forEach(t),v_=c(n),Wl=a(n,"P",{});var gA=r(Wl);Qx=i(gA,"For users, a rule of thumb is:"),gA.forEach(t),x_=c(n),we=a(n,"UL",{});var it=r(we);Ed=a(it,"LI",{});var _A=r(Ed);qd=a(_A,"P",{});var bA=r(qd);Ad=a(bA,"STRONG",{});var wA=r(Ad);Vx=i(wA,`Measure performance on your load, with your hardware. Measure, measure, and keep measuring. Real numbers are the
only way to go.`),wA.forEach(t),bA.forEach(t),_A.forEach(t),Hx=c(it),Dd=a(it,"LI",{});var vA=r(Dd);Cd=a(vA,"P",{});var xA=r(Cd);Wx=i(xA,"If you are latency constrained (live product doing inference), don\u2019t batch"),xA.forEach(t),vA.forEach(t),Zx=c(it),Id=a(it,"LI",{});var kA=r(Id);zd=a(kA,"P",{});var PA=r(zd);Bx=i(PA,"If you are using CPU, don\u2019t batch."),PA.forEach(t),kA.forEach(t),Yx=c(it),Ja=a(it,"LI",{});var Bb=r(Ja);Sd=a(Bb,"P",{});var yA=r(Sd);Kx=i(yA,"If you are using throughput (you want to run your model on a bunch of static data), on GPU, then:"),yA.forEach(t),Xx=c(Bb),ft=a(Bb,"UL",{});var oc=r(ft);Md=a(oc,"LI",{});var TA=r(Md);Jx=i(TA,`If you have no clue about the size of the sequence_length (\u201Cnatural\u201D data), by default don\u2019t batch, measure and
try tentatively to add it, add OOM checks to recover when it will fail (and it will at some point if you don\u2019t
control the sequence_length.)`),TA.forEach(t),e1=c(oc),Fd=a(oc,"LI",{});var $A=r(Fd);t1=i($A,`If your sequence_length is super regular, then batching is more likely to be VERY interesting, measure and push
it until you get OOMs.`),$A.forEach(t),n1=c(oc),Ld=a(oc,"LI",{});var jA=r(Ld);s1=i(jA,"The larger the GPU the more likely batching is going to be more interesting"),jA.forEach(t),oc.forEach(t),Bb.forEach(t),a1=c(it),Od=a(it,"LI",{});var EA=r(Od);Nd=a(EA,"P",{});var qA=r(Nd);r1=i(qA,"As soon as you enable batching, make sure you can handle OOMs nicely."),qA.forEach(t),EA.forEach(t),it.forEach(t),k_=c(n),ut=a(n,"H2",{class:!0});var Yb=r(ut);In=a(Yb,"A",{id:!0,class:!0,href:!0});var AA=r(In);Ud=a(AA,"SPAN",{});var DA=r(Ud);b(er.$$.fragment,DA),DA.forEach(t),AA.forEach(t),o1=c(Yb),Gd=a(Yb,"SPAN",{});var CA=r(Gd);i1=i(CA,"Pipeline chunk batching"),CA.forEach(t),Yb.forEach(t),P_=c(n),Ve=a(n,"P",{});var hl=r(Ve);Rd=a(hl,"CODE",{});var IA=r(Rd);l1=i(IA,"zero-shot-classification"),IA.forEach(t),p1=i(hl," and "),Qd=a(hl,"CODE",{});var zA=r(Qd);c1=i(zA,"question-answering"),zA.forEach(t),d1=i(hl,` are slightly specific in the sense, that a single input might yield
multiple forward pass of a model. Under normal circumstances, this would yield issues with `),Vd=a(hl,"CODE",{});var SA=r(Vd);m1=i(SA,"batch_size"),SA.forEach(t),h1=i(hl," argument."),hl.forEach(t),y_=c(n),Je=a(n,"P",{});var ic=r(Je);f1=i(ic,"In order to circumvent this issue, both of these pipelines are a bit specific, they are "),Hd=a(ic,"CODE",{});var MA=r(Hd);u1=i(MA,"ChunkPipeline"),MA.forEach(t),g1=i(ic,` instead of
regular `),Wd=a(ic,"CODE",{});var FA=r(Wd);_1=i(FA,"Pipeline"),FA.forEach(t),b1=i(ic,". In short:"),ic.forEach(t),T_=c(n),b(tr.$$.fragment,n),$_=c(n),Zl=a(n,"P",{});var LA=r(Zl);w1=i(LA,"Now becomes:"),LA.forEach(t),j_=c(n),b(nr.$$.fragment,n),E_=c(n),Bl=a(n,"P",{});var OA=r(Bl);v1=i(OA,`This should be very transparent to your code because the pipelines are used in
the same way.`),OA.forEach(t),q_=c(n),zn=a(n,"P",{});var Kb=r(zn);x1=i(Kb,`This is a simplified view, since the pipeline can handle automatically the batch to ! Meaning you don\u2019t have to care
about how many forward passes you inputs are actually going to trigger, you can optimize the `),Zd=a(Kb,"CODE",{});var NA=r(Zd);k1=i(NA,"batch_size"),NA.forEach(t),P1=i(Kb,`
independently of the inputs. The caveats from the previous section still apply.`),Kb.forEach(t),A_=c(n),gt=a(n,"H2",{class:!0});var Xb=r(gt);Sn=a(Xb,"A",{id:!0,class:!0,href:!0});var UA=r(Sn);Bd=a(UA,"SPAN",{});var GA=r(Bd);b(sr.$$.fragment,GA),GA.forEach(t),UA.forEach(t),y1=c(Xb),Yd=a(Xb,"SPAN",{});var RA=r(Yd);T1=i(RA,"Pipeline custom code"),RA.forEach(t),Xb.forEach(t),D_=c(n),Yl=a(n,"P",{});var QA=r(Yl);$1=i(QA,"If you want to override a specific pipeline."),QA.forEach(t),C_=c(n),Mn=a(n,"P",{});var Jb=r(Mn);j1=i(Jb,`Don\u2019t hesitate to create an issue for your task at hand, the goal of the pipeline is to be easy to use and support most
cases, so `),Kd=a(Jb,"CODE",{});var VA=r(Kd);E1=i(VA,"transformers"),VA.forEach(t),q1=i(Jb," could maybe support your use case."),Jb.forEach(t),I_=c(n),Kl=a(n,"P",{});var HA=r(Kl);A1=i(HA,"If you want to try simply you can:"),HA.forEach(t),z_=c(n),Xl=a(n,"UL",{});var WA=r(Xl);Xd=a(WA,"LI",{});var ZA=r(Xd);D1=i(ZA,"Subclass your pipeline of choice"),ZA.forEach(t),WA.forEach(t),S_=c(n),b(ar.$$.fragment,n),M_=c(n),Jl=a(n,"P",{});var BA=r(Jl);C1=i(BA,"That should enable you to do all the custom code you want."),BA.forEach(t),F_=c(n),_t=a(n,"H2",{class:!0});var ew=r(_t);Fn=a(ew,"A",{id:!0,class:!0,href:!0});var YA=r(Fn);Jd=a(YA,"SPAN",{});var KA=r(Jd);b(rr.$$.fragment,KA),KA.forEach(t),YA.forEach(t),I1=c(ew),em=a(ew,"SPAN",{});var XA=r(em);z1=i(XA,"Implementing a pipeline"),XA.forEach(t),ew.forEach(t),L_=c(n),ep=a(n,"P",{});var JA=r(ep);tp=a(JA,"A",{href:!0});var e8=r(tp);S1=i(e8,"Implementing a new pipeline"),e8.forEach(t),JA.forEach(t),O_=c(n),bt=a(n,"H2",{class:!0});var tw=r(bt);Ln=a(tw,"A",{id:!0,class:!0,href:!0});var t8=r(Ln);tm=a(t8,"SPAN",{});var n8=r(tm);b(or.$$.fragment,n8),n8.forEach(t),t8.forEach(t),M1=c(tw),nm=a(tw,"SPAN",{});var s8=r(nm);F1=i(s8,"The task specific pipelines"),s8.forEach(t),tw.forEach(t),N_=c(n),wt=a(n,"H3",{class:!0});var nw=r(wt);On=a(nw,"A",{id:!0,class:!0,href:!0});var a8=r(On);sm=a(a8,"SPAN",{});var r8=r(sm);b(ir.$$.fragment,r8),r8.forEach(t),a8.forEach(t),L1=c(nw),am=a(nw,"SPAN",{});var o8=r(am);O1=i(o8,"AudioClassificationPipeline"),o8.forEach(t),nw.forEach(t),U_=c(n),H=a(n,"DIV",{class:!0});var ve=r(H);b(lr.$$.fragment,ve),N1=c(ve),pr=a(ve,"P",{});var sw=r(pr);U1=i(sw,"Audio classification pipeline using any "),rm=a(sw,"CODE",{});var i8=r(rm);G1=i(i8,"AutoModelForAudioClassification"),i8.forEach(t),R1=i(sw,`. This pipeline predicts the class of a
raw waveform or an audio file. In case of an audio file, ffmpeg should be installed to support multiple audio
formats.`),sw.forEach(t),Q1=c(ve),b(Nn.$$.fragment,ve),V1=c(ve),om=a(ve,"P",{});var l8=r(om);np=a(l8,"A",{href:!0});var p8=r(np);H1=i(p8,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),p8.forEach(t),l8.forEach(t),W1=c(ve),vt=a(ve,"P",{});var lc=r(vt);Z1=i(lc,"This pipeline can currently be loaded from "),sp=a(lc,"A",{href:!0});var c8=r(sp);B1=i(c8,"pipeline()"),c8.forEach(t),Y1=i(lc,` using the following task identifier:
`),im=a(lc,"CODE",{});var d8=r(im);K1=i(d8,'"audio-classification"'),d8.forEach(t),X1=i(lc,"."),lc.forEach(t),J1=c(ve),cr=a(ve,"P",{});var aw=r(cr);ek=i(aw,`See the list of available models on
`),dr=a(aw,"A",{href:!0,rel:!0});var m8=r(dr);tk=i(m8,"huggingface.co/models"),m8.forEach(t),nk=i(aw,"."),aw.forEach(t),sk=c(ve),Un=a(ve,"DIV",{class:!0});var rw=r(Un);b(mr.$$.fragment,rw),ak=c(rw),hr=a(rw,"P",{});var ow=r(hr);rk=i(ow,"Classify the sequence(s) given as inputs. See the "),ap=a(ow,"A",{href:!0});var h8=r(ap);ok=i(h8,"AutomaticSpeechRecognitionPipeline"),h8.forEach(t),ik=i(ow,` documentation for more
information.`),ow.forEach(t),rw.forEach(t),ve.forEach(t),G_=c(n),xt=a(n,"H3",{class:!0});var iw=r(xt);Gn=a(iw,"A",{id:!0,class:!0,href:!0});var f8=r(Gn);lm=a(f8,"SPAN",{});var u8=r(lm);b(fr.$$.fragment,u8),u8.forEach(t),f8.forEach(t),lk=c(iw),pm=a(iw,"SPAN",{});var g8=r(pm);pk=i(g8,"AutomaticSpeechRecognitionPipeline"),g8.forEach(t),iw.forEach(t),R_=c(n),pe=a(n,"DIV",{class:!0});var Ne=r(pe);b(ur.$$.fragment,Ne),ck=c(Ne),cm=a(Ne,"P",{});var _8=r(cm);dk=i(_8,"Pipeline that aims at extracting spoken text contained within some audio."),_8.forEach(t),mk=c(Ne),dm=a(Ne,"P",{});var b8=r(dm);hk=i(b8,`The input can be either a raw waveform or a audio file. In case of the audio file, ffmpeg should be installed for
to support multiple audio formats`),b8.forEach(t),fk=c(Ne),b(Rn.$$.fragment,Ne),uk=c(Ne),mm=a(Ne,"P",{});var w8=r(mm);rp=a(w8,"A",{href:!0});var v8=r(rp);gk=i(v8,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),v8.forEach(t),w8.forEach(t),_k=c(Ne),Qn=a(Ne,"DIV",{class:!0});var lw=r(Qn);b(gr.$$.fragment,lw),bk=c(lw),_r=a(lw,"P",{});var pw=r(_r);wk=i(pw,"Transcribe the audio sequence(s) given as inputs to text. See the "),op=a(pw,"A",{href:!0});var x8=r(op);vk=i(x8,"AutomaticSpeechRecognitionPipeline"),x8.forEach(t),xk=i(pw,`
documentation for more information.`),pw.forEach(t),lw.forEach(t),Ne.forEach(t),Q_=c(n),kt=a(n,"H3",{class:!0});var cw=r(kt);Vn=a(cw,"A",{id:!0,class:!0,href:!0});var k8=r(Vn);hm=a(k8,"SPAN",{});var P8=r(hm);b(br.$$.fragment,P8),P8.forEach(t),k8.forEach(t),kk=c(cw),fm=a(cw,"SPAN",{});var y8=r(fm);Pk=i(y8,"ConversationalPipeline"),y8.forEach(t),cw.forEach(t),V_=c(n),W=a(n,"DIV",{class:!0});var xe=r(W);b(wr.$$.fragment,xe),yk=c(xe),He=a(xe,"P",{});var ja=r(He);Tk=i(ja,`Utility class containing a conversation and its history. This class is meant to be used as an input to the
`),ip=a(ja,"A",{href:!0});var T8=r(ip);$k=i(T8,"ConversationalPipeline"),T8.forEach(t),jk=i(ja,`. The conversation contains a number of utility function to manage the addition of new
user input and generated model responses. A conversation needs to contain an unprocessed user input before being
passed to the `),lp=a(ja,"A",{href:!0});var $8=r(lp);Ek=i($8,"ConversationalPipeline"),$8.forEach(t),qk=i(ja,`. This user input is either created when the class is instantiated, or by
calling `),um=a(ja,"CODE",{});var j8=r(um);Ak=i(j8,'conversational_pipeline.append_response("input")'),j8.forEach(t),Dk=i(ja," after a conversation turn."),ja.forEach(t),Ck=c(xe),b(Hn.$$.fragment,xe),Ik=c(xe),Wn=a(xe,"DIV",{class:!0});var dw=r(Wn);b(vr.$$.fragment,dw),zk=c(dw),xr=a(dw,"P",{});var mw=r(xr);Sk=i(mw,"Add a user input to the conversation for the next round. This populates the internal "),gm=a(mw,"CODE",{});var E8=r(gm);Mk=i(E8,"new_user_input"),E8.forEach(t),Fk=i(mw," field."),mw.forEach(t),dw.forEach(t),Lk=c(xe),Zn=a(xe,"DIV",{class:!0});var hw=r(Zn);b(kr.$$.fragment,hw),Ok=c(hw),_m=a(hw,"P",{});var q8=r(_m);Nk=i(q8,"Append a response to the list of generated responses."),q8.forEach(t),hw.forEach(t),Uk=c(xe),et=a(xe,"DIV",{class:!0});var pc=r(et);b(Pr.$$.fragment,pc),Gk=c(pc),bm=a(pc,"P",{});var A8=r(bm);Rk=i(A8,"Iterates over all blobs of the conversation."),A8.forEach(t),Qk=c(pc),Me=a(pc,"P",{});var lt=r(Me);Vk=i(lt,"Returns: Iterator of (is_user, text_chunk) in chronological order of the conversation. "),wm=a(lt,"CODE",{});var D8=r(wm);Hk=i(D8,"is_user"),D8.forEach(t),Wk=i(lt," is a "),vm=a(lt,"CODE",{});var C8=r(vm);Zk=i(C8,"bool"),C8.forEach(t),Bk=i(lt,`,
`),xm=a(lt,"CODE",{});var I8=r(xm);Yk=i(I8,"text_chunks"),I8.forEach(t),Kk=i(lt," is a "),km=a(lt,"CODE",{});var z8=r(km);Xk=i(z8,"str"),z8.forEach(t),Jk=i(lt,"."),lt.forEach(t),pc.forEach(t),eP=c(xe),Bn=a(xe,"DIV",{class:!0});var fw=r(Bn);b(yr.$$.fragment,fw),tP=c(fw),We=a(fw,"P",{});var Ea=r(We);nP=i(Ea,"Mark the conversation as processed (moves the content of "),Pm=a(Ea,"CODE",{});var S8=r(Pm);sP=i(S8,"new_user_input"),S8.forEach(t),aP=i(Ea," to "),ym=a(Ea,"CODE",{});var M8=r(ym);rP=i(M8,"past_user_inputs"),M8.forEach(t),oP=i(Ea,`) and empties
the `),Tm=a(Ea,"CODE",{});var F8=r(Tm);iP=i(F8,"new_user_input"),F8.forEach(t),lP=i(Ea," field."),Ea.forEach(t),fw.forEach(t),xe.forEach(t),H_=c(n),Z=a(n,"DIV",{class:!0});var ke=r(Z);b(Tr.$$.fragment,ke),pP=c(ke),$m=a(ke,"P",{});var L8=r($m);cP=i(L8,"Multi-turn conversational pipeline."),L8.forEach(t),dP=c(ke),b(Yn.$$.fragment,ke),mP=c(ke),jm=a(ke,"P",{});var O8=r(jm);pp=a(O8,"A",{href:!0});var N8=r(pp);hP=i(N8,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),N8.forEach(t),O8.forEach(t),fP=c(ke),Pt=a(ke,"P",{});var cc=r(Pt);uP=i(cc,"This conversational pipeline can currently be loaded from "),cp=a(cc,"A",{href:!0});var U8=r(cp);gP=i(U8,"pipeline()"),U8.forEach(t),_P=i(cc,` using the following task identifier:
`),Em=a(cc,"CODE",{});var G8=r(Em);bP=i(G8,'"conversational"'),G8.forEach(t),wP=i(cc,"."),cc.forEach(t),vP=c(ke),Fe=a(ke,"P",{});var pt=r(Fe);xP=i(pt,`The models that this pipeline can use are models that have been fine-tuned on a multi-turn conversational task,
currently: `),qm=a(pt,"EM",{});var R8=r(qm);kP=i(R8,"\u2018microsoft/DialoGPT-small\u2019"),R8.forEach(t),PP=i(pt,", "),Am=a(pt,"EM",{});var Q8=r(Am);yP=i(Q8,"\u2018microsoft/DialoGPT-medium\u2019"),Q8.forEach(t),TP=i(pt,", "),Dm=a(pt,"EM",{});var V8=r(Dm);$P=i(V8,"\u2018microsoft/DialoGPT-large\u2019"),V8.forEach(t),jP=i(pt,`. See the
up-to-date list of available models on
`),$r=a(pt,"A",{href:!0,rel:!0});var H8=r($r);EP=i(H8,"huggingface.co/models"),H8.forEach(t),qP=i(pt,"."),pt.forEach(t),AP=c(ke),Kn=a(ke,"DIV",{class:!0});var uw=r(Kn);b(jr.$$.fragment,uw),DP=c(uw),Cm=a(uw,"P",{});var W8=r(Cm);CP=i(W8,"Generate responses for the conversation(s) given as inputs."),W8.forEach(t),uw.forEach(t),ke.forEach(t),W_=c(n),yt=a(n,"H3",{class:!0});var gw=r(yt);Xn=a(gw,"A",{id:!0,class:!0,href:!0});var Z8=r(Xn);Im=a(Z8,"SPAN",{});var B8=r(Im);b(Er.$$.fragment,B8),B8.forEach(t),Z8.forEach(t),IP=c(gw),zm=a(gw,"SPAN",{});var Y8=r(zm);zP=i(Y8,"DepthEstimationPipeline"),Y8.forEach(t),gw.forEach(t),Z_=c(n),B=a(n,"DIV",{class:!0});var Pe=r(B);b(qr.$$.fragment,Pe),SP=c(Pe),Ar=a(Pe,"P",{});var _w=r(Ar);MP=i(_w,"Depth estimation pipeline using any "),Sm=a(_w,"CODE",{});var K8=r(Sm);FP=i(K8,"AutoModelForDepthEstimation"),K8.forEach(t),LP=i(_w,". This pipeline predicts the depth of an image."),_w.forEach(t),OP=c(Pe),b(Jn.$$.fragment,Pe),NP=c(Pe),Mm=a(Pe,"P",{});var X8=r(Mm);dp=a(X8,"A",{href:!0});var J8=r(dp);UP=i(J8,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),J8.forEach(t),X8.forEach(t),GP=c(Pe),Tt=a(Pe,"P",{});var dc=r(Tt);RP=i(dc,"This depth estimation pipeline can currently be loaded from "),mp=a(dc,"A",{href:!0});var e9=r(mp);QP=i(e9,"pipeline()"),e9.forEach(t),VP=i(dc,` using the following task identifier:
`),Fm=a(dc,"CODE",{});var t9=r(Fm);HP=i(t9,'"depth-estimation"'),t9.forEach(t),WP=i(dc,"."),dc.forEach(t),ZP=c(Pe),Dr=a(Pe,"P",{});var bw=r(Dr);BP=i(bw,"See the list of available models on "),Cr=a(bw,"A",{href:!0,rel:!0});var n9=r(Cr);YP=i(n9,"huggingface.co/models"),n9.forEach(t),KP=i(bw,"."),bw.forEach(t),XP=c(Pe),es=a(Pe,"DIV",{class:!0});var ww=r(es);b(Ir.$$.fragment,ww),JP=c(ww),Lm=a(ww,"P",{});var s9=r(Lm);ey=i(s9,"Assign labels to the image(s) passed as inputs."),s9.forEach(t),ww.forEach(t),Pe.forEach(t),B_=c(n),$t=a(n,"H3",{class:!0});var vw=r($t);ts=a(vw,"A",{id:!0,class:!0,href:!0});var a9=r(ts);Om=a(a9,"SPAN",{});var r9=r(Om);b(zr.$$.fragment,r9),r9.forEach(t),a9.forEach(t),ty=c(vw),Nm=a(vw,"SPAN",{});var o9=r(Nm);ny=i(o9,"DocumentQuestionAnsweringPipeline"),o9.forEach(t),vw.forEach(t),Y_=c(n),Y=a(n,"DIV",{class:!0});var ye=r(Y);b(Sr.$$.fragment,ye),sy=c(ye),Mr=a(ye,"P",{});var xw=r(Mr);ay=i(xw,"Document Question Answering pipeline using any "),Um=a(xw,"CODE",{});var i9=r(Um);ry=i(i9,"AutoModelForDocumentQuestionAnswering"),i9.forEach(t),oy=i(xw,`. The inputs/outputs are
similar to the (extractive) question answering pipeline; however, the pipeline takes an image (and optional OCR\u2019d
words/boxes) as input instead of text context.`),xw.forEach(t),iy=c(ye),b(ns.$$.fragment,ye),ly=c(ye),Gm=a(ye,"P",{});var l9=r(Gm);hp=a(l9,"A",{href:!0});var p9=r(hp);py=i(p9,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),p9.forEach(t),l9.forEach(t),cy=c(ye),jt=a(ye,"P",{});var mc=r(jt);dy=i(mc,"This document question answering pipeline can currently be loaded from "),fp=a(mc,"A",{href:!0});var c9=r(fp);my=i(c9,"pipeline()"),c9.forEach(t),hy=i(mc,` using the following task
identifier: `),Rm=a(mc,"CODE",{});var d9=r(Rm);fy=i(d9,'"document-question-answering"'),d9.forEach(t),uy=i(mc,"."),mc.forEach(t),gy=c(ye),Fr=a(ye,"P",{});var kw=r(Fr);_y=i(kw,`The models that this pipeline can use are models that have been fine-tuned on a document question answering task.
See the up-to-date list of available models on
`),Lr=a(kw,"A",{href:!0,rel:!0});var m9=r(Lr);by=i(m9,"huggingface.co/models"),m9.forEach(t),wy=i(kw,"."),kw.forEach(t),vy=c(ye),Oe=a(ye,"DIV",{class:!0});var qa=r(Oe);b(Or.$$.fragment,qa),xy=c(qa),Nr=a(qa,"P",{});var Pw=r(Nr);ky=i(Pw,`Answer the question(s) given as inputs by using the document(s). A document is defined as an image and an
optional list of (word, box) tuples which represent the text in the document. If the `),Qm=a(Pw,"CODE",{});var h9=r(Qm);Py=i(h9,"word_boxes"),h9.forEach(t),yy=i(Pw,` are not
provided, it will use the Tesseract OCR engine (if available) to extract the words and boxes automatically for
LayoutLM-like models which require them as input. For Donut, no OCR is run.`),Pw.forEach(t),Ty=c(qa),Vm=a(qa,"P",{});var f9=r(Vm);$y=i(f9,"You can invoke the pipeline several ways:"),f9.forEach(t),jy=c(qa),Ze=a(qa,"UL",{});var Aa=r(Ze);Hm=a(Aa,"LI",{});var u9=r(Hm);Wm=a(u9,"CODE",{});var g9=r(Wm);Ey=i(g9,"pipeline(image=image, question=question)"),g9.forEach(t),u9.forEach(t),qy=c(Aa),Zm=a(Aa,"LI",{});var _9=r(Zm);Bm=a(_9,"CODE",{});var b9=r(Bm);Ay=i(b9,"pipeline(image=image, question=question, word_boxes=word_boxes)"),b9.forEach(t),_9.forEach(t),Dy=c(Aa),Ym=a(Aa,"LI",{});var w9=r(Ym);Km=a(w9,"CODE",{});var v9=r(Km);Cy=i(v9,'pipeline([{"image": image, "question": question}])'),v9.forEach(t),w9.forEach(t),Iy=c(Aa),Xm=a(Aa,"LI",{});var x9=r(Xm);Jm=a(x9,"CODE",{});var k9=r(Jm);zy=i(k9,'pipeline([{"image": image, "question": question, "word_boxes": word_boxes}])'),k9.forEach(t),x9.forEach(t),Aa.forEach(t),qa.forEach(t),ye.forEach(t),K_=c(n),Et=a(n,"H3",{class:!0});var yw=r(Et);ss=a(yw,"A",{id:!0,class:!0,href:!0});var P9=r(ss);eh=a(P9,"SPAN",{});var y9=r(eh);b(Ur.$$.fragment,y9),y9.forEach(t),P9.forEach(t),Sy=c(yw),th=a(yw,"SPAN",{});var T9=r(th);My=i(T9,"FeatureExtractionPipeline"),T9.forEach(t),yw.forEach(t),X_=c(n),K=a(n,"DIV",{class:!0});var Te=r(K);b(Gr.$$.fragment,Te),Fy=c(Te),nh=a(Te,"P",{});var $9=r(nh);Ly=i($9,`Feature extraction pipeline using no model head. This pipeline extracts the hidden states from the base
transformer, which can be used as features in downstream tasks.`),$9.forEach(t),Oy=c(Te),b(as.$$.fragment,Te),Ny=c(Te),sh=a(Te,"P",{});var j9=r(sh);up=a(j9,"A",{href:!0});var E9=r(up);Uy=i(E9,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),E9.forEach(t),j9.forEach(t),Gy=c(Te),qt=a(Te,"P",{});var hc=r(qt);Ry=i(hc,"This feature extraction pipeline can currently be loaded from "),gp=a(hc,"A",{href:!0});var q9=r(gp);Qy=i(q9,"pipeline()"),q9.forEach(t),Vy=i(hc,` using the task identifier:
`),ah=a(hc,"CODE",{});var A9=r(ah);Hy=i(A9,'"feature-extraction"'),A9.forEach(t),Wy=i(hc,"."),hc.forEach(t),Zy=c(Te),Rr=a(Te,"P",{});var Tw=r(Rr);By=i(Tw,`All models may be used for this pipeline. See a list of all models, including community-contributed models on
`),Qr=a(Tw,"A",{href:!0,rel:!0});var D9=r(Qr);Yy=i(D9,"huggingface.co/models"),D9.forEach(t),Ky=i(Tw,"."),Tw.forEach(t),Xy=c(Te),rs=a(Te,"DIV",{class:!0});var $w=r(rs);b(Vr.$$.fragment,$w),Jy=c($w),rh=a($w,"P",{});var C9=r(rh);eT=i(C9,"Extract the features of the input(s)."),C9.forEach(t),$w.forEach(t),Te.forEach(t),J_=c(n),At=a(n,"H3",{class:!0});var jw=r(At);os=a(jw,"A",{id:!0,class:!0,href:!0});var I9=r(os);oh=a(I9,"SPAN",{});var z9=r(oh);b(Hr.$$.fragment,z9),z9.forEach(t),I9.forEach(t),tT=c(jw),ih=a(jw,"SPAN",{});var S9=r(ih);nT=i(S9,"FillMaskPipeline"),S9.forEach(t),jw.forEach(t),eb=c(n),U=a(n,"DIV",{class:!0});var ue=r(U);b(Wr.$$.fragment,ue),sT=c(ue),Dt=a(ue,"P",{});var fc=r(Dt);aT=i(fc,"Masked language modeling prediction pipeline using any "),lh=a(fc,"CODE",{});var M9=r(lh);rT=i(M9,"ModelWithLMHead"),M9.forEach(t),oT=i(fc,". See the "),_p=a(fc,"A",{href:!0});var F9=r(_p);iT=i(F9,`masked language modeling
examples`),F9.forEach(t),lT=i(fc," for more information."),fc.forEach(t),pT=c(ue),b(is.$$.fragment,ue),cT=c(ue),ph=a(ue,"P",{});var L9=r(ph);bp=a(L9,"A",{href:!0});var O9=r(bp);dT=i(O9,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),O9.forEach(t),L9.forEach(t),mT=c(ue),Ct=a(ue,"P",{});var uc=r(Ct);hT=i(uc,"This mask filling pipeline can currently be loaded from "),wp=a(uc,"A",{href:!0});var N9=r(wp);fT=i(N9,"pipeline()"),N9.forEach(t),uT=i(uc,` using the following task identifier:
`),ch=a(uc,"CODE",{});var U9=r(ch);gT=i(U9,'"fill-mask"'),U9.forEach(t),_T=i(uc,"."),uc.forEach(t),bT=c(ue),Zr=a(ue,"P",{});var Ew=r(Zr);wT=i(Ew,`The models that this pipeline can use are models that have been trained with a masked language modeling objective,
which includes the bi-directional models in the library. See the up-to-date list of available models on
`),Br=a(Ew,"A",{href:!0,rel:!0});var G9=r(Br);vT=i(G9,"huggingface.co/models"),G9.forEach(t),xT=i(Ew,"."),Ew.forEach(t),kT=c(ue),b(ls.$$.fragment,ue),PT=c(ue),ps=a(ue,"DIV",{class:!0});var qw=r(ps);b(Yr.$$.fragment,qw),yT=c(qw),dh=a(qw,"P",{});var R9=r(dh);TT=i(R9,"Fill the masked token in the text(s) given as inputs."),R9.forEach(t),qw.forEach(t),ue.forEach(t),tb=c(n),It=a(n,"H3",{class:!0});var Aw=r(It);cs=a(Aw,"A",{id:!0,class:!0,href:!0});var Q9=r(cs);mh=a(Q9,"SPAN",{});var V9=r(mh);b(Kr.$$.fragment,V9),V9.forEach(t),Q9.forEach(t),$T=c(Aw),hh=a(Aw,"SPAN",{});var H9=r(hh);jT=i(H9,"ImageClassificationPipeline"),H9.forEach(t),Aw.forEach(t),nb=c(n),X=a(n,"DIV",{class:!0});var $e=r(X);b(Xr.$$.fragment,$e),ET=c($e),Jr=a($e,"P",{});var Dw=r(Jr);qT=i(Dw,"Image classification pipeline using any "),fh=a(Dw,"CODE",{});var W9=r(fh);AT=i(W9,"AutoModelForImageClassification"),W9.forEach(t),DT=i(Dw,`. This pipeline predicts the class of an
image.`),Dw.forEach(t),CT=c($e),b(ds.$$.fragment,$e),IT=c($e),uh=a($e,"P",{});var Z9=r(uh);vp=a(Z9,"A",{href:!0});var B9=r(vp);zT=i(B9,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),B9.forEach(t),Z9.forEach(t),ST=c($e),zt=a($e,"P",{});var gc=r(zt);MT=i(gc,"This image classification pipeline can currently be loaded from "),xp=a(gc,"A",{href:!0});var Y9=r(xp);FT=i(Y9,"pipeline()"),Y9.forEach(t),LT=i(gc,` using the following task identifier:
`),gh=a(gc,"CODE",{});var K9=r(gh);OT=i(K9,'"image-classification"'),K9.forEach(t),NT=i(gc,"."),gc.forEach(t),UT=c($e),eo=a($e,"P",{});var Cw=r(eo);GT=i(Cw,`See the list of available models on
`),to=a(Cw,"A",{href:!0,rel:!0});var X9=r(to);RT=i(X9,"huggingface.co/models"),X9.forEach(t),QT=i(Cw,"."),Cw.forEach(t),VT=c($e),ms=a($e,"DIV",{class:!0});var Iw=r(ms);b(no.$$.fragment,Iw),HT=c(Iw),_h=a(Iw,"P",{});var J9=r(_h);WT=i(J9,"Assign labels to the image(s) passed as inputs."),J9.forEach(t),Iw.forEach(t),$e.forEach(t),sb=c(n),St=a(n,"H3",{class:!0});var zw=r(St);hs=a(zw,"A",{id:!0,class:!0,href:!0});var eD=r(hs);bh=a(eD,"SPAN",{});var tD=r(bh);b(so.$$.fragment,tD),tD.forEach(t),eD.forEach(t),ZT=c(zw),wh=a(zw,"SPAN",{});var nD=r(wh);BT=i(nD,"ImageSegmentationPipeline"),nD.forEach(t),zw.forEach(t),ab=c(n),ce=a(n,"DIV",{class:!0});var Ue=r(ce);b(ao.$$.fragment,Ue),YT=c(Ue),ro=a(Ue,"P",{});var Sw=r(ro);KT=i(Sw,"Image segmentation pipeline using any "),vh=a(Sw,"CODE",{});var sD=r(vh);XT=i(sD,"AutoModelForXXXSegmentation"),sD.forEach(t),JT=i(Sw,`. This pipeline predicts masks of objects and
their classes.`),Sw.forEach(t),e0=c(Ue),b(fs.$$.fragment,Ue),t0=c(Ue),Mt=a(Ue,"P",{});var _c=r(Mt);n0=i(_c,"This image segmentation pipeline can currently be loaded from "),kp=a(_c,"A",{href:!0});var aD=r(kp);s0=i(aD,"pipeline()"),aD.forEach(t),a0=i(_c,` using the following task identifier:
`),xh=a(_c,"CODE",{});var rD=r(xh);r0=i(rD,'"image-segmentation"'),rD.forEach(t),o0=i(_c,"."),_c.forEach(t),i0=c(Ue),oo=a(Ue,"P",{});var Mw=r(oo);l0=i(Mw,`See the list of available models on
`),io=a(Mw,"A",{href:!0,rel:!0});var oD=r(io);p0=i(oD,"huggingface.co/models"),oD.forEach(t),c0=i(Mw,"."),Mw.forEach(t),d0=c(Ue),us=a(Ue,"DIV",{class:!0});var Fw=r(us);b(lo.$$.fragment,Fw),m0=c(Fw),kh=a(Fw,"P",{});var iD=r(kh);h0=i(iD,"Perform segmentation (detect masks & classes) in the image(s) passed as inputs."),iD.forEach(t),Fw.forEach(t),Ue.forEach(t),rb=c(n),Ft=a(n,"H3",{class:!0});var Lw=r(Ft);gs=a(Lw,"A",{id:!0,class:!0,href:!0});var lD=r(gs);Ph=a(lD,"SPAN",{});var pD=r(Ph);b(po.$$.fragment,pD),pD.forEach(t),lD.forEach(t),f0=c(Lw),yh=a(Lw,"SPAN",{});var cD=r(yh);u0=i(cD,"ImageToTextPipeline"),cD.forEach(t),Lw.forEach(t),ob=c(n),J=a(n,"DIV",{class:!0});var je=r(J);b(co.$$.fragment,je),g0=c(je),mo=a(je,"P",{});var Ow=r(mo);_0=i(Ow,"Image To Text pipeline using a "),Th=a(Ow,"CODE",{});var dD=r(Th);b0=i(dD,"AutoModelForVision2Seq"),dD.forEach(t),w0=i(Ow,". This pipeline predicts a caption for a given image."),Ow.forEach(t),v0=c(je),b(_s.$$.fragment,je),x0=c(je),$h=a(je,"P",{});var mD=r($h);Pp=a(mD,"A",{href:!0});var hD=r(Pp);k0=i(hD,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),hD.forEach(t),mD.forEach(t),P0=c(je),jh=a(je,"P",{});var fD=r(jh);y0=i(fD,`This image to text pipeline can currently be loaded from pipeline() using the following task identifier:
\u201Cimage-to-text\u201D.`),fD.forEach(t),T0=c(je),ho=a(je,"P",{});var Nw=r(ho);$0=i(Nw,`See the list of available models on
`),fo=a(Nw,"A",{href:!0,rel:!0});var uD=r(fo);j0=i(uD,"huggingface.co/models"),uD.forEach(t),E0=i(Nw,"."),Nw.forEach(t),q0=c(je),bs=a(je,"DIV",{class:!0});var Uw=r(bs);b(uo.$$.fragment,Uw),A0=c(Uw),Eh=a(Uw,"P",{});var gD=r(Eh);D0=i(gD,"Assign labels to the image(s) passed as inputs."),gD.forEach(t),Uw.forEach(t),je.forEach(t),ib=c(n),Lt=a(n,"H3",{class:!0});var Gw=r(Lt);ws=a(Gw,"A",{id:!0,class:!0,href:!0});var _D=r(ws);qh=a(_D,"SPAN",{});var bD=r(qh);b(go.$$.fragment,bD),bD.forEach(t),_D.forEach(t),C0=c(Gw),Ah=a(Gw,"SPAN",{});var wD=r(Ah);I0=i(wD,"NerPipeline"),wD.forEach(t),Gw.forEach(t),lb=c(n),F=a(n,"DIV",{class:!0});var V=r(F);b(_o.$$.fragment,V),z0=c(V),Ot=a(V,"P",{});var bc=r(Ot);S0=i(bc,"Named Entity Recognition pipeline using any "),Dh=a(bc,"CODE",{});var vD=r(Dh);M0=i(vD,"ModelForTokenClassification"),vD.forEach(t),F0=i(bc,". See the "),yp=a(bc,"A",{href:!0});var xD=r(yp);L0=i(xD,`named entity recognition
examples`),xD.forEach(t),O0=i(bc," for more information."),bc.forEach(t),N0=c(V),b(vs.$$.fragment,V),U0=c(V),Ch=a(V,"P",{});var kD=r(Ch);Tp=a(kD,"A",{href:!0});var PD=r(Tp);G0=i(PD,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),PD.forEach(t),kD.forEach(t),R0=c(V),Nt=a(V,"P",{});var wc=r(Nt);Q0=i(wc,"This token recognition pipeline can currently be loaded from "),$p=a(wc,"A",{href:!0});var yD=r($p);V0=i(yD,"pipeline()"),yD.forEach(t),H0=i(wc,` using the following task identifier:
`),Ih=a(wc,"CODE",{});var TD=r(Ih);W0=i(TD,'"ner"'),TD.forEach(t),Z0=i(wc," (for predicting the classes of tokens in a sequence: person, organisation, location or miscellaneous)."),wc.forEach(t),B0=c(V),bo=a(V,"P",{});var Rw=r(bo);Y0=i(Rw,`The models that this pipeline can use are models that have been fine-tuned on a token classification task. See the
up-to-date list of available models on
`),wo=a(Rw,"A",{href:!0,rel:!0});var $D=r(wo);K0=i($D,"huggingface.co/models"),$D.forEach(t),X0=i(Rw,"."),Rw.forEach(t),J0=c(V),tt=a(V,"DIV",{class:!0});var vc=r(tt);b(vo.$$.fragment,vc),e$=c(vc),zh=a(vc,"P",{});var jD=r(zh);t$=i(jD,"Override tokens from a given word that disagree to force agreement on word boundaries."),jD.forEach(t),n$=c(vc),Sh=a(vc,"P",{});var ED=r(Sh);s$=i(ED,`Example: micro|soft| com|pany| B-ENT I-NAME I-ENT I-ENT will be rewritten with first strategy as microsoft|
company| B-ENT I-ENT`),ED.forEach(t),vc.forEach(t),a$=c(V),xs=a(V,"DIV",{class:!0});var Qw=r(xs);b(xo.$$.fragment,Qw),r$=c(Qw),Mh=a(Qw,"P",{});var qD=r(Mh);o$=i(qD,"Fuse various numpy arrays into dicts with all the information needed for aggregation"),qD.forEach(t),Qw.forEach(t),i$=c(V),ks=a(V,"DIV",{class:!0});var Vw=r(ks);b(ko.$$.fragment,Vw),l$=c(Vw),Fh=a(Vw,"P",{});var AD=r(Fh);p$=i(AD,"Find and group together the adjacent tokens with the same entity predicted."),AD.forEach(t),Vw.forEach(t),c$=c(V),Ps=a(V,"DIV",{class:!0});var Hw=r(Ps);b(Po.$$.fragment,Hw),d$=c(Hw),Lh=a(Hw,"P",{});var DD=r(Lh);m$=i(DD,"Group together the adjacent tokens with the same entity predicted."),DD.forEach(t),Hw.forEach(t),V.forEach(t),pb=c(n),ys=a(n,"P",{});var Ww=r(ys);h$=i(Ww,"See "),jp=a(Ww,"A",{href:!0});var CD=r(jp);f$=i(CD,"TokenClassificationPipeline"),CD.forEach(t),u$=i(Ww," for all details."),Ww.forEach(t),cb=c(n),Ut=a(n,"H3",{class:!0});var Zw=r(Ut);Ts=a(Zw,"A",{id:!0,class:!0,href:!0});var ID=r(Ts);Oh=a(ID,"SPAN",{});var zD=r(Oh);b(yo.$$.fragment,zD),zD.forEach(t),ID.forEach(t),g$=c(Zw),Nh=a(Zw,"SPAN",{});var SD=r(Nh);_$=i(SD,"ObjectDetectionPipeline"),SD.forEach(t),Zw.forEach(t),db=c(n),ee=a(n,"DIV",{class:!0});var Ee=r(ee);b(To.$$.fragment,Ee),b$=c(Ee),$o=a(Ee,"P",{});var Bw=r($o);w$=i(Bw,"Object detection pipeline using any "),Uh=a(Bw,"CODE",{});var MD=r(Uh);v$=i(MD,"AutoModelForObjectDetection"),MD.forEach(t),x$=i(Bw,`. This pipeline predicts bounding boxes of objects
and their classes.`),Bw.forEach(t),k$=c(Ee),b($s.$$.fragment,Ee),P$=c(Ee),Gh=a(Ee,"P",{});var FD=r(Gh);Ep=a(FD,"A",{href:!0});var LD=r(Ep);y$=i(LD,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),LD.forEach(t),FD.forEach(t),T$=c(Ee),Gt=a(Ee,"P",{});var xc=r(Gt);$$=i(xc,"This object detection pipeline can currently be loaded from "),qp=a(xc,"A",{href:!0});var OD=r(qp);j$=i(OD,"pipeline()"),OD.forEach(t),E$=i(xc,` using the following task identifier:
`),Rh=a(xc,"CODE",{});var ND=r(Rh);q$=i(ND,'"object-detection"'),ND.forEach(t),A$=i(xc,"."),xc.forEach(t),D$=c(Ee),jo=a(Ee,"P",{});var Yw=r(jo);C$=i(Yw,"See the list of available models on "),Eo=a(Yw,"A",{href:!0,rel:!0});var UD=r(Eo);I$=i(UD,"huggingface.co/models"),UD.forEach(t),z$=i(Yw,"."),Yw.forEach(t),S$=c(Ee),js=a(Ee,"DIV",{class:!0});var Kw=r(js);b(qo.$$.fragment,Kw),M$=c(Kw),Qh=a(Kw,"P",{});var GD=r(Qh);F$=i(GD,"Detect objects (bounding boxes & classes) in the image(s) passed as inputs."),GD.forEach(t),Kw.forEach(t),Ee.forEach(t),mb=c(n),Rt=a(n,"H3",{class:!0});var Xw=r(Rt);Es=a(Xw,"A",{id:!0,class:!0,href:!0});var RD=r(Es);Vh=a(RD,"SPAN",{});var QD=r(Vh);b(Ao.$$.fragment,QD),QD.forEach(t),RD.forEach(t),L$=c(Xw),Hh=a(Xw,"SPAN",{});var VD=r(Hh);O$=i(VD,"QuestionAnsweringPipeline"),VD.forEach(t),Xw.forEach(t),hb=c(n),L=a(n,"DIV",{class:!0});var ie=r(L);b(Do.$$.fragment,ie),N$=c(ie),Qt=a(ie,"P",{});var kc=r(Qt);U$=i(kc,"Question Answering pipeline using any "),Wh=a(kc,"CODE",{});var HD=r(Wh);G$=i(HD,"ModelForQuestionAnswering"),HD.forEach(t),R$=i(kc,". See the "),Ap=a(kc,"A",{href:!0});var WD=r(Ap);Q$=i(WD,`question answering
examples`),WD.forEach(t),V$=i(kc," for more information."),kc.forEach(t),H$=c(ie),b(qs.$$.fragment,ie),W$=c(ie),Zh=a(ie,"P",{});var ZD=r(Zh);Dp=a(ZD,"A",{href:!0});var BD=r(Dp);Z$=i(BD,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),BD.forEach(t),ZD.forEach(t),B$=c(ie),Vt=a(ie,"P",{});var Pc=r(Vt);Y$=i(Pc,"This question answering pipeline can currently be loaded from "),Cp=a(Pc,"A",{href:!0});var YD=r(Cp);K$=i(YD,"pipeline()"),YD.forEach(t),X$=i(Pc,` using the following task identifier:
`),Bh=a(Pc,"CODE",{});var KD=r(Bh);J$=i(KD,'"question-answering"'),KD.forEach(t),e7=i(Pc,"."),Pc.forEach(t),t7=c(ie),Co=a(ie,"P",{});var Jw=r(Co);n7=i(Jw,`The models that this pipeline can use are models that have been fine-tuned on a question answering task. See the
up-to-date list of available models on
`),Io=a(Jw,"A",{href:!0,rel:!0});var XD=r(Io);s7=i(XD,"huggingface.co/models"),XD.forEach(t),a7=i(Jw,"."),Jw.forEach(t),r7=c(ie),As=a(ie,"DIV",{class:!0});var e2=r(As);b(zo.$$.fragment,e2),o7=c(e2),Yh=a(e2,"P",{});var JD=r(Yh);i7=i(JD,"Answer the question(s) given as inputs by using the context(s)."),JD.forEach(t),e2.forEach(t),l7=c(ie),nt=a(ie,"DIV",{class:!0});var yc=r(nt);b(So.$$.fragment,yc),p7=c(yc),Ht=a(yc,"P",{});var Tc=r(Ht);c7=i(Tc,"QuestionAnsweringPipeline leverages the "),Kh=a(Tc,"CODE",{});var eC=r(Kh);d7=i(eC,"SquadExample"),eC.forEach(t),m7=i(Tc,` internally. This helper method encapsulate all the
logic for converting question(s) and context(s) to `),Xh=a(Tc,"CODE",{});var tC=r(Xh);h7=i(tC,"SquadExample"),tC.forEach(t),f7=i(Tc,"."),Tc.forEach(t),u7=c(yc),Jh=a(yc,"P",{});var nC=r(Jh);g7=i(nC,"We currently support extractive question answering."),nC.forEach(t),yc.forEach(t),_7=c(ie),Ds=a(ie,"DIV",{class:!0});var t2=r(Ds);b(Mo.$$.fragment,t2),b7=c(t2),ef=a(t2,"P",{});var sC=r(ef);w7=i(sC,"When decoding from token probabilities, this method maps token indexes to actual word in the initial context."),sC.forEach(t),t2.forEach(t),ie.forEach(t),fb=c(n),Wt=a(n,"H3",{class:!0});var n2=r(Wt);Cs=a(n2,"A",{id:!0,class:!0,href:!0});var aC=r(Cs);tf=a(aC,"SPAN",{});var rC=r(tf);b(Fo.$$.fragment,rC),rC.forEach(t),aC.forEach(t),v7=c(n2),nf=a(n2,"SPAN",{});var oC=r(nf);x7=i(oC,"SummarizationPipeline"),oC.forEach(t),n2.forEach(t),ub=c(n),de=a(n,"DIV",{class:!0});var Ge=r(de);b(Lo.$$.fragment,Ge),k7=c(Ge),sf=a(Ge,"P",{});var iC=r(sf);P7=i(iC,"Summarize news articles and other documents."),iC.forEach(t),y7=c(Ge),Zt=a(Ge,"P",{});var $c=r(Zt);T7=i($c,"This summarizing pipeline can currently be loaded from "),Ip=a($c,"A",{href:!0});var lC=r(Ip);$7=i(lC,"pipeline()"),lC.forEach(t),j7=i($c,` using the following task identifier:
`),af=a($c,"CODE",{});var pC=r(af);E7=i(pC,'"summarization"'),pC.forEach(t),q7=i($c,"."),$c.forEach(t),A7=c(Ge),Q=a(Ge,"P",{});var fe=r(Q);D7=i(fe,`The models that this pipeline can use are models that have been fine-tuned on a summarization task, which is
currently, \u2019`),rf=a(fe,"EM",{});var cC=r(rf);C7=i(cC,"bart-large-cnn"),cC.forEach(t),I7=i(fe,"\u2019, \u2019"),of=a(fe,"EM",{});var dC=r(of);z7=i(dC,"t5-small"),dC.forEach(t),S7=i(fe,"\u2019, \u2019"),lf=a(fe,"EM",{});var mC=r(lf);M7=i(mC,"t5-base"),mC.forEach(t),F7=i(fe,"\u2019, \u2019"),pf=a(fe,"EM",{});var hC=r(pf);L7=i(hC,"t5-large"),hC.forEach(t),O7=i(fe,"\u2019, \u2019"),cf=a(fe,"EM",{});var fC=r(cf);N7=i(fC,"t5-3b"),fC.forEach(t),U7=i(fe,"\u2019, \u2019"),df=a(fe,"EM",{});var uC=r(df);G7=i(uC,"t5-11b"),uC.forEach(t),R7=i(fe,`\u2019. See the up-to-date
list of available models on `),Oo=a(fe,"A",{href:!0,rel:!0});var gC=r(Oo);Q7=i(gC,"huggingface.co/models"),gC.forEach(t),V7=i(fe,`. For a list
of available parameters, see the `),No=a(fe,"A",{href:!0,rel:!0});var _C=r(No);H7=i(_C,`following
documentation`),_C.forEach(t),fe.forEach(t),W7=c(Ge),b(Is.$$.fragment,Ge),Z7=c(Ge),zs=a(Ge,"DIV",{class:!0});var s2=r(zs);b(Uo.$$.fragment,s2),B7=c(s2),mf=a(s2,"P",{});var bC=r(mf);Y7=i(bC,"Summarize the text(s) given as inputs."),bC.forEach(t),s2.forEach(t),Ge.forEach(t),gb=c(n),Bt=a(n,"H3",{class:!0});var a2=r(Bt);Ss=a(a2,"A",{id:!0,class:!0,href:!0});var wC=r(Ss);hf=a(wC,"SPAN",{});var vC=r(hf);b(Go.$$.fragment,vC),vC.forEach(t),wC.forEach(t),K7=c(a2),ff=a(a2,"SPAN",{});var xC=r(ff);X7=i(xC,"TableQuestionAnsweringPipeline"),xC.forEach(t),a2.forEach(t),_b=c(n),te=a(n,"DIV",{class:!0});var qe=r(te);b(Ro.$$.fragment,qe),J7=c(qe),Qo=a(qe,"P",{});var r2=r(Qo);ej=i(r2,"Table Question Answering pipeline using a "),uf=a(r2,"CODE",{});var kC=r(uf);tj=i(kC,"ModelForTableQuestionAnswering"),kC.forEach(t),nj=i(r2,`. This pipeline is only available in
PyTorch.`),r2.forEach(t),sj=c(qe),b(Ms.$$.fragment,qe),aj=c(qe),gf=a(qe,"P",{});var PC=r(gf);zp=a(PC,"A",{href:!0});var yC=r(zp);rj=i(yC,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),yC.forEach(t),PC.forEach(t),oj=c(qe),Yt=a(qe,"P",{});var jc=r(Yt);ij=i(jc,"This tabular question answering pipeline can currently be loaded from "),Sp=a(jc,"A",{href:!0});var TC=r(Sp);lj=i(TC,"pipeline()"),TC.forEach(t),pj=i(jc,` using the following task
identifier: `),_f=a(jc,"CODE",{});var $C=r(_f);cj=i($C,'"table-question-answering"'),$C.forEach(t),dj=i(jc,"."),jc.forEach(t),mj=c(qe),Vo=a(qe,"P",{});var o2=r(Vo);hj=i(o2,`The models that this pipeline can use are models that have been fine-tuned on a tabular question answering task.
See the up-to-date list of available models on
`),Ho=a(o2,"A",{href:!0,rel:!0});var jC=r(Ho);fj=i(jC,"huggingface.co/models"),jC.forEach(t),uj=i(o2,"."),o2.forEach(t),gj=c(qe),oe=a(qe,"DIV",{class:!0});var Ae=r(oe);b(Wo.$$.fragment,Ae),_j=c(Ae),bf=a(Ae,"P",{});var EC=r(bf);bj=i(EC,"Answers queries according to a table. The pipeline accepts several types of inputs which are detailed below:"),EC.forEach(t),wj=c(Ae),me=a(Ae,"UL",{});var De=r(me);wf=a(De,"LI",{});var qC=r(wf);vf=a(qC,"CODE",{});var AC=r(vf);vj=i(AC,"pipeline(table, query)"),AC.forEach(t),qC.forEach(t),xj=c(De),xf=a(De,"LI",{});var DC=r(xf);kf=a(DC,"CODE",{});var CC=r(kf);kj=i(CC,"pipeline(table, [query])"),CC.forEach(t),DC.forEach(t),Pj=c(De),Pf=a(De,"LI",{});var IC=r(Pf);yf=a(IC,"CODE",{});var zC=r(yf);yj=i(zC,"pipeline(table=table, query=query)"),zC.forEach(t),IC.forEach(t),Tj=c(De),Tf=a(De,"LI",{});var SC=r(Tf);$f=a(SC,"CODE",{});var MC=r($f);$j=i(MC,"pipeline(table=table, query=[query])"),MC.forEach(t),SC.forEach(t),jj=c(De),jf=a(De,"LI",{});var FC=r(jf);Ef=a(FC,"CODE",{});var LC=r(Ef);Ej=i(LC,'pipeline({"table": table, "query": query})'),LC.forEach(t),FC.forEach(t),qj=c(De),qf=a(De,"LI",{});var OC=r(qf);Af=a(OC,"CODE",{});var NC=r(Af);Aj=i(NC,'pipeline({"table": table, "query": [query]})'),NC.forEach(t),OC.forEach(t),Dj=c(De),Df=a(De,"LI",{});var UC=r(Df);Cf=a(UC,"CODE",{});var GC=r(Cf);Cj=i(GC,'pipeline([{"table": table, "query": query}, {"table": table, "query": query}])'),GC.forEach(t),UC.forEach(t),De.forEach(t),Ij=c(Ae),Zo=a(Ae,"P",{});var i2=r(Zo);zj=i(i2,"The "),If=a(i2,"CODE",{});var RC=r(If);Sj=i(RC,"table"),RC.forEach(t),Mj=i(i2," argument should be a dict or a DataFrame built from that dict, containing the whole table:"),i2.forEach(t),Fj=c(Ae),b(Fs.$$.fragment,Ae),Lj=c(Ae),zf=a(Ae,"P",{});var QC=r(zf);Oj=i(QC,"This dictionary can be passed in as such, or can be converted to a pandas DataFrame:"),QC.forEach(t),Nj=c(Ae),b(Ls.$$.fragment,Ae),Ae.forEach(t),qe.forEach(t),bb=c(n),Kt=a(n,"H3",{class:!0});var l2=r(Kt);Os=a(l2,"A",{id:!0,class:!0,href:!0});var VC=r(Os);Sf=a(VC,"SPAN",{});var HC=r(Sf);b(Bo.$$.fragment,HC),HC.forEach(t),VC.forEach(t),Uj=c(l2),Mf=a(l2,"SPAN",{});var WC=r(Mf);Gj=i(WC,"TextClassificationPipeline"),WC.forEach(t),l2.forEach(t),wb=c(n),G=a(n,"DIV",{class:!0});var ge=r(G);b(Yo.$$.fragment,ge),Rj=c(ge),Xt=a(ge,"P",{});var Ec=r(Xt);Qj=i(Ec,"Text classification pipeline using any "),Ff=a(Ec,"CODE",{});var ZC=r(Ff);Vj=i(ZC,"ModelForSequenceClassification"),ZC.forEach(t),Hj=i(Ec,". See the "),Mp=a(Ec,"A",{href:!0});var BC=r(Mp);Wj=i(BC,`sequence classification
examples`),BC.forEach(t),Zj=i(Ec," for more information."),Ec.forEach(t),Bj=c(ge),b(Ns.$$.fragment,ge),Yj=c(ge),Lf=a(ge,"P",{});var YC=r(Lf);Fp=a(YC,"A",{href:!0});var KC=r(Fp);Kj=i(KC,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),KC.forEach(t),YC.forEach(t),Xj=c(ge),Jt=a(ge,"P",{});var qc=r(Jt);Jj=i(qc,"This text classification pipeline can currently be loaded from "),Lp=a(qc,"A",{href:!0});var XC=r(Lp);e4=i(XC,"pipeline()"),XC.forEach(t),t4=i(qc,` using the following task identifier:
`),Of=a(qc,"CODE",{});var JC=r(Of);n4=i(JC,'"sentiment-analysis"'),JC.forEach(t),s4=i(qc," (for classifying sequences according to positive or negative sentiments)."),qc.forEach(t),a4=c(ge),Ko=a(ge,"P",{});var p2=r(Ko);r4=i(p2,"If multiple classification labels are available ("),Nf=a(p2,"CODE",{});var eI=r(Nf);o4=i(eI,"model.config.num_labels >= 2"),eI.forEach(t),i4=i(p2,`), the pipeline will run a softmax
over the results. If there is a single label, the pipeline will run a sigmoid over the result.`),p2.forEach(t),l4=c(ge),Xo=a(ge,"P",{});var c2=r(Xo);p4=i(c2,`The models that this pipeline can use are models that have been fine-tuned on a sequence classification task. See
the up-to-date list of available models on
`),Jo=a(c2,"A",{href:!0,rel:!0});var tI=r(Jo);c4=i(tI,"huggingface.co/models"),tI.forEach(t),d4=i(c2,"."),c2.forEach(t),m4=c(ge),Us=a(ge,"DIV",{class:!0});var d2=r(Us);b(ei.$$.fragment,d2),h4=c(d2),Uf=a(d2,"P",{});var nI=r(Uf);f4=i(nI,"Classify the text(s) given as inputs."),nI.forEach(t),d2.forEach(t),ge.forEach(t),vb=c(n),en=a(n,"H3",{class:!0});var m2=r(en);Gs=a(m2,"A",{id:!0,class:!0,href:!0});var sI=r(Gs);Gf=a(sI,"SPAN",{});var aI=r(Gf);b(ti.$$.fragment,aI),aI.forEach(t),sI.forEach(t),u4=c(m2),Rf=a(m2,"SPAN",{});var rI=r(Rf);g4=i(rI,"TextGenerationPipeline"),rI.forEach(t),m2.forEach(t),xb=c(n),ne=a(n,"DIV",{class:!0});var Ce=r(ne);b(ni.$$.fragment,Ce),_4=c(Ce),si=a(Ce,"P",{});var h2=r(si);b4=i(h2,"Language generation pipeline using any "),Qf=a(h2,"CODE",{});var oI=r(Qf);w4=i(oI,"ModelWithLMHead"),oI.forEach(t),v4=i(h2,`. This pipeline predicts the words that will follow a
specified text prompt.`),h2.forEach(t),x4=c(Ce),b(Rs.$$.fragment,Ce),k4=c(Ce),Vf=a(Ce,"P",{});var iI=r(Vf);Op=a(iI,"A",{href:!0});var lI=r(Op);P4=i(lI,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),lI.forEach(t),iI.forEach(t),y4=c(Ce),tn=a(Ce,"P",{});var Ac=r(tn);T4=i(Ac,"This language generation pipeline can currently be loaded from "),Np=a(Ac,"A",{href:!0});var pI=r(Np);$4=i(pI,"pipeline()"),pI.forEach(t),j4=i(Ac,` using the following task identifier:
`),Hf=a(Ac,"CODE",{});var cI=r(Hf);E4=i(cI,'"text-generation"'),cI.forEach(t),q4=i(Ac,"."),Ac.forEach(t),A4=c(Ce),ai=a(Ce,"P",{});var f2=r(ai);D4=i(f2,`The models that this pipeline can use are models that have been trained with an autoregressive language modeling
objective, which includes the uni-directional models in the library (e.g. gpt2). See the list of available models
on `),ri=a(f2,"A",{href:!0,rel:!0});var dI=r(ri);C4=i(dI,"huggingface.co/models"),dI.forEach(t),I4=i(f2,"."),f2.forEach(t),z4=c(Ce),Qs=a(Ce,"DIV",{class:!0});var u2=r(Qs);b(oi.$$.fragment,u2),S4=c(u2),Wf=a(u2,"P",{});var mI=r(Wf);M4=i(mI,"Complete the prompt(s) given as inputs."),mI.forEach(t),u2.forEach(t),Ce.forEach(t),kb=c(n),nn=a(n,"H3",{class:!0});var g2=r(nn);Vs=a(g2,"A",{id:!0,class:!0,href:!0});var hI=r(Vs);Zf=a(hI,"SPAN",{});var fI=r(Zf);b(ii.$$.fragment,fI),fI.forEach(t),hI.forEach(t),F4=c(g2),Bf=a(g2,"SPAN",{});var uI=r(Bf);L4=i(uI,"Text2TextGenerationPipeline"),uI.forEach(t),g2.forEach(t),Pb=c(n),O=a(n,"DIV",{class:!0});var le=r(O);b(li.$$.fragment,le),O4=c(le),Yf=a(le,"P",{});var gI=r(Yf);N4=i(gI,"Pipeline for text to text generation using seq2seq models."),gI.forEach(t),U4=c(le),b(Hs.$$.fragment,le),G4=c(le),Kf=a(le,"P",{});var _I=r(Kf);Up=a(_I,"A",{href:!0});var bI=r(Up);R4=i(bI,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),bI.forEach(t),_I.forEach(t),Q4=c(le),sn=a(le,"P",{});var Dc=r(sn);V4=i(Dc,"This Text2TextGenerationPipeline pipeline can currently be loaded from "),Gp=a(Dc,"A",{href:!0});var wI=r(Gp);H4=i(wI,"pipeline()"),wI.forEach(t),W4=i(Dc,` using the following task
identifier: `),Xf=a(Dc,"CODE",{});var vI=r(Xf);Z4=i(vI,'"text2text-generation"'),vI.forEach(t),B4=i(Dc,"."),Dc.forEach(t),Y4=c(le),Ws=a(le,"P",{});var Vg=r(Ws);K4=i(Vg,`The models that this pipeline can use are models that have been fine-tuned on a translation task. See the
up-to-date list of available models on
`),pi=a(Vg,"A",{href:!0,rel:!0});var xI=r(pi);X4=i(xI,"huggingface.co/models"),xI.forEach(t),J4=i(Vg,`. For a list of available
parameters, see the `),ci=a(Vg,"A",{href:!0,rel:!0});var kI=r(ci);eE=i(kI,`following
documentation`),kI.forEach(t),Vg.forEach(t),tE=c(le),b(Zs.$$.fragment,le),nE=c(le),Bs=a(le,"DIV",{class:!0});var _2=r(Bs);b(di.$$.fragment,_2),sE=c(_2),Jf=a(_2,"P",{});var PI=r(Jf);aE=i(PI,"Generate the output text(s) using text(s) given as inputs."),PI.forEach(t),_2.forEach(t),rE=c(le),Ys=a(le,"DIV",{class:!0});var b2=r(Ys);b(mi.$$.fragment,b2),oE=c(b2),eu=a(b2,"P",{});var yI=r(eu);iE=i(yI,"Checks whether there might be something wrong with given input with regard to the model."),yI.forEach(t),b2.forEach(t),le.forEach(t),yb=c(n),an=a(n,"H3",{class:!0});var w2=r(an);Ks=a(w2,"A",{id:!0,class:!0,href:!0});var TI=r(Ks);tu=a(TI,"SPAN",{});var $I=r(tu);b(hi.$$.fragment,$I),$I.forEach(t),TI.forEach(t),lE=c(w2),nu=a(w2,"SPAN",{});var jI=r(nu);pE=i(jI,"TokenClassificationPipeline"),jI.forEach(t),w2.forEach(t),Tb=c(n),M=a(n,"DIV",{class:!0});var N=r(M);b(fi.$$.fragment,N),cE=c(N),rn=a(N,"P",{});var Cc=r(rn);dE=i(Cc,"Named Entity Recognition pipeline using any "),su=a(Cc,"CODE",{});var EI=r(su);mE=i(EI,"ModelForTokenClassification"),EI.forEach(t),hE=i(Cc,". See the "),Rp=a(Cc,"A",{href:!0});var qI=r(Rp);fE=i(qI,`named entity recognition
examples`),qI.forEach(t),uE=i(Cc," for more information."),Cc.forEach(t),gE=c(N),b(Xs.$$.fragment,N),_E=c(N),au=a(N,"P",{});var AI=r(au);Qp=a(AI,"A",{href:!0});var DI=r(Qp);bE=i(DI,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),DI.forEach(t),AI.forEach(t),wE=c(N),on=a(N,"P",{});var Ic=r(on);vE=i(Ic,"This token recognition pipeline can currently be loaded from "),Vp=a(Ic,"A",{href:!0});var CI=r(Vp);xE=i(CI,"pipeline()"),CI.forEach(t),kE=i(Ic,` using the following task identifier:
`),ru=a(Ic,"CODE",{});var II=r(ru);PE=i(II,'"ner"'),II.forEach(t),yE=i(Ic," (for predicting the classes of tokens in a sequence: person, organisation, location or miscellaneous)."),Ic.forEach(t),TE=c(N),ui=a(N,"P",{});var v2=r(ui);$E=i(v2,`The models that this pipeline can use are models that have been fine-tuned on a token classification task. See the
up-to-date list of available models on
`),gi=a(v2,"A",{href:!0,rel:!0});var zI=r(gi);jE=i(zI,"huggingface.co/models"),zI.forEach(t),EE=i(v2,"."),v2.forEach(t),qE=c(N),Js=a(N,"DIV",{class:!0});var x2=r(Js);b(_i.$$.fragment,x2),AE=c(x2),ou=a(x2,"P",{});var SI=r(ou);DE=i(SI,"Classify each token of the text(s) given as inputs."),SI.forEach(t),x2.forEach(t),CE=c(N),st=a(N,"DIV",{class:!0});var zc=r(st);b(bi.$$.fragment,zc),IE=c(zc),iu=a(zc,"P",{});var MI=r(iu);zE=i(MI,"Override tokens from a given word that disagree to force agreement on word boundaries."),MI.forEach(t),SE=c(zc),lu=a(zc,"P",{});var FI=r(lu);ME=i(FI,`Example: micro|soft| com|pany| B-ENT I-NAME I-ENT I-ENT will be rewritten with first strategy as microsoft|
company| B-ENT I-ENT`),FI.forEach(t),zc.forEach(t),FE=c(N),ea=a(N,"DIV",{class:!0});var k2=r(ea);b(wi.$$.fragment,k2),LE=c(k2),pu=a(k2,"P",{});var LI=r(pu);OE=i(LI,"Fuse various numpy arrays into dicts with all the information needed for aggregation"),LI.forEach(t),k2.forEach(t),NE=c(N),ta=a(N,"DIV",{class:!0});var P2=r(ta);b(vi.$$.fragment,P2),UE=c(P2),cu=a(P2,"P",{});var OI=r(cu);GE=i(OI,"Find and group together the adjacent tokens with the same entity predicted."),OI.forEach(t),P2.forEach(t),RE=c(N),na=a(N,"DIV",{class:!0});var y2=r(na);b(xi.$$.fragment,y2),QE=c(y2),du=a(y2,"P",{});var NI=r(du);VE=i(NI,"Group together the adjacent tokens with the same entity predicted."),NI.forEach(t),y2.forEach(t),N.forEach(t),$b=c(n),ln=a(n,"H3",{class:!0});var T2=r(ln);sa=a(T2,"A",{id:!0,class:!0,href:!0});var UI=r(sa);mu=a(UI,"SPAN",{});var GI=r(mu);b(ki.$$.fragment,GI),GI.forEach(t),UI.forEach(t),HE=c(T2),hu=a(T2,"SPAN",{});var RI=r(hu);WE=i(RI,"TranslationPipeline"),RI.forEach(t),T2.forEach(t),jb=c(n),he=a(n,"DIV",{class:!0});var Re=r(he);b(Pi.$$.fragment,Re),ZE=c(Re),fu=a(Re,"P",{});var QI=r(fu);BE=i(QI,"Translates from one language to another."),QI.forEach(t),YE=c(Re),pn=a(Re,"P",{});var Sc=r(pn);KE=i(Sc,"This translation pipeline can currently be loaded from "),Hp=a(Sc,"A",{href:!0});var VI=r(Hp);XE=i(VI,"pipeline()"),VI.forEach(t),JE=i(Sc,` using the following task identifier:
`),uu=a(Sc,"CODE",{});var HI=r(uu);eq=i(HI,'"translation_xx_to_yy"'),HI.forEach(t),tq=i(Sc,"."),Sc.forEach(t),nq=c(Re),aa=a(Re,"P",{});var Hg=r(aa);sq=i(Hg,`The models that this pipeline can use are models that have been fine-tuned on a translation task. See the
up-to-date list of available models on `),yi=a(Hg,"A",{href:!0,rel:!0});var WI=r(yi);aq=i(WI,"huggingface.co/models"),WI.forEach(t),rq=i(Hg,`.
For a list of available parameters, see the `),Ti=a(Hg,"A",{href:!0,rel:!0});var ZI=r(Ti);oq=i(ZI,`following
documentation`),ZI.forEach(t),Hg.forEach(t),iq=c(Re),b(ra.$$.fragment,Re),lq=c(Re),oa=a(Re,"DIV",{class:!0});var $2=r(oa);b($i.$$.fragment,$2),pq=c($2),gu=a($2,"P",{});var BI=r(gu);cq=i(BI,"Translate the text(s) given as inputs."),BI.forEach(t),$2.forEach(t),Re.forEach(t),Eb=c(n),cn=a(n,"H3",{class:!0});var j2=r(cn);ia=a(j2,"A",{id:!0,class:!0,href:!0});var YI=r(ia);_u=a(YI,"SPAN",{});var KI=r(_u);b(ji.$$.fragment,KI),KI.forEach(t),YI.forEach(t),dq=c(j2),bu=a(j2,"SPAN",{});var XI=r(bu);mq=i(XI,"VisualQuestionAnsweringPipeline"),XI.forEach(t),j2.forEach(t),qb=c(n),se=a(n,"DIV",{class:!0});var Ie=r(se);b(Ei.$$.fragment,Ie),hq=c(Ie),qi=a(Ie,"P",{});var E2=r(qi);fq=i(E2,"Visual Question Answering pipeline using a "),wu=a(E2,"CODE",{});var JI=r(wu);uq=i(JI,"AutoModelForVisualQuestionAnswering"),JI.forEach(t),gq=i(E2,`. This pipeline is currently only
available in PyTorch.`),E2.forEach(t),_q=c(Ie),b(la.$$.fragment,Ie),bq=c(Ie),vu=a(Ie,"P",{});var ez=r(vu);Wp=a(ez,"A",{href:!0});var tz=r(Wp);wq=i(tz,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),tz.forEach(t),ez.forEach(t),vq=c(Ie),dn=a(Ie,"P",{});var Mc=r(dn);xq=i(Mc,"This visual question answering pipeline can currently be loaded from "),Zp=a(Mc,"A",{href:!0});var nz=r(Zp);kq=i(nz,"pipeline()"),nz.forEach(t),Pq=i(Mc,` using the following task
identifiers: `),xu=a(Mc,"CODE",{});var sz=r(xu);yq=i(sz,'"visual-question-answering", "vqa"'),sz.forEach(t),Tq=i(Mc,"."),Mc.forEach(t),$q=c(Ie),Ai=a(Ie,"P",{});var q2=r(Ai);jq=i(q2,`The models that this pipeline can use are models that have been fine-tuned on a visual question answering task. See
the up-to-date list of available models on
`),Di=a(q2,"A",{href:!0,rel:!0});var az=r(Di);Eq=i(az,"huggingface.co/models"),az.forEach(t),qq=i(q2,"."),q2.forEach(t),Aq=c(Ie),at=a(Ie,"DIV",{class:!0});var Fc=r(at);b(Ci.$$.fragment,Fc),Dq=c(Fc),ku=a(Fc,"P",{});var rz=r(ku);Cq=i(rz,`Answers open-ended questions about images. The pipeline accepts several types of inputs which are detailed
below:`),rz.forEach(t),Iq=c(Fc),Be=a(Fc,"UL",{});var Da=r(Be);Pu=a(Da,"LI",{});var oz=r(Pu);yu=a(oz,"CODE",{});var iz=r(yu);zq=i(iz,"pipeline(image=image, question=question)"),iz.forEach(t),oz.forEach(t),Sq=c(Da),Tu=a(Da,"LI",{});var lz=r(Tu);$u=a(lz,"CODE",{});var pz=r($u);Mq=i(pz,'pipeline({"image": image, "question": question})'),pz.forEach(t),lz.forEach(t),Fq=c(Da),ju=a(Da,"LI",{});var cz=r(ju);Eu=a(cz,"CODE",{});var dz=r(Eu);Lq=i(dz,'pipeline([{"image": image, "question": question}])'),dz.forEach(t),cz.forEach(t),Oq=c(Da),qu=a(Da,"LI",{});var mz=r(qu);Au=a(mz,"CODE",{});var hz=r(Au);Nq=i(hz,'pipeline([{"image": image, "question": question}, {"image": image, "question": question}])'),hz.forEach(t),mz.forEach(t),Da.forEach(t),Fc.forEach(t),Ie.forEach(t),Ab=c(n),mn=a(n,"H3",{class:!0});var A2=r(mn);pa=a(A2,"A",{id:!0,class:!0,href:!0});var fz=r(pa);Du=a(fz,"SPAN",{});var uz=r(Du);b(Ii.$$.fragment,uz),uz.forEach(t),fz.forEach(t),Uq=c(A2),Cu=a(A2,"SPAN",{});var gz=r(Cu);Gq=i(gz,"ZeroShotClassificationPipeline"),gz.forEach(t),A2.forEach(t),Db=c(n),R=a(n,"DIV",{class:!0});var _e=r(R);b(zi.$$.fragment,_e),Rq=c(_e),Ye=a(_e,"P",{});var Ca=r(Ye);Qq=i(Ca,"NLI-based zero-shot classification pipeline using a "),Iu=a(Ca,"CODE",{});var _z=r(Iu);Vq=i(_z,"ModelForSequenceClassification"),_z.forEach(t),Hq=i(Ca,` trained on NLI (natural
language inference) tasks. Equivalent of `),zu=a(Ca,"CODE",{});var bz=r(zu);Wq=i(bz,"text-classification"),bz.forEach(t),Zq=i(Ca,` pipelines, but these models don\u2019t require a
hardcoded number of potential classes, they can be chosen at runtime. It usually means it\u2019s slower but it is
`),Su=a(Ca,"STRONG",{});var wz=r(Su);Bq=i(wz,"much"),wz.forEach(t),Yq=i(Ca," more flexible."),Ca.forEach(t),Kq=c(_e),Ke=a(_e,"P",{});var Ia=r(Ke);Xq=i(Ia,`Any combination of sequences and labels can be passed and each combination will be posed as a premise/hypothesis
pair and passed to the pretrained model. Then, the logit for `),Mu=a(Ia,"EM",{});var vz=r(Mu);Jq=i(vz,"entailment"),vz.forEach(t),e3=i(Ia,` is taken as the logit for the candidate
label being valid. Any NLI model can be used, but the id of the `),Fu=a(Ia,"EM",{});var xz=r(Fu);t3=i(xz,"entailment"),xz.forEach(t),n3=i(Ia,` label must be included in the model
config\u2019s :attr:`),Lu=a(Ia,"EM",{});var kz=r(Lu);s3=i(kz,"~transformers.PretrainedConfig.label2id"),kz.forEach(t),a3=i(Ia,"."),Ia.forEach(t),r3=c(_e),b(ca.$$.fragment,_e),o3=c(_e),Ou=a(_e,"P",{});var Pz=r(Ou);Bp=a(Pz,"A",{href:!0});var yz=r(Bp);i3=i(yz,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),yz.forEach(t),Pz.forEach(t),l3=c(_e),hn=a(_e,"P",{});var Lc=r(hn);p3=i(Lc,"This NLI pipeline can currently be loaded from "),Yp=a(Lc,"A",{href:!0});var Tz=r(Yp);c3=i(Tz,"pipeline()"),Tz.forEach(t),d3=i(Lc,` using the following task identifier:
`),Nu=a(Lc,"CODE",{});var $z=r(Nu);m3=i($z,'"zero-shot-classification"'),$z.forEach(t),h3=i(Lc,"."),Lc.forEach(t),f3=c(_e),Si=a(_e,"P",{});var D2=r(Si);u3=i(D2,`The models that this pipeline can use are models that have been fine-tuned on an NLI task. See the up-to-date list
of available models on `),Mi=a(D2,"A",{href:!0,rel:!0});var jz=r(Mi);g3=i(jz,"huggingface.co/models"),jz.forEach(t),_3=i(D2,"."),D2.forEach(t),b3=c(_e),da=a(_e,"DIV",{class:!0});var C2=r(da);b(Fi.$$.fragment,C2),w3=c(C2),Li=a(C2,"P",{});var I2=r(Li);v3=i(I2,"Classify the sequence(s) given as inputs. See the "),Kp=a(I2,"A",{href:!0});var Ez=r(Kp);x3=i(Ez,"ZeroShotClassificationPipeline"),Ez.forEach(t),k3=i(I2,` documentation for more
information.`),I2.forEach(t),C2.forEach(t),_e.forEach(t),Cb=c(n),fn=a(n,"H3",{class:!0});var z2=r(fn);ma=a(z2,"A",{id:!0,class:!0,href:!0});var qz=r(ma);Uu=a(qz,"SPAN",{});var Az=r(Uu);b(Oi.$$.fragment,Az),Az.forEach(t),qz.forEach(t),P3=c(z2),Gu=a(z2,"SPAN",{});var Dz=r(Gu);y3=i(Dz,"ZeroShotImageClassificationPipeline"),Dz.forEach(t),z2.forEach(t),Ib=c(n),ae=a(n,"DIV",{class:!0});var ze=r(ae);b(Ni.$$.fragment,ze),T3=c(ze),un=a(ze,"P",{});var Oc=r(un);$3=i(Oc,"Zero shot image classification pipeline using "),Ru=a(Oc,"CODE",{});var Cz=r(Ru);j3=i(Cz,"CLIPModel"),Cz.forEach(t),E3=i(Oc,`. This pipeline predicts the class of an image when you
provide an image and a set of `),Qu=a(Oc,"CODE",{});var Iz=r(Qu);q3=i(Iz,"candidate_labels"),Iz.forEach(t),A3=i(Oc,"."),Oc.forEach(t),D3=c(ze),b(ha.$$.fragment,ze),C3=c(ze),Vu=a(ze,"P",{});var zz=r(Vu);Xp=a(zz,"A",{href:!0});var Sz=r(Xp);I3=i(Sz,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),Sz.forEach(t),zz.forEach(t),z3=c(ze),gn=a(ze,"P",{});var Nc=r(gn);S3=i(Nc,"This image classification pipeline can currently be loaded from "),Jp=a(Nc,"A",{href:!0});var Mz=r(Jp);M3=i(Mz,"pipeline()"),Mz.forEach(t),F3=i(Nc,` using the following task identifier:
`),Hu=a(Nc,"CODE",{});var Fz=r(Hu);L3=i(Fz,'"zero-shot-image-classification"'),Fz.forEach(t),O3=i(Nc,"."),Nc.forEach(t),N3=c(ze),Ui=a(ze,"P",{});var S2=r(Ui);U3=i(S2,`See the list of available models on
`),Gi=a(S2,"A",{href:!0,rel:!0});var Lz=r(Gi);G3=i(Lz,"huggingface.co/models"),Lz.forEach(t),R3=i(S2,"."),S2.forEach(t),Q3=c(ze),fa=a(ze,"DIV",{class:!0});var M2=r(fa);b(Ri.$$.fragment,M2),V3=c(M2),Wu=a(M2,"P",{});var Oz=r(Wu);H3=i(Oz,"Assign labels to the image(s) passed as inputs."),Oz.forEach(t),M2.forEach(t),ze.forEach(t),zb=c(n),_n=a(n,"H3",{class:!0});var F2=r(_n);ua=a(F2,"A",{id:!0,class:!0,href:!0});var Nz=r(ua);Zu=a(Nz,"SPAN",{});var Uz=r(Zu);b(Qi.$$.fragment,Uz),Uz.forEach(t),Nz.forEach(t),W3=c(F2),Bu=a(F2,"SPAN",{});var Gz=r(Bu);Z3=i(Gz,"ZeroShotObjectDetectionPipeline"),Gz.forEach(t),F2.forEach(t),Sb=c(n),re=a(n,"DIV",{class:!0});var Se=r(re);b(Vi.$$.fragment,Se),B3=c(Se),bn=a(Se,"P",{});var Uc=r(bn);Y3=i(Uc,"Zero shot object detection pipeline using "),Yu=a(Uc,"CODE",{});var Rz=r(Yu);K3=i(Rz,"OwlViTForObjectDetection"),Rz.forEach(t),X3=i(Uc,`. This pipeline predicts bounding boxes of
objects when you provide an image and a set of `),Ku=a(Uc,"CODE",{});var Qz=r(Ku);J3=i(Qz,"candidate_labels"),Qz.forEach(t),e5=i(Uc,"."),Uc.forEach(t),t5=c(Se),b(ga.$$.fragment,Se),n5=c(Se),Xu=a(Se,"P",{});var Vz=r(Xu);ec=a(Vz,"A",{href:!0});var Hz=r(ec);s5=i(Hz,"Learn more about the basics of using a pipeline in the [pipeline tutorial]"),Hz.forEach(t),Vz.forEach(t),a5=c(Se),wn=a(Se,"P",{});var Gc=r(wn);r5=i(Gc,"This object detection pipeline can currently be loaded from "),tc=a(Gc,"A",{href:!0});var Wz=r(tc);o5=i(Wz,"pipeline()"),Wz.forEach(t),i5=i(Gc,` using the following task identifier:
`),Ju=a(Gc,"CODE",{});var Zz=r(Ju);l5=i(Zz,'"zero-shot-object-detection"'),Zz.forEach(t),p5=i(Gc,"."),Gc.forEach(t),c5=c(Se),Hi=a(Se,"P",{});var L2=r(Hi);d5=i(L2,`See the list of available models on
`),Wi=a(L2,"A",{href:!0,rel:!0});var Bz=r(Wi);m5=i(Bz,"huggingface.co/models"),Bz.forEach(t),h5=i(L2,"."),L2.forEach(t),f5=c(Se),_a=a(Se,"DIV",{class:!0});var O2=r(_a);b(Zi.$$.fragment,O2),u5=c(O2),eg=a(O2,"P",{});var Yz=r(eg);g5=i(Yz,"Detect objects (bounding boxes & classes) in the image(s) passed as inputs."),Yz.forEach(t),O2.forEach(t),Se.forEach(t),Mb=c(n),vn=a(n,"H2",{class:!0});var N2=r(vn);ba=a(N2,"A",{id:!0,class:!0,href:!0});var Kz=r(ba);tg=a(Kz,"SPAN",{});var Xz=r(tg);b(Bi.$$.fragment,Xz),Xz.forEach(t),Kz.forEach(t),_5=c(N2),nc=a(N2,"SPAN",{});var w6=r(nc);b5=i(w6,"Parent class: "),ng=a(w6,"CODE",{});var Jz=r(ng);w5=i(Jz,"Pipeline"),Jz.forEach(t),w6.forEach(t),N2.forEach(t),Fb=c(n),D=a(n,"DIV",{class:!0});var S=r(D);b(Yi.$$.fragment,S),v5=c(S),sg=a(S,"P",{});var eS=r(sg);x5=i(eS,`The Pipeline class is the class from which all pipelines inherit. Refer to this class for methods shared across
different pipelines.`),eS.forEach(t),k5=c(S),ag=a(S,"P",{});var tS=r(ag);P5=i(tS,`Base class implementing pipelined operations. Pipeline workflow is defined as a sequence of the following
operations:`),tS.forEach(t),y5=c(S),rg=a(S,"P",{});var nS=r(rg);T5=i(nS,"Input -> Tokenization -> Model Inference -> Post-Processing (task dependent) -> Output"),nS.forEach(t),$5=c(S),og=a(S,"P",{});var sS=r(og);j5=i(sS,"Pipeline supports running on CPU or GPU through the device argument (see below)."),sS.forEach(t),E5=c(S),Le=a(S,"P",{});var ct=r(Le);q5=i(ct,"Some pipeline, like for instance "),sc=a(ct,"A",{href:!0});var aS=r(sc);A5=i(aS,"FeatureExtractionPipeline"),aS.forEach(t),D5=i(ct," ("),ig=a(ct,"CODE",{});var rS=r(ig);C5=i(rS,"'feature-extraction'"),rS.forEach(t),I5=i(ct,`) output large tensor object
as nested-lists. In order to avoid dumping such large structure as textual data we provide the `),lg=a(ct,"CODE",{});var oS=r(lg);z5=i(oS,"binary_output"),oS.forEach(t),S5=i(ct,`
constructor argument. If set to `),pg=a(ct,"CODE",{});var iS=r(pg);M5=i(iS,"True"),iS.forEach(t),F5=i(ct,", the output will be stored in the pickle format."),ct.forEach(t),L5=c(S),wa=a(S,"DIV",{class:!0});var U2=r(wa);b(Ki.$$.fragment,U2),O5=c(U2),cg=a(U2,"P",{});var lS=r(cg);N5=i(lS,"Check if the model class is in supported by the pipeline."),lS.forEach(t),U2.forEach(t),U5=c(S),rt=a(S,"DIV",{class:!0});var Rc=r(rt);b(Xi.$$.fragment,Rc),G5=c(Rc),dg=a(Rc,"P",{});var pS=r(dg);R5=i(pS,"Context Manager allowing tensor allocation on the user-specified device in framework agnostic way."),pS.forEach(t),Q5=c(Rc),b(va.$$.fragment,Rc),Rc.forEach(t),V5=c(S),xa=a(S,"DIV",{class:!0});var G2=r(xa);b(Ji.$$.fragment,G2),H5=c(G2),mg=a(G2,"P",{});var cS=r(mg);W5=i(cS,"Ensure PyTorch tensors are on the specified device."),cS.forEach(t),G2.forEach(t),Z5=c(S),ka=a(S,"DIV",{class:!0});var R2=r(ka);b(el.$$.fragment,R2),B5=c(R2),tl=a(R2,"P",{});var Q2=r(tl);Y5=i(Q2,"Postprocess will receive the raw outputs of the "),hg=a(Q2,"CODE",{});var dS=r(hg);K5=i(dS,"_forward"),dS.forEach(t),X5=i(Q2,` method, generally tensors, and reformat them into
something more friendly. Generally it will output a list or a dict or results (containing just strings and
numbers).`),Q2.forEach(t),R2.forEach(t),J5=c(S),Pa=a(S,"DIV",{class:!0});var V2=r(Pa);b(nl.$$.fragment,V2),e6=c(V2),sl=a(V2,"P",{});var H2=r(sl);t6=i(H2,"Scikit / Keras interface to transformers\u2019 pipelines. This method will forward to "),fg=a(H2,"STRONG",{});var mS=r(fg);n6=i(mS,"call"),mS.forEach(t),s6=i(H2,"()."),H2.forEach(t),V2.forEach(t),a6=c(S),ya=a(S,"DIV",{class:!0});var W2=r(ya);b(al.$$.fragment,W2),r6=c(W2),xn=a(W2,"P",{});var Qc=r(xn);o6=i(Qc,"Preprocess will take the "),ug=a(Qc,"CODE",{});var hS=r(ug);i6=i(hS,"input_"),hS.forEach(t),l6=i(Qc,` of a specific pipeline and return a dictionnary of everything necessary for
`),gg=a(Qc,"CODE",{});var fS=r(gg);p6=i(fS,"_forward"),fS.forEach(t),c6=i(Qc," to run properly. It should contain at least one tensor, but might have arbitrary other items."),Qc.forEach(t),W2.forEach(t),d6=c(S),Ta=a(S,"DIV",{class:!0});var Z2=r(Ta);b(rl.$$.fragment,Z2),m6=c(Z2),_g=a(Z2,"P",{});var uS=r(_g);h6=i(uS,"Save the pipeline\u2019s model and tokenizer."),uS.forEach(t),Z2.forEach(t),f6=c(S),$a=a(S,"DIV",{class:!0});var B2=r($a);b(ol.$$.fragment,B2),u6=c(B2),il=a(B2,"P",{});var Y2=r(il);g6=i(Y2,"Scikit / Keras interface to transformers\u2019 pipelines. This method will forward to "),bg=a(Y2,"STRONG",{});var gS=r(bg);_6=i(gS,"call"),gS.forEach(t),b6=i(Y2,"()."),Y2.forEach(t),B2.forEach(t),S.forEach(t),this.h()},h(){d(u,"name","hf:doc:metadata"),d(u,"content",JSON.stringify(nM)),d(h,"id","pipelines"),d(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(h,"href","#pipelines"),d(P,"class","relative group"),d(fl,"href","../task_summary"),d(gl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(_l,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.AudioClassificationPipeline"),d(bl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.AutomaticSpeechRecognitionPipeline"),d(wl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ConversationalPipeline"),d(vl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.DepthEstimationPipeline"),d(xl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.DocumentQuestionAnsweringPipeline"),d(kl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.FeatureExtractionPipeline"),d(Pl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.FillMaskPipeline"),d(yl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ImageClassificationPipeline"),d(Tl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ImageSegmentationPipeline"),d($l,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ImageToTextPipeline"),d(jl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ObjectDetectionPipeline"),d(El,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.QuestionAnsweringPipeline"),d(ql,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.SummarizationPipeline"),d(Al,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.TableQuestionAnsweringPipeline"),d(Dl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.TextClassificationPipeline"),d(Cl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.TextGenerationPipeline"),d(Il,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.Text2TextGenerationPipeline"),d(zl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.TokenClassificationPipeline"),d(Sl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.TranslationPipeline"),d(Ml,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.VisualQuestionAnsweringPipeline"),d(Fl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ZeroShotClassificationPipeline"),d(Ll,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ZeroShotImageClassificationPipeline"),d(Ol,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ZeroShotObjectDetectionPipeline"),d(yn,"id","transformers.pipeline"),d(yn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(yn,"href","#transformers.pipeline"),d(dt,"class","relative group"),d(La,"href","https://huggingface.co"),d(La,"rel","nofollow"),d(Gl,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.Pipeline"),d(Rl,"href","tokenizer"),d(Ql,"href","model"),d(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(An,"id","pipeline-batching"),d(An,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(An,"href","#pipeline-batching"),d(ht,"class","relative group"),d(In,"id","pipeline-chunk-batching"),d(In,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(In,"href","#pipeline-chunk-batching"),d(ut,"class","relative group"),d(Sn,"id","pipeline-custom-code"),d(Sn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Sn,"href","#pipeline-custom-code"),d(gt,"class","relative group"),d(Fn,"id","implementing-a-pipeline"),d(Fn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Fn,"href","#implementing-a-pipeline"),d(_t,"class","relative group"),d(tp,"href","../add_new_pipeline"),d(Ln,"id","the-task-specific-pipelines"),d(Ln,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ln,"href","#the-task-specific-pipelines"),d(bt,"class","relative group"),d(On,"id","transformers.AudioClassificationPipeline"),d(On,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(On,"href","#transformers.AudioClassificationPipeline"),d(wt,"class","relative group"),d(np,"href","../pipeline_tutorial"),d(sp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(dr,"href","https://huggingface.co/models?filter=audio-classification"),d(dr,"rel","nofollow"),d(ap,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.AutomaticSpeechRecognitionPipeline"),d(Un,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Gn,"id","transformers.AutomaticSpeechRecognitionPipeline"),d(Gn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Gn,"href","#transformers.AutomaticSpeechRecognitionPipeline"),d(xt,"class","relative group"),d(rp,"href","../pipeline_tutorial"),d(op,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.AutomaticSpeechRecognitionPipeline"),d(Qn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Vn,"id","transformers.Conversation"),d(Vn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Vn,"href","#transformers.Conversation"),d(kt,"class","relative group"),d(ip,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ConversationalPipeline"),d(lp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ConversationalPipeline"),d(Wn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Zn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Bn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pp,"href","../pipeline_tutorial"),d(cp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d($r,"href","https://huggingface.co/models?filter=conversational"),d($r,"rel","nofollow"),d(Kn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Xn,"id","transformers.DepthEstimationPipeline"),d(Xn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Xn,"href","#transformers.DepthEstimationPipeline"),d(yt,"class","relative group"),d(dp,"href","../pipeline_tutorial"),d(mp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Cr,"href","https://huggingface.co/models?filter=depth-estimation"),d(Cr,"rel","nofollow"),d(es,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ts,"id","transformers.DocumentQuestionAnsweringPipeline"),d(ts,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ts,"href","#transformers.DocumentQuestionAnsweringPipeline"),d($t,"class","relative group"),d(hp,"href","../pipeline_tutorial"),d(fp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Lr,"href","https://huggingface.co/models?filter=document-question-answering"),d(Lr,"rel","nofollow"),d(Oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ss,"id","transformers.FeatureExtractionPipeline"),d(ss,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ss,"href","#transformers.FeatureExtractionPipeline"),d(Et,"class","relative group"),d(up,"href","../pipeline_tutorial"),d(gp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Qr,"href","https://huggingface.co/models"),d(Qr,"rel","nofollow"),d(rs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(os,"id","transformers.FillMaskPipeline"),d(os,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(os,"href","#transformers.FillMaskPipeline"),d(At,"class","relative group"),d(_p,"href","../task_summary#masked-language-modeling"),d(bp,"href","../pipeline_tutorial"),d(wp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Br,"href","https://huggingface.co/models?filter=fill-mask"),d(Br,"rel","nofollow"),d(ps,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(cs,"id","transformers.ImageClassificationPipeline"),d(cs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(cs,"href","#transformers.ImageClassificationPipeline"),d(It,"class","relative group"),d(vp,"href","../pipeline_tutorial"),d(xp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(to,"href","https://huggingface.co/models?filter=image-classification"),d(to,"rel","nofollow"),d(ms,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(hs,"id","transformers.ImageSegmentationPipeline"),d(hs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(hs,"href","#transformers.ImageSegmentationPipeline"),d(St,"class","relative group"),d(kp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(io,"href","https://huggingface.co/models?filter=image-segmentation"),d(io,"rel","nofollow"),d(us,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(gs,"id","transformers.ImageToTextPipeline"),d(gs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(gs,"href","#transformers.ImageToTextPipeline"),d(Ft,"class","relative group"),d(Pp,"href","../pipeline_tutorial"),d(fo,"href","https://huggingface.co/models?pipeline_tag=image-to-text"),d(fo,"rel","nofollow"),d(bs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ws,"id","transformers.TokenClassificationPipeline"),d(ws,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ws,"href","#transformers.TokenClassificationPipeline"),d(Lt,"class","relative group"),d(yp,"href","../task_summary#named-entity-recognition"),d(Tp,"href","../pipeline_tutorial"),d($p,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(wo,"href","https://huggingface.co/models?filter=token-classification"),d(wo,"rel","nofollow"),d(tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(xs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ks,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ps,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(jp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.TokenClassificationPipeline"),d(Ts,"id","transformers.ObjectDetectionPipeline"),d(Ts,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ts,"href","#transformers.ObjectDetectionPipeline"),d(Ut,"class","relative group"),d(Ep,"href","../pipeline_tutorial"),d(qp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Eo,"href","https://huggingface.co/models?filter=object-detection"),d(Eo,"rel","nofollow"),d(js,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Es,"id","transformers.QuestionAnsweringPipeline"),d(Es,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Es,"href","#transformers.QuestionAnsweringPipeline"),d(Rt,"class","relative group"),d(Ap,"href","../task_summary#question-answering"),d(Dp,"href","../pipeline_tutorial"),d(Cp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Io,"href","https://huggingface.co/models?filter=question-answering"),d(Io,"rel","nofollow"),d(As,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ds,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Cs,"id","transformers.SummarizationPipeline"),d(Cs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Cs,"href","#transformers.SummarizationPipeline"),d(Wt,"class","relative group"),d(Ip,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Oo,"href","https://huggingface.co/models?filter=summarization"),d(Oo,"rel","nofollow"),d(No,"href","https://huggingface.co/docs/transformers/en/main_classes/text_generation#transformers.generation.GenerationMixin.generate"),d(No,"rel","nofollow"),d(zs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ss,"id","transformers.TableQuestionAnsweringPipeline"),d(Ss,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ss,"href","#transformers.TableQuestionAnsweringPipeline"),d(Bt,"class","relative group"),d(zp,"href","../pipeline_tutorial"),d(Sp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Ho,"href","https://huggingface.co/models?filter=table-question-answering"),d(Ho,"rel","nofollow"),d(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Os,"id","transformers.TextClassificationPipeline"),d(Os,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Os,"href","#transformers.TextClassificationPipeline"),d(Kt,"class","relative group"),d(Mp,"href","../task_summary#sequence-classification"),d(Fp,"href","../pipeline_tutorial"),d(Lp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Jo,"href","https://huggingface.co/models?filter=text-classification"),d(Jo,"rel","nofollow"),d(Us,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Gs,"id","transformers.TextGenerationPipeline"),d(Gs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Gs,"href","#transformers.TextGenerationPipeline"),d(en,"class","relative group"),d(Op,"href","../pipeline_tutorial"),d(Np,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(ri,"href","https://huggingface.co/models?filter=text-generation"),d(ri,"rel","nofollow"),d(Qs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Vs,"id","transformers.Text2TextGenerationPipeline"),d(Vs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Vs,"href","#transformers.Text2TextGenerationPipeline"),d(nn,"class","relative group"),d(Up,"href","../pipeline_tutorial"),d(Gp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(pi,"href","https://huggingface.co/models?filter=text2text-generation"),d(pi,"rel","nofollow"),d(ci,"href","https://huggingface.co/docs/transformers/en/main_classes/text_generation#transformers.generation.GenerationMixin.generate"),d(ci,"rel","nofollow"),d(Bs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ys,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ks,"id","transformers.TokenClassificationPipeline"),d(Ks,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ks,"href","#transformers.TokenClassificationPipeline"),d(an,"class","relative group"),d(Rp,"href","../task_summary#named-entity-recognition"),d(Qp,"href","../pipeline_tutorial"),d(Vp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(gi,"href","https://huggingface.co/models?filter=token-classification"),d(gi,"rel","nofollow"),d(Js,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ea,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ta,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(na,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(sa,"id","transformers.TranslationPipeline"),d(sa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(sa,"href","#transformers.TranslationPipeline"),d(ln,"class","relative group"),d(Hp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(yi,"href","https://huggingface.co/models?filter=translation"),d(yi,"rel","nofollow"),d(Ti,"href","https://huggingface.co/docs/transformers/en/main_classes/text_generation#transformers.generation.GenerationMixin.generate"),d(Ti,"rel","nofollow"),d(oa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ia,"id","transformers.VisualQuestionAnsweringPipeline"),d(ia,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ia,"href","#transformers.VisualQuestionAnsweringPipeline"),d(cn,"class","relative group"),d(Wp,"href","../pipeline_tutorial"),d(Zp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Di,"href","https://huggingface.co/models?filter=visual-question-answering"),d(Di,"rel","nofollow"),d(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pa,"id","transformers.ZeroShotClassificationPipeline"),d(pa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(pa,"href","#transformers.ZeroShotClassificationPipeline"),d(mn,"class","relative group"),d(Bp,"href","../pipeline_tutorial"),d(Yp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Mi,"href","https://huggingface.co/models?search=nli"),d(Mi,"rel","nofollow"),d(Kp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.ZeroShotClassificationPipeline"),d(da,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ma,"id","transformers.ZeroShotImageClassificationPipeline"),d(ma,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ma,"href","#transformers.ZeroShotImageClassificationPipeline"),d(fn,"class","relative group"),d(Xp,"href","../pipeline_tutorial"),d(Jp,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Gi,"href","https://huggingface.co/models?filter=zero-shot-image-classification"),d(Gi,"rel","nofollow"),d(fa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ua,"id","transformers.ZeroShotObjectDetectionPipeline"),d(ua,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ua,"href","#transformers.ZeroShotObjectDetectionPipeline"),d(_n,"class","relative group"),d(ec,"href","../pipeline_tutorial"),d(tc,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.pipeline"),d(Wi,"href","https://huggingface.co/models?filter=zero-shot-object-detection"),d(Wi,"rel","nofollow"),d(_a,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ba,"id","transformers.Pipeline"),d(ba,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ba,"href","#transformers.Pipeline"),d(vn,"class","relative group"),d(sc,"href","/docs/transformers/main/en/main_classes/pipelines#transformers.FeatureExtractionPipeline"),d(wa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(xa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ka,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Pa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ya,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ta,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d($a,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(n,m){e(document.head,u),f(n,T,m),f(n,P,m),e(P,h),e(h,y),w(l,y,null),e(P,g),e(P,Qe),e(Qe,K2),f(n,Wg,m),f(n,kn,m),e(kn,X2),e(kn,fl),e(fl,J2),e(kn,ev),f(n,Zg,m),f(n,ul,m),e(ul,tv),f(n,Bg,m),f(n,Pn,m),e(Pn,Vc),e(Vc,za),e(za,nv),e(za,gl),e(gl,sv),e(za,av),e(Pn,rv),e(Pn,Sa),e(Sa,Hc),e(Hc,ov),e(Sa,iv),e(Sa,E),e(E,Wc),e(Wc,_l),e(_l,lv),e(E,pv),e(E,Zc),e(Zc,bl),e(bl,cv),e(E,dv),e(E,Bc),e(Bc,wl),e(wl,mv),e(E,hv),e(E,Yc),e(Yc,vl),e(vl,fv),e(E,uv),e(E,Kc),e(Kc,xl),e(xl,gv),e(E,_v),e(E,Xc),e(Xc,kl),e(kl,bv),e(E,wv),e(E,Jc),e(Jc,Pl),e(Pl,vv),e(E,xv),e(E,ed),e(ed,yl),e(yl,kv),e(E,Pv),e(E,td),e(td,Tl),e(Tl,yv),e(E,Tv),e(E,nd),e(nd,$l),e($l,$v),e(E,jv),e(E,sd),e(sd,jl),e(jl,Ev),e(E,qv),e(E,ad),e(ad,El),e(El,Av),e(E,Dv),e(E,rd),e(rd,ql),e(ql,Cv),e(E,Iv),e(E,od),e(od,Al),e(Al,zv),e(E,Sv),e(E,id),e(id,Dl),e(Dl,Mv),e(E,Fv),e(E,ld),e(ld,Cl),e(Cl,Lv),e(E,Ov),e(E,pd),e(pd,Il),e(Il,Nv),e(E,Uv),e(E,cd),e(cd,zl),e(zl,Gv),e(E,Rv),e(E,dd),e(dd,Sl),e(Sl,Qv),e(E,Vv),e(E,md),e(md,Ml),e(Ml,Hv),e(E,Wv),e(E,hd),e(hd,Fl),e(Fl,Zv),e(E,Bv),e(E,fd),e(fd,Ll),e(Ll,Yv),e(E,Kv),e(E,ud),e(ud,Ol),e(Ol,Xv),f(n,Yg,m),f(n,dt,m),e(dt,yn),e(yn,gd),w(Ma,gd,null),e(dt,Jv),e(dt,_d),e(_d,ex),f(n,Kg,m),f(n,Tn,m),e(Tn,tx),e(Tn,bd),e(bd,nx),e(Tn,sx),f(n,Xg,m),f(n,Nl,m),e(Nl,ax),f(n,Jg,m),w(Fa,n,m),f(n,e_,m),f(n,$n,m),e($n,rx),e($n,La),e(La,ox),e($n,ix),f(n,t_,m),w(Oa,n,m),f(n,n_,m),f(n,jn,m),e(jn,lx),e(jn,wd),e(wd,px),e(jn,cx),f(n,s_,m),w(Na,n,m),f(n,a_,m),f(n,En,m),e(En,dx),e(En,vd),e(vd,mx),e(En,hx),f(n,r_,m),w(Ua,n,m),f(n,o_,m),f(n,Ul,m),e(Ul,fx),f(n,i_,m),w(Ga,n,m),f(n,l_,m),f(n,be,m),w(Ra,be,null),e(be,ux),e(be,Qa),e(Qa,gx),e(Qa,Gl),e(Gl,_x),e(Qa,bx),e(be,wx),e(be,xd),e(xd,vx),e(be,xx),e(be,mt),e(mt,Va),e(Va,kx),e(Va,Rl),e(Rl,Px),e(Va,yx),e(mt,Tx),e(mt,Ha),e(Ha,$x),e(Ha,Ql),e(Ql,jx),e(Ha,Ex),e(mt,qx),e(mt,kd),e(kd,Ax),e(be,Dx),w(qn,be,null),f(n,p_,m),f(n,ht,m),e(ht,An),e(An,Pd),w(Wa,Pd,null),e(ht,Cx),e(ht,yd),e(yd,Ix),f(n,c_,m),f(n,Xe,m),e(Xe,zx),e(Xe,Td),e(Td,Sx),e(Xe,Mx),e(Xe,$d),e($d,Fx),e(Xe,Lx),f(n,d_,m),w(Za,n,m),f(n,m_,m),w(Dn,n,m),f(n,h_,m),w(Ba,n,m),f(n,f_,m),w(Ya,n,m),f(n,u_,m),f(n,Vl,m),e(Vl,Ox),f(n,g_,m),w(Ka,n,m),f(n,__,m),f(n,Cn,m),e(Cn,Nx),e(Cn,jd),e(jd,Ux),e(Cn,Gx),f(n,b_,m),w(Xa,n,m),f(n,w_,m),f(n,Hl,m),e(Hl,Rx),f(n,v_,m),f(n,Wl,m),e(Wl,Qx),f(n,x_,m),f(n,we,m),e(we,Ed),e(Ed,qd),e(qd,Ad),e(Ad,Vx),e(we,Hx),e(we,Dd),e(Dd,Cd),e(Cd,Wx),e(we,Zx),e(we,Id),e(Id,zd),e(zd,Bx),e(we,Yx),e(we,Ja),e(Ja,Sd),e(Sd,Kx),e(Ja,Xx),e(Ja,ft),e(ft,Md),e(Md,Jx),e(ft,e1),e(ft,Fd),e(Fd,t1),e(ft,n1),e(ft,Ld),e(Ld,s1),e(we,a1),e(we,Od),e(Od,Nd),e(Nd,r1),f(n,k_,m),f(n,ut,m),e(ut,In),e(In,Ud),w(er,Ud,null),e(ut,o1),e(ut,Gd),e(Gd,i1),f(n,P_,m),f(n,Ve,m),e(Ve,Rd),e(Rd,l1),e(Ve,p1),e(Ve,Qd),e(Qd,c1),e(Ve,d1),e(Ve,Vd),e(Vd,m1),e(Ve,h1),f(n,y_,m),f(n,Je,m),e(Je,f1),e(Je,Hd),e(Hd,u1),e(Je,g1),e(Je,Wd),e(Wd,_1),e(Je,b1),f(n,T_,m),w(tr,n,m),f(n,$_,m),f(n,Zl,m),e(Zl,w1),f(n,j_,m),w(nr,n,m),f(n,E_,m),f(n,Bl,m),e(Bl,v1),f(n,q_,m),f(n,zn,m),e(zn,x1),e(zn,Zd),e(Zd,k1),e(zn,P1),f(n,A_,m),f(n,gt,m),e(gt,Sn),e(Sn,Bd),w(sr,Bd,null),e(gt,y1),e(gt,Yd),e(Yd,T1),f(n,D_,m),f(n,Yl,m),e(Yl,$1),f(n,C_,m),f(n,Mn,m),e(Mn,j1),e(Mn,Kd),e(Kd,E1),e(Mn,q1),f(n,I_,m),f(n,Kl,m),e(Kl,A1),f(n,z_,m),f(n,Xl,m),e(Xl,Xd),e(Xd,D1),f(n,S_,m),w(ar,n,m),f(n,M_,m),f(n,Jl,m),e(Jl,C1),f(n,F_,m),f(n,_t,m),e(_t,Fn),e(Fn,Jd),w(rr,Jd,null),e(_t,I1),e(_t,em),e(em,z1),f(n,L_,m),f(n,ep,m),e(ep,tp),e(tp,S1),f(n,O_,m),f(n,bt,m),e(bt,Ln),e(Ln,tm),w(or,tm,null),e(bt,M1),e(bt,nm),e(nm,F1),f(n,N_,m),f(n,wt,m),e(wt,On),e(On,sm),w(ir,sm,null),e(wt,L1),e(wt,am),e(am,O1),f(n,U_,m),f(n,H,m),w(lr,H,null),e(H,N1),e(H,pr),e(pr,U1),e(pr,rm),e(rm,G1),e(pr,R1),e(H,Q1),w(Nn,H,null),e(H,V1),e(H,om),e(om,np),e(np,H1),e(H,W1),e(H,vt),e(vt,Z1),e(vt,sp),e(sp,B1),e(vt,Y1),e(vt,im),e(im,K1),e(vt,X1),e(H,J1),e(H,cr),e(cr,ek),e(cr,dr),e(dr,tk),e(cr,nk),e(H,sk),e(H,Un),w(mr,Un,null),e(Un,ak),e(Un,hr),e(hr,rk),e(hr,ap),e(ap,ok),e(hr,ik),f(n,G_,m),f(n,xt,m),e(xt,Gn),e(Gn,lm),w(fr,lm,null),e(xt,lk),e(xt,pm),e(pm,pk),f(n,R_,m),f(n,pe,m),w(ur,pe,null),e(pe,ck),e(pe,cm),e(cm,dk),e(pe,mk),e(pe,dm),e(dm,hk),e(pe,fk),w(Rn,pe,null),e(pe,uk),e(pe,mm),e(mm,rp),e(rp,gk),e(pe,_k),e(pe,Qn),w(gr,Qn,null),e(Qn,bk),e(Qn,_r),e(_r,wk),e(_r,op),e(op,vk),e(_r,xk),f(n,Q_,m),f(n,kt,m),e(kt,Vn),e(Vn,hm),w(br,hm,null),e(kt,kk),e(kt,fm),e(fm,Pk),f(n,V_,m),f(n,W,m),w(wr,W,null),e(W,yk),e(W,He),e(He,Tk),e(He,ip),e(ip,$k),e(He,jk),e(He,lp),e(lp,Ek),e(He,qk),e(He,um),e(um,Ak),e(He,Dk),e(W,Ck),w(Hn,W,null),e(W,Ik),e(W,Wn),w(vr,Wn,null),e(Wn,zk),e(Wn,xr),e(xr,Sk),e(xr,gm),e(gm,Mk),e(xr,Fk),e(W,Lk),e(W,Zn),w(kr,Zn,null),e(Zn,Ok),e(Zn,_m),e(_m,Nk),e(W,Uk),e(W,et),w(Pr,et,null),e(et,Gk),e(et,bm),e(bm,Rk),e(et,Qk),e(et,Me),e(Me,Vk),e(Me,wm),e(wm,Hk),e(Me,Wk),e(Me,vm),e(vm,Zk),e(Me,Bk),e(Me,xm),e(xm,Yk),e(Me,Kk),e(Me,km),e(km,Xk),e(Me,Jk),e(W,eP),e(W,Bn),w(yr,Bn,null),e(Bn,tP),e(Bn,We),e(We,nP),e(We,Pm),e(Pm,sP),e(We,aP),e(We,ym),e(ym,rP),e(We,oP),e(We,Tm),e(Tm,iP),e(We,lP),f(n,H_,m),f(n,Z,m),w(Tr,Z,null),e(Z,pP),e(Z,$m),e($m,cP),e(Z,dP),w(Yn,Z,null),e(Z,mP),e(Z,jm),e(jm,pp),e(pp,hP),e(Z,fP),e(Z,Pt),e(Pt,uP),e(Pt,cp),e(cp,gP),e(Pt,_P),e(Pt,Em),e(Em,bP),e(Pt,wP),e(Z,vP),e(Z,Fe),e(Fe,xP),e(Fe,qm),e(qm,kP),e(Fe,PP),e(Fe,Am),e(Am,yP),e(Fe,TP),e(Fe,Dm),e(Dm,$P),e(Fe,jP),e(Fe,$r),e($r,EP),e(Fe,qP),e(Z,AP),e(Z,Kn),w(jr,Kn,null),e(Kn,DP),e(Kn,Cm),e(Cm,CP),f(n,W_,m),f(n,yt,m),e(yt,Xn),e(Xn,Im),w(Er,Im,null),e(yt,IP),e(yt,zm),e(zm,zP),f(n,Z_,m),f(n,B,m),w(qr,B,null),e(B,SP),e(B,Ar),e(Ar,MP),e(Ar,Sm),e(Sm,FP),e(Ar,LP),e(B,OP),w(Jn,B,null),e(B,NP),e(B,Mm),e(Mm,dp),e(dp,UP),e(B,GP),e(B,Tt),e(Tt,RP),e(Tt,mp),e(mp,QP),e(Tt,VP),e(Tt,Fm),e(Fm,HP),e(Tt,WP),e(B,ZP),e(B,Dr),e(Dr,BP),e(Dr,Cr),e(Cr,YP),e(Dr,KP),e(B,XP),e(B,es),w(Ir,es,null),e(es,JP),e(es,Lm),e(Lm,ey),f(n,B_,m),f(n,$t,m),e($t,ts),e(ts,Om),w(zr,Om,null),e($t,ty),e($t,Nm),e(Nm,ny),f(n,Y_,m),f(n,Y,m),w(Sr,Y,null),e(Y,sy),e(Y,Mr),e(Mr,ay),e(Mr,Um),e(Um,ry),e(Mr,oy),e(Y,iy),w(ns,Y,null),e(Y,ly),e(Y,Gm),e(Gm,hp),e(hp,py),e(Y,cy),e(Y,jt),e(jt,dy),e(jt,fp),e(fp,my),e(jt,hy),e(jt,Rm),e(Rm,fy),e(jt,uy),e(Y,gy),e(Y,Fr),e(Fr,_y),e(Fr,Lr),e(Lr,by),e(Fr,wy),e(Y,vy),e(Y,Oe),w(Or,Oe,null),e(Oe,xy),e(Oe,Nr),e(Nr,ky),e(Nr,Qm),e(Qm,Py),e(Nr,yy),e(Oe,Ty),e(Oe,Vm),e(Vm,$y),e(Oe,jy),e(Oe,Ze),e(Ze,Hm),e(Hm,Wm),e(Wm,Ey),e(Ze,qy),e(Ze,Zm),e(Zm,Bm),e(Bm,Ay),e(Ze,Dy),e(Ze,Ym),e(Ym,Km),e(Km,Cy),e(Ze,Iy),e(Ze,Xm),e(Xm,Jm),e(Jm,zy),f(n,K_,m),f(n,Et,m),e(Et,ss),e(ss,eh),w(Ur,eh,null),e(Et,Sy),e(Et,th),e(th,My),f(n,X_,m),f(n,K,m),w(Gr,K,null),e(K,Fy),e(K,nh),e(nh,Ly),e(K,Oy),w(as,K,null),e(K,Ny),e(K,sh),e(sh,up),e(up,Uy),e(K,Gy),e(K,qt),e(qt,Ry),e(qt,gp),e(gp,Qy),e(qt,Vy),e(qt,ah),e(ah,Hy),e(qt,Wy),e(K,Zy),e(K,Rr),e(Rr,By),e(Rr,Qr),e(Qr,Yy),e(Rr,Ky),e(K,Xy),e(K,rs),w(Vr,rs,null),e(rs,Jy),e(rs,rh),e(rh,eT),f(n,J_,m),f(n,At,m),e(At,os),e(os,oh),w(Hr,oh,null),e(At,tT),e(At,ih),e(ih,nT),f(n,eb,m),f(n,U,m),w(Wr,U,null),e(U,sT),e(U,Dt),e(Dt,aT),e(Dt,lh),e(lh,rT),e(Dt,oT),e(Dt,_p),e(_p,iT),e(Dt,lT),e(U,pT),w(is,U,null),e(U,cT),e(U,ph),e(ph,bp),e(bp,dT),e(U,mT),e(U,Ct),e(Ct,hT),e(Ct,wp),e(wp,fT),e(Ct,uT),e(Ct,ch),e(ch,gT),e(Ct,_T),e(U,bT),e(U,Zr),e(Zr,wT),e(Zr,Br),e(Br,vT),e(Zr,xT),e(U,kT),w(ls,U,null),e(U,PT),e(U,ps),w(Yr,ps,null),e(ps,yT),e(ps,dh),e(dh,TT),f(n,tb,m),f(n,It,m),e(It,cs),e(cs,mh),w(Kr,mh,null),e(It,$T),e(It,hh),e(hh,jT),f(n,nb,m),f(n,X,m),w(Xr,X,null),e(X,ET),e(X,Jr),e(Jr,qT),e(Jr,fh),e(fh,AT),e(Jr,DT),e(X,CT),w(ds,X,null),e(X,IT),e(X,uh),e(uh,vp),e(vp,zT),e(X,ST),e(X,zt),e(zt,MT),e(zt,xp),e(xp,FT),e(zt,LT),e(zt,gh),e(gh,OT),e(zt,NT),e(X,UT),e(X,eo),e(eo,GT),e(eo,to),e(to,RT),e(eo,QT),e(X,VT),e(X,ms),w(no,ms,null),e(ms,HT),e(ms,_h),e(_h,WT),f(n,sb,m),f(n,St,m),e(St,hs),e(hs,bh),w(so,bh,null),e(St,ZT),e(St,wh),e(wh,BT),f(n,ab,m),f(n,ce,m),w(ao,ce,null),e(ce,YT),e(ce,ro),e(ro,KT),e(ro,vh),e(vh,XT),e(ro,JT),e(ce,e0),w(fs,ce,null),e(ce,t0),e(ce,Mt),e(Mt,n0),e(Mt,kp),e(kp,s0),e(Mt,a0),e(Mt,xh),e(xh,r0),e(Mt,o0),e(ce,i0),e(ce,oo),e(oo,l0),e(oo,io),e(io,p0),e(oo,c0),e(ce,d0),e(ce,us),w(lo,us,null),e(us,m0),e(us,kh),e(kh,h0),f(n,rb,m),f(n,Ft,m),e(Ft,gs),e(gs,Ph),w(po,Ph,null),e(Ft,f0),e(Ft,yh),e(yh,u0),f(n,ob,m),f(n,J,m),w(co,J,null),e(J,g0),e(J,mo),e(mo,_0),e(mo,Th),e(Th,b0),e(mo,w0),e(J,v0),w(_s,J,null),e(J,x0),e(J,$h),e($h,Pp),e(Pp,k0),e(J,P0),e(J,jh),e(jh,y0),e(J,T0),e(J,ho),e(ho,$0),e(ho,fo),e(fo,j0),e(ho,E0),e(J,q0),e(J,bs),w(uo,bs,null),e(bs,A0),e(bs,Eh),e(Eh,D0),f(n,ib,m),f(n,Lt,m),e(Lt,ws),e(ws,qh),w(go,qh,null),e(Lt,C0),e(Lt,Ah),e(Ah,I0),f(n,lb,m),f(n,F,m),w(_o,F,null),e(F,z0),e(F,Ot),e(Ot,S0),e(Ot,Dh),e(Dh,M0),e(Ot,F0),e(Ot,yp),e(yp,L0),e(Ot,O0),e(F,N0),w(vs,F,null),e(F,U0),e(F,Ch),e(Ch,Tp),e(Tp,G0),e(F,R0),e(F,Nt),e(Nt,Q0),e(Nt,$p),e($p,V0),e(Nt,H0),e(Nt,Ih),e(Ih,W0),e(Nt,Z0),e(F,B0),e(F,bo),e(bo,Y0),e(bo,wo),e(wo,K0),e(bo,X0),e(F,J0),e(F,tt),w(vo,tt,null),e(tt,e$),e(tt,zh),e(zh,t$),e(tt,n$),e(tt,Sh),e(Sh,s$),e(F,a$),e(F,xs),w(xo,xs,null),e(xs,r$),e(xs,Mh),e(Mh,o$),e(F,i$),e(F,ks),w(ko,ks,null),e(ks,l$),e(ks,Fh),e(Fh,p$),e(F,c$),e(F,Ps),w(Po,Ps,null),e(Ps,d$),e(Ps,Lh),e(Lh,m$),f(n,pb,m),f(n,ys,m),e(ys,h$),e(ys,jp),e(jp,f$),e(ys,u$),f(n,cb,m),f(n,Ut,m),e(Ut,Ts),e(Ts,Oh),w(yo,Oh,null),e(Ut,g$),e(Ut,Nh),e(Nh,_$),f(n,db,m),f(n,ee,m),w(To,ee,null),e(ee,b$),e(ee,$o),e($o,w$),e($o,Uh),e(Uh,v$),e($o,x$),e(ee,k$),w($s,ee,null),e(ee,P$),e(ee,Gh),e(Gh,Ep),e(Ep,y$),e(ee,T$),e(ee,Gt),e(Gt,$$),e(Gt,qp),e(qp,j$),e(Gt,E$),e(Gt,Rh),e(Rh,q$),e(Gt,A$),e(ee,D$),e(ee,jo),e(jo,C$),e(jo,Eo),e(Eo,I$),e(jo,z$),e(ee,S$),e(ee,js),w(qo,js,null),e(js,M$),e(js,Qh),e(Qh,F$),f(n,mb,m),f(n,Rt,m),e(Rt,Es),e(Es,Vh),w(Ao,Vh,null),e(Rt,L$),e(Rt,Hh),e(Hh,O$),f(n,hb,m),f(n,L,m),w(Do,L,null),e(L,N$),e(L,Qt),e(Qt,U$),e(Qt,Wh),e(Wh,G$),e(Qt,R$),e(Qt,Ap),e(Ap,Q$),e(Qt,V$),e(L,H$),w(qs,L,null),e(L,W$),e(L,Zh),e(Zh,Dp),e(Dp,Z$),e(L,B$),e(L,Vt),e(Vt,Y$),e(Vt,Cp),e(Cp,K$),e(Vt,X$),e(Vt,Bh),e(Bh,J$),e(Vt,e7),e(L,t7),e(L,Co),e(Co,n7),e(Co,Io),e(Io,s7),e(Co,a7),e(L,r7),e(L,As),w(zo,As,null),e(As,o7),e(As,Yh),e(Yh,i7),e(L,l7),e(L,nt),w(So,nt,null),e(nt,p7),e(nt,Ht),e(Ht,c7),e(Ht,Kh),e(Kh,d7),e(Ht,m7),e(Ht,Xh),e(Xh,h7),e(Ht,f7),e(nt,u7),e(nt,Jh),e(Jh,g7),e(L,_7),e(L,Ds),w(Mo,Ds,null),e(Ds,b7),e(Ds,ef),e(ef,w7),f(n,fb,m),f(n,Wt,m),e(Wt,Cs),e(Cs,tf),w(Fo,tf,null),e(Wt,v7),e(Wt,nf),e(nf,x7),f(n,ub,m),f(n,de,m),w(Lo,de,null),e(de,k7),e(de,sf),e(sf,P7),e(de,y7),e(de,Zt),e(Zt,T7),e(Zt,Ip),e(Ip,$7),e(Zt,j7),e(Zt,af),e(af,E7),e(Zt,q7),e(de,A7),e(de,Q),e(Q,D7),e(Q,rf),e(rf,C7),e(Q,I7),e(Q,of),e(of,z7),e(Q,S7),e(Q,lf),e(lf,M7),e(Q,F7),e(Q,pf),e(pf,L7),e(Q,O7),e(Q,cf),e(cf,N7),e(Q,U7),e(Q,df),e(df,G7),e(Q,R7),e(Q,Oo),e(Oo,Q7),e(Q,V7),e(Q,No),e(No,H7),e(de,W7),w(Is,de,null),e(de,Z7),e(de,zs),w(Uo,zs,null),e(zs,B7),e(zs,mf),e(mf,Y7),f(n,gb,m),f(n,Bt,m),e(Bt,Ss),e(Ss,hf),w(Go,hf,null),e(Bt,K7),e(Bt,ff),e(ff,X7),f(n,_b,m),f(n,te,m),w(Ro,te,null),e(te,J7),e(te,Qo),e(Qo,ej),e(Qo,uf),e(uf,tj),e(Qo,nj),e(te,sj),w(Ms,te,null),e(te,aj),e(te,gf),e(gf,zp),e(zp,rj),e(te,oj),e(te,Yt),e(Yt,ij),e(Yt,Sp),e(Sp,lj),e(Yt,pj),e(Yt,_f),e(_f,cj),e(Yt,dj),e(te,mj),e(te,Vo),e(Vo,hj),e(Vo,Ho),e(Ho,fj),e(Vo,uj),e(te,gj),e(te,oe),w(Wo,oe,null),e(oe,_j),e(oe,bf),e(bf,bj),e(oe,wj),e(oe,me),e(me,wf),e(wf,vf),e(vf,vj),e(me,xj),e(me,xf),e(xf,kf),e(kf,kj),e(me,Pj),e(me,Pf),e(Pf,yf),e(yf,yj),e(me,Tj),e(me,Tf),e(Tf,$f),e($f,$j),e(me,jj),e(me,jf),e(jf,Ef),e(Ef,Ej),e(me,qj),e(me,qf),e(qf,Af),e(Af,Aj),e(me,Dj),e(me,Df),e(Df,Cf),e(Cf,Cj),e(oe,Ij),e(oe,Zo),e(Zo,zj),e(Zo,If),e(If,Sj),e(Zo,Mj),e(oe,Fj),w(Fs,oe,null),e(oe,Lj),e(oe,zf),e(zf,Oj),e(oe,Nj),w(Ls,oe,null),f(n,bb,m),f(n,Kt,m),e(Kt,Os),e(Os,Sf),w(Bo,Sf,null),e(Kt,Uj),e(Kt,Mf),e(Mf,Gj),f(n,wb,m),f(n,G,m),w(Yo,G,null),e(G,Rj),e(G,Xt),e(Xt,Qj),e(Xt,Ff),e(Ff,Vj),e(Xt,Hj),e(Xt,Mp),e(Mp,Wj),e(Xt,Zj),e(G,Bj),w(Ns,G,null),e(G,Yj),e(G,Lf),e(Lf,Fp),e(Fp,Kj),e(G,Xj),e(G,Jt),e(Jt,Jj),e(Jt,Lp),e(Lp,e4),e(Jt,t4),e(Jt,Of),e(Of,n4),e(Jt,s4),e(G,a4),e(G,Ko),e(Ko,r4),e(Ko,Nf),e(Nf,o4),e(Ko,i4),e(G,l4),e(G,Xo),e(Xo,p4),e(Xo,Jo),e(Jo,c4),e(Xo,d4),e(G,m4),e(G,Us),w(ei,Us,null),e(Us,h4),e(Us,Uf),e(Uf,f4),f(n,vb,m),f(n,en,m),e(en,Gs),e(Gs,Gf),w(ti,Gf,null),e(en,u4),e(en,Rf),e(Rf,g4),f(n,xb,m),f(n,ne,m),w(ni,ne,null),e(ne,_4),e(ne,si),e(si,b4),e(si,Qf),e(Qf,w4),e(si,v4),e(ne,x4),w(Rs,ne,null),e(ne,k4),e(ne,Vf),e(Vf,Op),e(Op,P4),e(ne,y4),e(ne,tn),e(tn,T4),e(tn,Np),e(Np,$4),e(tn,j4),e(tn,Hf),e(Hf,E4),e(tn,q4),e(ne,A4),e(ne,ai),e(ai,D4),e(ai,ri),e(ri,C4),e(ai,I4),e(ne,z4),e(ne,Qs),w(oi,Qs,null),e(Qs,S4),e(Qs,Wf),e(Wf,M4),f(n,kb,m),f(n,nn,m),e(nn,Vs),e(Vs,Zf),w(ii,Zf,null),e(nn,F4),e(nn,Bf),e(Bf,L4),f(n,Pb,m),f(n,O,m),w(li,O,null),e(O,O4),e(O,Yf),e(Yf,N4),e(O,U4),w(Hs,O,null),e(O,G4),e(O,Kf),e(Kf,Up),e(Up,R4),e(O,Q4),e(O,sn),e(sn,V4),e(sn,Gp),e(Gp,H4),e(sn,W4),e(sn,Xf),e(Xf,Z4),e(sn,B4),e(O,Y4),e(O,Ws),e(Ws,K4),e(Ws,pi),e(pi,X4),e(Ws,J4),e(Ws,ci),e(ci,eE),e(O,tE),w(Zs,O,null),e(O,nE),e(O,Bs),w(di,Bs,null),e(Bs,sE),e(Bs,Jf),e(Jf,aE),e(O,rE),e(O,Ys),w(mi,Ys,null),e(Ys,oE),e(Ys,eu),e(eu,iE),f(n,yb,m),f(n,an,m),e(an,Ks),e(Ks,tu),w(hi,tu,null),e(an,lE),e(an,nu),e(nu,pE),f(n,Tb,m),f(n,M,m),w(fi,M,null),e(M,cE),e(M,rn),e(rn,dE),e(rn,su),e(su,mE),e(rn,hE),e(rn,Rp),e(Rp,fE),e(rn,uE),e(M,gE),w(Xs,M,null),e(M,_E),e(M,au),e(au,Qp),e(Qp,bE),e(M,wE),e(M,on),e(on,vE),e(on,Vp),e(Vp,xE),e(on,kE),e(on,ru),e(ru,PE),e(on,yE),e(M,TE),e(M,ui),e(ui,$E),e(ui,gi),e(gi,jE),e(ui,EE),e(M,qE),e(M,Js),w(_i,Js,null),e(Js,AE),e(Js,ou),e(ou,DE),e(M,CE),e(M,st),w(bi,st,null),e(st,IE),e(st,iu),e(iu,zE),e(st,SE),e(st,lu),e(lu,ME),e(M,FE),e(M,ea),w(wi,ea,null),e(ea,LE),e(ea,pu),e(pu,OE),e(M,NE),e(M,ta),w(vi,ta,null),e(ta,UE),e(ta,cu),e(cu,GE),e(M,RE),e(M,na),w(xi,na,null),e(na,QE),e(na,du),e(du,VE),f(n,$b,m),f(n,ln,m),e(ln,sa),e(sa,mu),w(ki,mu,null),e(ln,HE),e(ln,hu),e(hu,WE),f(n,jb,m),f(n,he,m),w(Pi,he,null),e(he,ZE),e(he,fu),e(fu,BE),e(he,YE),e(he,pn),e(pn,KE),e(pn,Hp),e(Hp,XE),e(pn,JE),e(pn,uu),e(uu,eq),e(pn,tq),e(he,nq),e(he,aa),e(aa,sq),e(aa,yi),e(yi,aq),e(aa,rq),e(aa,Ti),e(Ti,oq),e(he,iq),w(ra,he,null),e(he,lq),e(he,oa),w($i,oa,null),e(oa,pq),e(oa,gu),e(gu,cq),f(n,Eb,m),f(n,cn,m),e(cn,ia),e(ia,_u),w(ji,_u,null),e(cn,dq),e(cn,bu),e(bu,mq),f(n,qb,m),f(n,se,m),w(Ei,se,null),e(se,hq),e(se,qi),e(qi,fq),e(qi,wu),e(wu,uq),e(qi,gq),e(se,_q),w(la,se,null),e(se,bq),e(se,vu),e(vu,Wp),e(Wp,wq),e(se,vq),e(se,dn),e(dn,xq),e(dn,Zp),e(Zp,kq),e(dn,Pq),e(dn,xu),e(xu,yq),e(dn,Tq),e(se,$q),e(se,Ai),e(Ai,jq),e(Ai,Di),e(Di,Eq),e(Ai,qq),e(se,Aq),e(se,at),w(Ci,at,null),e(at,Dq),e(at,ku),e(ku,Cq),e(at,Iq),e(at,Be),e(Be,Pu),e(Pu,yu),e(yu,zq),e(Be,Sq),e(Be,Tu),e(Tu,$u),e($u,Mq),e(Be,Fq),e(Be,ju),e(ju,Eu),e(Eu,Lq),e(Be,Oq),e(Be,qu),e(qu,Au),e(Au,Nq),f(n,Ab,m),f(n,mn,m),e(mn,pa),e(pa,Du),w(Ii,Du,null),e(mn,Uq),e(mn,Cu),e(Cu,Gq),f(n,Db,m),f(n,R,m),w(zi,R,null),e(R,Rq),e(R,Ye),e(Ye,Qq),e(Ye,Iu),e(Iu,Vq),e(Ye,Hq),e(Ye,zu),e(zu,Wq),e(Ye,Zq),e(Ye,Su),e(Su,Bq),e(Ye,Yq),e(R,Kq),e(R,Ke),e(Ke,Xq),e(Ke,Mu),e(Mu,Jq),e(Ke,e3),e(Ke,Fu),e(Fu,t3),e(Ke,n3),e(Ke,Lu),e(Lu,s3),e(Ke,a3),e(R,r3),w(ca,R,null),e(R,o3),e(R,Ou),e(Ou,Bp),e(Bp,i3),e(R,l3),e(R,hn),e(hn,p3),e(hn,Yp),e(Yp,c3),e(hn,d3),e(hn,Nu),e(Nu,m3),e(hn,h3),e(R,f3),e(R,Si),e(Si,u3),e(Si,Mi),e(Mi,g3),e(Si,_3),e(R,b3),e(R,da),w(Fi,da,null),e(da,w3),e(da,Li),e(Li,v3),e(Li,Kp),e(Kp,x3),e(Li,k3),f(n,Cb,m),f(n,fn,m),e(fn,ma),e(ma,Uu),w(Oi,Uu,null),e(fn,P3),e(fn,Gu),e(Gu,y3),f(n,Ib,m),f(n,ae,m),w(Ni,ae,null),e(ae,T3),e(ae,un),e(un,$3),e(un,Ru),e(Ru,j3),e(un,E3),e(un,Qu),e(Qu,q3),e(un,A3),e(ae,D3),w(ha,ae,null),e(ae,C3),e(ae,Vu),e(Vu,Xp),e(Xp,I3),e(ae,z3),e(ae,gn),e(gn,S3),e(gn,Jp),e(Jp,M3),e(gn,F3),e(gn,Hu),e(Hu,L3),e(gn,O3),e(ae,N3),e(ae,Ui),e(Ui,U3),e(Ui,Gi),e(Gi,G3),e(Ui,R3),e(ae,Q3),e(ae,fa),w(Ri,fa,null),e(fa,V3),e(fa,Wu),e(Wu,H3),f(n,zb,m),f(n,_n,m),e(_n,ua),e(ua,Zu),w(Qi,Zu,null),e(_n,W3),e(_n,Bu),e(Bu,Z3),f(n,Sb,m),f(n,re,m),w(Vi,re,null),e(re,B3),e(re,bn),e(bn,Y3),e(bn,Yu),e(Yu,K3),e(bn,X3),e(bn,Ku),e(Ku,J3),e(bn,e5),e(re,t5),w(ga,re,null),e(re,n5),e(re,Xu),e(Xu,ec),e(ec,s5),e(re,a5),e(re,wn),e(wn,r5),e(wn,tc),e(tc,o5),e(wn,i5),e(wn,Ju),e(Ju,l5),e(wn,p5),e(re,c5),e(re,Hi),e(Hi,d5),e(Hi,Wi),e(Wi,m5),e(Hi,h5),e(re,f5),e(re,_a),w(Zi,_a,null),e(_a,u5),e(_a,eg),e(eg,g5),f(n,Mb,m),f(n,vn,m),e(vn,ba),e(ba,tg),w(Bi,tg,null),e(vn,_5),e(vn,nc),e(nc,b5),e(nc,ng),e(ng,w5),f(n,Fb,m),f(n,D,m),w(Yi,D,null),e(D,v5),e(D,sg),e(sg,x5),e(D,k5),e(D,ag),e(ag,P5),e(D,y5),e(D,rg),e(rg,T5),e(D,$5),e(D,og),e(og,j5),e(D,E5),e(D,Le),e(Le,q5),e(Le,sc),e(sc,A5),e(Le,D5),e(Le,ig),e(ig,C5),e(Le,I5),e(Le,lg),e(lg,z5),e(Le,S5),e(Le,pg),e(pg,M5),e(Le,F5),e(D,L5),e(D,wa),w(Ki,wa,null),e(wa,O5),e(wa,cg),e(cg,N5),e(D,U5),e(D,rt),w(Xi,rt,null),e(rt,G5),e(rt,dg),e(dg,R5),e(rt,Q5),w(va,rt,null),e(D,V5),e(D,xa),w(Ji,xa,null),e(xa,H5),e(xa,mg),e(mg,W5),e(D,Z5),e(D,ka),w(el,ka,null),e(ka,B5),e(ka,tl),e(tl,Y5),e(tl,hg),e(hg,K5),e(tl,X5),e(D,J5),e(D,Pa),w(nl,Pa,null),e(Pa,e6),e(Pa,sl),e(sl,t6),e(sl,fg),e(fg,n6),e(sl,s6),e(D,a6),e(D,ya),w(al,ya,null),e(ya,r6),e(ya,xn),e(xn,o6),e(xn,ug),e(ug,i6),e(xn,l6),e(xn,gg),e(gg,p6),e(xn,c6),e(D,d6),e(D,Ta),w(rl,Ta,null),e(Ta,m6),e(Ta,_g),e(_g,h6),e(D,f6),e(D,$a),w(ol,$a,null),e($a,u6),e($a,il),e(il,g6),e(il,bg),e(bg,_6),e(il,b6),Lb=!0},p(n,[m]){const ll={};m&2&&(ll.$$scope={dirty:m,ctx:n}),qn.$set(ll);const wg={};m&2&&(wg.$$scope={dirty:m,ctx:n}),Dn.$set(wg);const vg={};m&2&&(vg.$$scope={dirty:m,ctx:n}),Nn.$set(vg);const xg={};m&2&&(xg.$$scope={dirty:m,ctx:n}),Rn.$set(xg);const pl={};m&2&&(pl.$$scope={dirty:m,ctx:n}),Hn.$set(pl);const kg={};m&2&&(kg.$$scope={dirty:m,ctx:n}),Yn.$set(kg);const Pg={};m&2&&(Pg.$$scope={dirty:m,ctx:n}),Jn.$set(Pg);const cl={};m&2&&(cl.$$scope={dirty:m,ctx:n}),ns.$set(cl);const yg={};m&2&&(yg.$$scope={dirty:m,ctx:n}),as.$set(yg);const dl={};m&2&&(dl.$$scope={dirty:m,ctx:n}),is.$set(dl);const Tg={};m&2&&(Tg.$$scope={dirty:m,ctx:n}),ls.$set(Tg);const ml={};m&2&&(ml.$$scope={dirty:m,ctx:n}),ds.$set(ml);const $g={};m&2&&($g.$$scope={dirty:m,ctx:n}),fs.$set($g);const q={};m&2&&(q.$$scope={dirty:m,ctx:n}),_s.$set(q);const jg={};m&2&&(jg.$$scope={dirty:m,ctx:n}),vs.$set(jg);const Eg={};m&2&&(Eg.$$scope={dirty:m,ctx:n}),$s.$set(Eg);const qg={};m&2&&(qg.$$scope={dirty:m,ctx:n}),qs.$set(qg);const Ag={};m&2&&(Ag.$$scope={dirty:m,ctx:n}),Is.$set(Ag);const Dg={};m&2&&(Dg.$$scope={dirty:m,ctx:n}),Ms.$set(Dg);const Cg={};m&2&&(Cg.$$scope={dirty:m,ctx:n}),Fs.$set(Cg);const Ig={};m&2&&(Ig.$$scope={dirty:m,ctx:n}),Ls.$set(Ig);const zg={};m&2&&(zg.$$scope={dirty:m,ctx:n}),Ns.$set(zg);const Sg={};m&2&&(Sg.$$scope={dirty:m,ctx:n}),Rs.$set(Sg);const Mg={};m&2&&(Mg.$$scope={dirty:m,ctx:n}),Hs.$set(Mg);const Fg={};m&2&&(Fg.$$scope={dirty:m,ctx:n}),Zs.$set(Fg);const Lg={};m&2&&(Lg.$$scope={dirty:m,ctx:n}),Xs.$set(Lg);const Og={};m&2&&(Og.$$scope={dirty:m,ctx:n}),ra.$set(Og);const Ng={};m&2&&(Ng.$$scope={dirty:m,ctx:n}),la.$set(Ng);const Ug={};m&2&&(Ug.$$scope={dirty:m,ctx:n}),ca.$set(Ug);const Gg={};m&2&&(Gg.$$scope={dirty:m,ctx:n}),ha.$set(Gg);const Rg={};m&2&&(Rg.$$scope={dirty:m,ctx:n}),ga.$set(Rg);const Qg={};m&2&&(Qg.$$scope={dirty:m,ctx:n}),va.$set(Qg)},i(n){Lb||(v(l.$$.fragment,n),v(Ma.$$.fragment,n),v(Fa.$$.fragment,n),v(Oa.$$.fragment,n),v(Na.$$.fragment,n),v(Ua.$$.fragment,n),v(Ga.$$.fragment,n),v(Ra.$$.fragment,n),v(qn.$$.fragment,n),v(Wa.$$.fragment,n),v(Za.$$.fragment,n),v(Dn.$$.fragment,n),v(Ba.$$.fragment,n),v(Ya.$$.fragment,n),v(Ka.$$.fragment,n),v(Xa.$$.fragment,n),v(er.$$.fragment,n),v(tr.$$.fragment,n),v(nr.$$.fragment,n),v(sr.$$.fragment,n),v(ar.$$.fragment,n),v(rr.$$.fragment,n),v(or.$$.fragment,n),v(ir.$$.fragment,n),v(lr.$$.fragment,n),v(Nn.$$.fragment,n),v(mr.$$.fragment,n),v(fr.$$.fragment,n),v(ur.$$.fragment,n),v(Rn.$$.fragment,n),v(gr.$$.fragment,n),v(br.$$.fragment,n),v(wr.$$.fragment,n),v(Hn.$$.fragment,n),v(vr.$$.fragment,n),v(kr.$$.fragment,n),v(Pr.$$.fragment,n),v(yr.$$.fragment,n),v(Tr.$$.fragment,n),v(Yn.$$.fragment,n),v(jr.$$.fragment,n),v(Er.$$.fragment,n),v(qr.$$.fragment,n),v(Jn.$$.fragment,n),v(Ir.$$.fragment,n),v(zr.$$.fragment,n),v(Sr.$$.fragment,n),v(ns.$$.fragment,n),v(Or.$$.fragment,n),v(Ur.$$.fragment,n),v(Gr.$$.fragment,n),v(as.$$.fragment,n),v(Vr.$$.fragment,n),v(Hr.$$.fragment,n),v(Wr.$$.fragment,n),v(is.$$.fragment,n),v(ls.$$.fragment,n),v(Yr.$$.fragment,n),v(Kr.$$.fragment,n),v(Xr.$$.fragment,n),v(ds.$$.fragment,n),v(no.$$.fragment,n),v(so.$$.fragment,n),v(ao.$$.fragment,n),v(fs.$$.fragment,n),v(lo.$$.fragment,n),v(po.$$.fragment,n),v(co.$$.fragment,n),v(_s.$$.fragment,n),v(uo.$$.fragment,n),v(go.$$.fragment,n),v(_o.$$.fragment,n),v(vs.$$.fragment,n),v(vo.$$.fragment,n),v(xo.$$.fragment,n),v(ko.$$.fragment,n),v(Po.$$.fragment,n),v(yo.$$.fragment,n),v(To.$$.fragment,n),v($s.$$.fragment,n),v(qo.$$.fragment,n),v(Ao.$$.fragment,n),v(Do.$$.fragment,n),v(qs.$$.fragment,n),v(zo.$$.fragment,n),v(So.$$.fragment,n),v(Mo.$$.fragment,n),v(Fo.$$.fragment,n),v(Lo.$$.fragment,n),v(Is.$$.fragment,n),v(Uo.$$.fragment,n),v(Go.$$.fragment,n),v(Ro.$$.fragment,n),v(Ms.$$.fragment,n),v(Wo.$$.fragment,n),v(Fs.$$.fragment,n),v(Ls.$$.fragment,n),v(Bo.$$.fragment,n),v(Yo.$$.fragment,n),v(Ns.$$.fragment,n),v(ei.$$.fragment,n),v(ti.$$.fragment,n),v(ni.$$.fragment,n),v(Rs.$$.fragment,n),v(oi.$$.fragment,n),v(ii.$$.fragment,n),v(li.$$.fragment,n),v(Hs.$$.fragment,n),v(Zs.$$.fragment,n),v(di.$$.fragment,n),v(mi.$$.fragment,n),v(hi.$$.fragment,n),v(fi.$$.fragment,n),v(Xs.$$.fragment,n),v(_i.$$.fragment,n),v(bi.$$.fragment,n),v(wi.$$.fragment,n),v(vi.$$.fragment,n),v(xi.$$.fragment,n),v(ki.$$.fragment,n),v(Pi.$$.fragment,n),v(ra.$$.fragment,n),v($i.$$.fragment,n),v(ji.$$.fragment,n),v(Ei.$$.fragment,n),v(la.$$.fragment,n),v(Ci.$$.fragment,n),v(Ii.$$.fragment,n),v(zi.$$.fragment,n),v(ca.$$.fragment,n),v(Fi.$$.fragment,n),v(Oi.$$.fragment,n),v(Ni.$$.fragment,n),v(ha.$$.fragment,n),v(Ri.$$.fragment,n),v(Qi.$$.fragment,n),v(Vi.$$.fragment,n),v(ga.$$.fragment,n),v(Zi.$$.fragment,n),v(Bi.$$.fragment,n),v(Yi.$$.fragment,n),v(Ki.$$.fragment,n),v(Xi.$$.fragment,n),v(va.$$.fragment,n),v(Ji.$$.fragment,n),v(el.$$.fragment,n),v(nl.$$.fragment,n),v(al.$$.fragment,n),v(rl.$$.fragment,n),v(ol.$$.fragment,n),Lb=!0)},o(n){x(l.$$.fragment,n),x(Ma.$$.fragment,n),x(Fa.$$.fragment,n),x(Oa.$$.fragment,n),x(Na.$$.fragment,n),x(Ua.$$.fragment,n),x(Ga.$$.fragment,n),x(Ra.$$.fragment,n),x(qn.$$.fragment,n),x(Wa.$$.fragment,n),x(Za.$$.fragment,n),x(Dn.$$.fragment,n),x(Ba.$$.fragment,n),x(Ya.$$.fragment,n),x(Ka.$$.fragment,n),x(Xa.$$.fragment,n),x(er.$$.fragment,n),x(tr.$$.fragment,n),x(nr.$$.fragment,n),x(sr.$$.fragment,n),x(ar.$$.fragment,n),x(rr.$$.fragment,n),x(or.$$.fragment,n),x(ir.$$.fragment,n),x(lr.$$.fragment,n),x(Nn.$$.fragment,n),x(mr.$$.fragment,n),x(fr.$$.fragment,n),x(ur.$$.fragment,n),x(Rn.$$.fragment,n),x(gr.$$.fragment,n),x(br.$$.fragment,n),x(wr.$$.fragment,n),x(Hn.$$.fragment,n),x(vr.$$.fragment,n),x(kr.$$.fragment,n),x(Pr.$$.fragment,n),x(yr.$$.fragment,n),x(Tr.$$.fragment,n),x(Yn.$$.fragment,n),x(jr.$$.fragment,n),x(Er.$$.fragment,n),x(qr.$$.fragment,n),x(Jn.$$.fragment,n),x(Ir.$$.fragment,n),x(zr.$$.fragment,n),x(Sr.$$.fragment,n),x(ns.$$.fragment,n),x(Or.$$.fragment,n),x(Ur.$$.fragment,n),x(Gr.$$.fragment,n),x(as.$$.fragment,n),x(Vr.$$.fragment,n),x(Hr.$$.fragment,n),x(Wr.$$.fragment,n),x(is.$$.fragment,n),x(ls.$$.fragment,n),x(Yr.$$.fragment,n),x(Kr.$$.fragment,n),x(Xr.$$.fragment,n),x(ds.$$.fragment,n),x(no.$$.fragment,n),x(so.$$.fragment,n),x(ao.$$.fragment,n),x(fs.$$.fragment,n),x(lo.$$.fragment,n),x(po.$$.fragment,n),x(co.$$.fragment,n),x(_s.$$.fragment,n),x(uo.$$.fragment,n),x(go.$$.fragment,n),x(_o.$$.fragment,n),x(vs.$$.fragment,n),x(vo.$$.fragment,n),x(xo.$$.fragment,n),x(ko.$$.fragment,n),x(Po.$$.fragment,n),x(yo.$$.fragment,n),x(To.$$.fragment,n),x($s.$$.fragment,n),x(qo.$$.fragment,n),x(Ao.$$.fragment,n),x(Do.$$.fragment,n),x(qs.$$.fragment,n),x(zo.$$.fragment,n),x(So.$$.fragment,n),x(Mo.$$.fragment,n),x(Fo.$$.fragment,n),x(Lo.$$.fragment,n),x(Is.$$.fragment,n),x(Uo.$$.fragment,n),x(Go.$$.fragment,n),x(Ro.$$.fragment,n),x(Ms.$$.fragment,n),x(Wo.$$.fragment,n),x(Fs.$$.fragment,n),x(Ls.$$.fragment,n),x(Bo.$$.fragment,n),x(Yo.$$.fragment,n),x(Ns.$$.fragment,n),x(ei.$$.fragment,n),x(ti.$$.fragment,n),x(ni.$$.fragment,n),x(Rs.$$.fragment,n),x(oi.$$.fragment,n),x(ii.$$.fragment,n),x(li.$$.fragment,n),x(Hs.$$.fragment,n),x(Zs.$$.fragment,n),x(di.$$.fragment,n),x(mi.$$.fragment,n),x(hi.$$.fragment,n),x(fi.$$.fragment,n),x(Xs.$$.fragment,n),x(_i.$$.fragment,n),x(bi.$$.fragment,n),x(wi.$$.fragment,n),x(vi.$$.fragment,n),x(xi.$$.fragment,n),x(ki.$$.fragment,n),x(Pi.$$.fragment,n),x(ra.$$.fragment,n),x($i.$$.fragment,n),x(ji.$$.fragment,n),x(Ei.$$.fragment,n),x(la.$$.fragment,n),x(Ci.$$.fragment,n),x(Ii.$$.fragment,n),x(zi.$$.fragment,n),x(ca.$$.fragment,n),x(Fi.$$.fragment,n),x(Oi.$$.fragment,n),x(Ni.$$.fragment,n),x(ha.$$.fragment,n),x(Ri.$$.fragment,n),x(Qi.$$.fragment,n),x(Vi.$$.fragment,n),x(ga.$$.fragment,n),x(Zi.$$.fragment,n),x(Bi.$$.fragment,n),x(Yi.$$.fragment,n),x(Ki.$$.fragment,n),x(Xi.$$.fragment,n),x(va.$$.fragment,n),x(Ji.$$.fragment,n),x(el.$$.fragment,n),x(nl.$$.fragment,n),x(al.$$.fragment,n),x(rl.$$.fragment,n),x(ol.$$.fragment,n),Lb=!1},d(n){t(u),n&&t(T),n&&t(P),k(l),n&&t(Wg),n&&t(kn),n&&t(Zg),n&&t(ul),n&&t(Bg),n&&t(Pn),n&&t(Yg),n&&t(dt),k(Ma),n&&t(Kg),n&&t(Tn),n&&t(Xg),n&&t(Nl),n&&t(Jg),k(Fa,n),n&&t(e_),n&&t($n),n&&t(t_),k(Oa,n),n&&t(n_),n&&t(jn),n&&t(s_),k(Na,n),n&&t(a_),n&&t(En),n&&t(r_),k(Ua,n),n&&t(o_),n&&t(Ul),n&&t(i_),k(Ga,n),n&&t(l_),n&&t(be),k(Ra),k(qn),n&&t(p_),n&&t(ht),k(Wa),n&&t(c_),n&&t(Xe),n&&t(d_),k(Za,n),n&&t(m_),k(Dn,n),n&&t(h_),k(Ba,n),n&&t(f_),k(Ya,n),n&&t(u_),n&&t(Vl),n&&t(g_),k(Ka,n),n&&t(__),n&&t(Cn),n&&t(b_),k(Xa,n),n&&t(w_),n&&t(Hl),n&&t(v_),n&&t(Wl),n&&t(x_),n&&t(we),n&&t(k_),n&&t(ut),k(er),n&&t(P_),n&&t(Ve),n&&t(y_),n&&t(Je),n&&t(T_),k(tr,n),n&&t($_),n&&t(Zl),n&&t(j_),k(nr,n),n&&t(E_),n&&t(Bl),n&&t(q_),n&&t(zn),n&&t(A_),n&&t(gt),k(sr),n&&t(D_),n&&t(Yl),n&&t(C_),n&&t(Mn),n&&t(I_),n&&t(Kl),n&&t(z_),n&&t(Xl),n&&t(S_),k(ar,n),n&&t(M_),n&&t(Jl),n&&t(F_),n&&t(_t),k(rr),n&&t(L_),n&&t(ep),n&&t(O_),n&&t(bt),k(or),n&&t(N_),n&&t(wt),k(ir),n&&t(U_),n&&t(H),k(lr),k(Nn),k(mr),n&&t(G_),n&&t(xt),k(fr),n&&t(R_),n&&t(pe),k(ur),k(Rn),k(gr),n&&t(Q_),n&&t(kt),k(br),n&&t(V_),n&&t(W),k(wr),k(Hn),k(vr),k(kr),k(Pr),k(yr),n&&t(H_),n&&t(Z),k(Tr),k(Yn),k(jr),n&&t(W_),n&&t(yt),k(Er),n&&t(Z_),n&&t(B),k(qr),k(Jn),k(Ir),n&&t(B_),n&&t($t),k(zr),n&&t(Y_),n&&t(Y),k(Sr),k(ns),k(Or),n&&t(K_),n&&t(Et),k(Ur),n&&t(X_),n&&t(K),k(Gr),k(as),k(Vr),n&&t(J_),n&&t(At),k(Hr),n&&t(eb),n&&t(U),k(Wr),k(is),k(ls),k(Yr),n&&t(tb),n&&t(It),k(Kr),n&&t(nb),n&&t(X),k(Xr),k(ds),k(no),n&&t(sb),n&&t(St),k(so),n&&t(ab),n&&t(ce),k(ao),k(fs),k(lo),n&&t(rb),n&&t(Ft),k(po),n&&t(ob),n&&t(J),k(co),k(_s),k(uo),n&&t(ib),n&&t(Lt),k(go),n&&t(lb),n&&t(F),k(_o),k(vs),k(vo),k(xo),k(ko),k(Po),n&&t(pb),n&&t(ys),n&&t(cb),n&&t(Ut),k(yo),n&&t(db),n&&t(ee),k(To),k($s),k(qo),n&&t(mb),n&&t(Rt),k(Ao),n&&t(hb),n&&t(L),k(Do),k(qs),k(zo),k(So),k(Mo),n&&t(fb),n&&t(Wt),k(Fo),n&&t(ub),n&&t(de),k(Lo),k(Is),k(Uo),n&&t(gb),n&&t(Bt),k(Go),n&&t(_b),n&&t(te),k(Ro),k(Ms),k(Wo),k(Fs),k(Ls),n&&t(bb),n&&t(Kt),k(Bo),n&&t(wb),n&&t(G),k(Yo),k(Ns),k(ei),n&&t(vb),n&&t(en),k(ti),n&&t(xb),n&&t(ne),k(ni),k(Rs),k(oi),n&&t(kb),n&&t(nn),k(ii),n&&t(Pb),n&&t(O),k(li),k(Hs),k(Zs),k(di),k(mi),n&&t(yb),n&&t(an),k(hi),n&&t(Tb),n&&t(M),k(fi),k(Xs),k(_i),k(bi),k(wi),k(vi),k(xi),n&&t($b),n&&t(ln),k(ki),n&&t(jb),n&&t(he),k(Pi),k(ra),k($i),n&&t(Eb),n&&t(cn),k(ji),n&&t(qb),n&&t(se),k(Ei),k(la),k(Ci),n&&t(Ab),n&&t(mn),k(Ii),n&&t(Db),n&&t(R),k(zi),k(ca),k(Fi),n&&t(Cb),n&&t(fn),k(Oi),n&&t(Ib),n&&t(ae),k(Ni),k(ha),k(Ri),n&&t(zb),n&&t(_n),k(Qi),n&&t(Sb),n&&t(re),k(Vi),k(ga),k(Zi),n&&t(Mb),n&&t(vn),k(Bi),n&&t(Fb),n&&t(D),k(Yi),k(Ki),k(Xi),k(va),k(Ji),k(el),k(nl),k(al),k(rl),k(ol)}}}const nM={local:"pipelines",sections:[{local:"transformers.pipeline",title:"The pipeline abstraction"},{local:"pipeline-batching",title:"Pipeline batching"},{local:"pipeline-chunk-batching",title:"Pipeline chunk batching"},{local:"pipeline-custom-code",title:"Pipeline custom code"},{local:"implementing-a-pipeline",title:"Implementing a pipeline"},{local:"the-task-specific-pipelines",sections:[{local:"transformers.AudioClassificationPipeline",title:"AudioClassificationPipeline"},{local:"transformers.AutomaticSpeechRecognitionPipeline",title:"AutomaticSpeechRecognitionPipeline"},{local:"transformers.Conversation",title:"ConversationalPipeline"},{local:"transformers.DepthEstimationPipeline",title:"DepthEstimationPipeline"},{local:"transformers.DocumentQuestionAnsweringPipeline",title:"DocumentQuestionAnsweringPipeline"},{local:"transformers.FeatureExtractionPipeline",title:"FeatureExtractionPipeline"},{local:"transformers.FillMaskPipeline",title:"FillMaskPipeline"},{local:"transformers.ImageClassificationPipeline",title:"ImageClassificationPipeline"},{local:"transformers.ImageSegmentationPipeline",title:"ImageSegmentationPipeline"},{local:"transformers.ImageToTextPipeline",title:"ImageToTextPipeline"},{local:"transformers.TokenClassificationPipeline",title:"NerPipeline"},{local:"transformers.ObjectDetectionPipeline",title:"ObjectDetectionPipeline"},{local:"transformers.QuestionAnsweringPipeline",title:"QuestionAnsweringPipeline"},{local:"transformers.SummarizationPipeline",title:"SummarizationPipeline"},{local:"transformers.TableQuestionAnsweringPipeline",title:"TableQuestionAnsweringPipeline"},{local:"transformers.TextClassificationPipeline",title:"TextClassificationPipeline"},{local:"transformers.TextGenerationPipeline",title:"TextGenerationPipeline"},{local:"transformers.Text2TextGenerationPipeline",title:"Text2TextGenerationPipeline"},{local:"transformers.TokenClassificationPipeline",title:"TokenClassificationPipeline"},{local:"transformers.TranslationPipeline",title:"TranslationPipeline"},{local:"transformers.VisualQuestionAnsweringPipeline",title:"VisualQuestionAnsweringPipeline"},{local:"transformers.ZeroShotClassificationPipeline",title:"ZeroShotClassificationPipeline"},{local:"transformers.ZeroShotImageClassificationPipeline",title:"ZeroShotImageClassificationPipeline"},{local:"transformers.ZeroShotObjectDetectionPipeline",title:"ZeroShotObjectDetectionPipeline"}],title:"The task specific pipelines"},{local:"transformers.Pipeline",title:"Parent class: `Pipeline`"}],title:"Pipelines"};function sM(j){return kS(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class cM extends bS{constructor(u){super();wS(this,u,sM,tM,vS,{})}}export{cM as default,nM as metadata};
